                                                        -*- fundamental -*-

Changelog for 1.13 Series
Unreleased

Changelog for 1.13.0

Added functionalities
* Concurrent logins into multiple companies on a single browser (#8496)

Changed functionalities
* Concurrent logins with different users on one browser throw an error (#8496)

Removed functionalities

Bugs fixed

Cleanup & architecture improvements
* Loading of main section more predictable through state machine use (#8530)

Updated dependencies


Changelog for 1.12 Series
Released 2024-12-14

Changelog for 1.12.0

Added functionalities
* AR/AP transaction history similar to invoices (#7773)
* More consistency checks in setup.pl (#7649)
* Ability to include documentation in Chart of Account definition files (#7651)
* Highlighting of unapproved payments on invoices and transactions (#7777)
* Enhancements for migrations from 1.3 through 1.7 (#7794)
* Enhancements for migrations from 1.3 through 1.5 (#7795)
* Enhancements for migrations from 1.3 (#7793)
* Experimental Orders API (#8084)
* Persistence of calculated taxes on orders and quotes (#8038)
* Database upgrade log inspection in setup.pl (#8363)
* Ship To 'At the attention of' (Ship To Attn) (#8360)
* Support for external template rendering engines like weasyprint (#8440)

Changed functionalities
* Sub-templates 'dynatable' merged into 'display_report' templates (#8380)
* Default cookie names no longer include LedgerSMB version number (#7639)
* Reconciliation state managed through workflows (#8154, #8158)
* Ship To addresses now immutable (#8365)
* Move '(in)active' from location itself to entity/credit account link (#8333)

Removed functionalities
* 'Class' removed from Company and Person entry and search (#8086, #8087)

Bugs fixed
* Invoices from batch printed even though not paid (#7761)
* Countries in setup.pl from Locale::CLDR; use reference data instead (#7648)
* Correctness of HTML pages, now includes 'html' closing tag (#7784)
* JavaScript dependencies versus dev-dependencies (#8028)
* AR/AP items in vouchers can be saved only once (#6895)
* Accounts marked for reconciliation can't be deleted (#7805)
* Transactions and invoices with attachments can't be saved (#6018)
* Aging statement shows functional instead of foreign currency amounts (#2162)
* Incorrect starting balance of fx-based reconciliations (#8295)
* Syntax error in 1099-INT report template (#8162)
* Ship To on orders, quotes and purchase invoices (#8329)

Cleanup & architecture improvements
* Reference data factored out of database schema (#7648)
* Removed global state LedgerSMB::App_State::User (#7876)
* Improved state tracking using workflows (#7908, #8136, #8154)
* Move PostgreSQL SERIAL to GENERATED BY DEFAULT (#8047)
* Removed workaround class LedgerSMB::Mailer::TransportSMTP (#7932)
* Removed `new_shipto` table, fixating shipping addresses (#8312)

Updated dependencies
* Email::Sender (minimum increased to 2.601)
* Locale::CLDR (minimum increased to 0.44.1)
* Workflow (compatibility with 2.0)


Changelog for 1.11 Series
Released 2023-10-03

Changelog for 1.11.19
* Fix post-and-approve action failing to approve transactions (#8442)
* Fix failure to load modules using Perl 5.40 (#8468)


Changelog for 1.11.18
* Fix specifying an alternative database server port number (#8400)
* Fix hostname with hyphen breaks ledgersmb-admin database URI (#8415)
* Allow ledgersmb-admin to use pre-created databases, e.g. DigitalOcean (#8422)
* Fix PNL and B/S CSV output missing 'heading_account' column (#8428)


Changelog for 1.11.17
* Fix negative COGS for assemblies [*only* assemblies affected] (#8351)
    for more info see https://ledgersmb.org/content/cogs-assembly-fix
* Fix saved orders and quotes showing as read-only [Part 2] (#8348)


Changelog for 1.11.16
* Restore 'Save Template' on GL transations, regressed from 1.10 (#8340)
* Fix saved orders and quotes showing as read-only (#8348)
* Fix AR/AP Outstanding Summary report generation (#8378)


Changelog for 1.11.15
* Fix order of comparisons with over 9 columns (#8246)
* Remove spurious column from PNL and B/S CSV template (#8247)
* Fix values in wrong columns in balance sheet CSV output (#8247)
* Fix reconciliation between B/S and AR Aging report (#8300)
* Show auto-generated invoice number after posting (#8322)
* Prevent some actions on voided invoices and reversed transactions (#8324)
* Fix migration failure when renamed role already exists (#8325)
* Fix Save and Post buttons not appearing on Update of GL entry (#8327)


Changelog for 1.11.14
* Fix drill-down on trial balance to pass report selections (#8177)
* Fix read access on 'templates' table for printed documents (#8180)
* Fix error when clicking 'Attach' button on e-mail screen (#8193)


Changelog for 1.11.13
* Compatibility with Workflow 2.0 [to be released] (#8138)
* Fix recurring items re-using state of the original item (#8157)
* Fix download links at the bottom of the tax form report (#8164)


Changelog for 1.11.12
* Fix download of attachments to reconciliations (#8088)
* Fix e-mailing of AR aging statements (#8111)


Changelog for 1.11.11
* Fix 'not set up for hierarchy reporting' on Entity Account screen (#8065)
* Fix date format presentation misalignment with placeholder (#7983)
* Fix order of comparison periods in PNL and B/S (#7800)
* Fix handling of discounts in invoice API (#8030)
* Restore Hebrew 'nplurals' setting back to 4
* Enable scroll bars on setup(upgrade) data fix screens (#8071)


Changelog for 1.11.10
* Fix upgrades from older Pg versions with the 'cash_impact' view (#7987)
* Fix missing locale parameter creating GL Search report (#7997)
* Fix setup.pl CSRF regressions (#8007, #8000)
* Fix date filters on Cash > Receipt/Payment (#8015)


Changelog for 1.11.9
* Add missing batch and entity sequences to the Defaults screen (#7965)
* Stop warning during startup without configuration file (#7928)
* CVE-2024-23831: CSRF attack on 'setup.pl'


Changelog for 1.11.8
* Fix changing Taxform checkmark after posting AR/AP transactions (#7894)
* Restore customer/vendor name on PNL drilldown after GL column change (#7895)
* Fix formatting of amounts on AR/AP search results (#7896)
* Fix import of CoA csv with non-empty 'links' field (#7912)
* Explicitly set foreground color on dark backgrounds in blue theme (#7875)
* Fix screens, e.g. contacts, impacted by rename of 'action' parameter (#7918)


Changelog for 1.11.7
* Fix creating an invoice from an order (#7855)
* Retain partsgroup selection on Update in parts screen (#7848)
* Fix missing columns on trial balance 'Ending' report type (#7870)


Changelog for 1.11.6
* Fix 'Current earnings' not showing in the balance sheet report (#7785)
* Fix saving headings of headings (#7802)
* Fix saving unused accounts configured for reconciliation (#7805)
* Fix 'delete' link shown in CoA screen on accounts used with parts (#7812)
* Fix deletion of parts (#7811)


Changelog for 1.11.5
* Load paper size from database settings, if set (#7738)
* Fix CoA and Trial Balance PDF reports missing data in some columns (#7739)
* Fix check printing when paying a subset of the available invoices (#7761)
* Add missing AR/AP workflow context creation in 1.10->1.11 migration (#7765)
* Show workflow based AR/AP transaction history, same as on invoices (#7774)
* Fix approval of payment/receipt batches (#7771)


Changelog for 1.11.4
* Show database and user name in setup.pl consistency result screen (#7714)
* Fix AR/AP transaction Reverse button (#7719, #7717)
* Fix invoices created from API to be in SAVED state (#7733)
* Fix 'New Window' menu item throwing an error (#7735)
* Fix Parts > Group > Add throwing 'Group missing!' (#7737)


Changelog for 1.11.3
* Fix typo to make 'Copy to New' button work on GL screen (#7675)
* Minimum PGObject::Type::BigFloat version resolving Math::BigFloat issue (#7704)
* Show posted AR/AP transaction after Post instead of 'Draft posted' (#7701)
* Consistency 'New button in GL/AR/AP screens in SAVED + POSTED states (#7702)


Changelog for 1.11.2
* Fix trial balance drill down showing partial results (#7657)
* Specify Locale::CLDR minimum version to fix numbers shown as 'HASH()' (#7671)


Changelog for 1.11.1
* API documentation lists incorrect version in cookie name (#7640)
* Further Math::BigFloat fixes (combined with Locale::CLDR) (#7646)
* Order/Quote can't be deleted due to unconfirmed prior deletion (#7654)
* Fix syntax error in consistency check and add two new ones (#7650)


Changelog for 1.11.0

Added functionalities
* Reclassification of negative assets to liabilities and vice versa (#7389)
* AR/AP invoice history shows more actions, user and timestamp (#5873)
* Bank statement parser for reconciliation through configuration (#7050)
* System > Users menu item listing users in the company (#7032)
* More webservice APIs (#7056, ...)
* Total paid and Remaining balance summaries added to invoices (#7130)
* Configurable directories (UI, workflows & sql) (#7236, #7250, #7251)
* Tracking of user name in AR/AP/GL history (#5023)
* Printing of GL and cash transfer transactions (#7310)
* Barcode support added on invoices (regressed since 1.5) (#1584)
* Loading template-sets with 'ledgersmb-admin template load-all' (#7367)
* Database restore to user-specified schema with ledgersmb-admin (#7259)
* GL transaction notes editable after posting (#7517)
* Cross-referencing reversed and reversing transactions (#6715)
* Shipto* variables added for expansion in invoice e-mails (#7543)
* SQL Ledger and Ledger123 migrations for SL versions prior to 2.8.4

Changed functionalities
* Fresh new application logo and login page layout (#7317, #7319)
* More database statistics reported after upgrade completion (#7017)
* System > Sequences lists next value for consistency with Defaults (#7054)
* Posted transactions show as read-only to differentiate from saved ones
* Improve migration of not-the-latest LedgerSMB 1.3 databases

Removed functionalities
* Reconciliation file parser customization (#7050)
* Inaccessible (partially duplicated) Colombian reports (#7138)
* Customization through import of 'scripts/custom/*.pl' (#7138)

Bugs fixed
* Performance fixes for stored procedures being slow on huge databases (#7072)
* Multiple fixes on AR/AP template transactions
* Command 'setup' of ledgersmb-admin erroneously marked unimplemented (#7367)
* Broken SQL-Ledger 2.8 and Ledger123 migration

Code cleanup & architecture improvements
* Continued removal of code based on the DBObject coding paradigm
* Removed unused 'entity_id' and 'till' fields from AR and AP tables (#7390)
* Removed broken autoselection of last-used customer/vendor (#7527)
* JavaScript unit tests built on Jest
* Factoring AR/AP/GL process into separate state
* 'ledgersmb-common.css' moved from UI/css/ to UI/css/global/ (#7316)
* Database data consistency checks in setup.pl (#7265)
* Architecture Decision Record (ADR) repository added
* Detach JavaScript front-end build from repository root
* Resolve naming conflict on 'action' between URL and form parameters
* Continued migration of table-based pages to CSS Grid (#7344)
* Output HTML generator (for UI) configurable with dependency injection
* Vue UI state managed by state machines

Dependency updates
* Countless JavaScript dependency updates


Changelog for 1.10 Series
Released 2022-10-08

Changelog for 1.10.38
* Fix PDF generation error for the outstanding AR/AP summary report (#8377)
* Fix hostname with hyphen breaks ledgersmb-admin database URI (#8415)
* Allow ledgersmb-admin to use pre-created databases, e.g. DigitalOcean (#8422)


Changelog for 1.10.37
* Fix reconciliation between B/S and AR Aging report (#8300)


Changelog for 1.10.36
* Fix drill-down on trial balance to pass report selections (#8177)
* Fix read access on 'templates' table for printed documents (#8180)


Changelog for 1.10.35
* Fix download links at the bottom of the tax form report (#8164)


Changelog for 1.10.34
* Fix e-mailing of AR aging statements (#8111)


Changelog for 1.10.33
* Enable scroll bars on setup(upgrade) data fix screens (#8071)
* Fix 'not set up for hierarchy reporting' on Entity Account screen (#8056)
* Fix order of period comparisons in PNL and B/S (#7800)
* Fix recurring transactions after setup.pl CSRF mitigation (#8042)
* Revert Hebrew 'nplurals' back to 4


Changelog for 1.10.32
* Fix upgrades from older Pg versions with the 'cash_impact' view (#7987)
* Fix missing locale parameter creating GL Search report (#7997)
* Fix setup.pl CSRF regressions (#8007, #8000)
* Fix date filters on Cash > Receipt/Payment (#8015)


Changelog for 1.10.31
* Fix GL transaction entry regressed from 1.10.29 (#7984)


Changelog for 1.10.30
* Add missing batch and entity sequences to the Defaults screen (#7965)
* Stop warning during startup without configuration file (#7928)
* CVE-2024-23831: CSRF attack on 'setup.pl'


Changelog for 1.10.29
* Fix formatting of amounts in AR/AP search results (#7896)
* Explicitly set foreground color on dark backgrounds in blue theme (#7875)


Changelog for 1.10.28
* Retain partsgroup selection on Update in parts screen (#7848)
* Fix missing columns on trial balance 'Ending' report type (#7870)


Changelog for 1.10.27
* Fix 'delete' link shown in CoA screen on accounts used with parts (#7812)
* Fix deletion of parts (#7811)


Changelog for 1.10.26
* Load paper size from database settings, if set (#7738)
* Fix CoA and Trial Balance PDF reports missing data in some columns (#7739)
* Fix check printing when paying a subset of the available invoices (#7761)


Changelog for 1.10.25
* Minimum PGObject::Type::BigFloat version to resolve Math::BigFloat issue (#7704)


Changelog for 1.10.24
* Specify Locale::CLDR minimum version to fix numbers shown as 'HASH()' (#7671)


Changelog for 1.10.23
* Further Math::BigFloat fixes (combined with Locale::CLDR) (#7647)
* Order/Quote can't be deleted due to unconfirmed prior deletion (#7655)


Changelog for 1.10.22
* Fix Math::BigFloat 1.999831 compatibility, included in Perl 5.36+ (#7635)


Changelog for 1.10.21
* Add option to include tax codes to taxform report (#7581)


Changelog for 1.10.20
* Increase maximum comparison periods from 9 to 13 (#7468)
* Fix check to complement missing GIFI on SQL-Ledger migration (#7500)
* Fix CSV imports with non-ascii, valid UTF-8, characters (#7511)
* Fix multi-currency migration from SQL-Ledger 3.0 (#7519)
* Fix transaction date of year-end reversals (#6852)
* Save 'Ship To' data on invoices (#7453)
* Fix 'Microfiche' column appearing empty on Goods search (#7558)


Changelog for 1.10.19
* Fix handling of updates with consecutive, exactly equal pages (#7464)


Changelog for 1.10.18
* Fix regression since 1.10.16 upgrading old companies while renaming setting
* Fix selection of default AR/AP accounts while importing databases (#7419)
* Fix error sending AR Aging statements, even though successful (#7428)


Changelog for 1.10.17
* Change workflow timestamps to per-second granularity (from minutes) (#7360)
* Fix workflow actions not being logged despite configuration (#7360)
* Fix deletion of parts groups (#7363)
* Align invoice/order entry between databases with and without parts (#7374)


Changelog for 1.10.16
* Hide CSS files from the theme drop-down which render the app unusable (#7326)
* Improve HTML compliance by moving INPUT tags around inside TABLE tags (#7323)
* Fix addition of second and further make/model rows in parts (#7346)
* Fix typo in setting name (#7337)


Changelog for 1.10.15
* Fix failure to save GL template transactions due to number formatting (#7302)


Changelog for 1.10.14
* Fix e-mail addresses on aging statement mails (#7235)
* Fix error popup after successfully sending aging statement mail (#7242)
* Fix 'cleared balance' on overlapping approved reconciliations (#7244)


Changelog for 1.10.13
* Aging reports per account; do not all entity invoices (#7177)
* Follow up to Print buttons fix -- Dojo doesn't support 'async') (#7131)
* Fix JOIN in 'all_managers' stored procedure (#7201)
* On CoA, Service, Goods and OOverhead import, hide transaction fields (#7212)
* Fix cloning companies being dependent on PG* environment vars (#7220)


Changelog for 1.10.12
* Random errors reported at the bottom of invoices without good reason (#7144)
* Asset disposal results in asset of disposed amount (#7143)
* Third address line on entity screen not saved for credit accounts (#7127)
* Print buttons call removed function (#7151)
* Empty inventory reports don't show in searches (#2661)
* Error thrown while mailing AR aging statements (#7158)
* CSV batch import fails due to incorrect function name (#7160)
* Align SQL setting-increment function with Perl implementation (#7186)
* Transaction Approval > Drafts doesn't set workflow state to POSTED (#7170)
* Order number filter on invoice search ignored (#7178)
* Fix notes from orders being on wrong invoice line (#7179)


Changelog for 1.10.11
* Stricter allowance for non-uniquely reconciled lines during migration (#7078)
* Rounding crash in reports with huge numbers (#7100)
* Unbalanced fixed asset disposal (through sale) transaction (#5180)
* Correctly show populated reconciliation after bank statement upload (#6183)
* CSV imports throwing a 'missing function' error (#7108)
* Restore logging into the default company entering the name (#7114)
* Addresses not aligning correctly with labels in some cases (#7117)
* <ENTER> not triggering login from input fields on login page (#7121)


Changelog for 1.10.10
* Don't show obsolete accounts in account drop-downs (#7061)
* Focus the first empty line on Update in AR, AP, Orders and Quotes (#1584)
* Correct alignment in HTML income statement and balance sheet (#7074)
* Improved layout of balance sheet and P&L reports for hierarchical CoA (#7086)
* Fixed database creation and upgrades failing for non-superuser admin (#7073)


Changelog for 1.10.9
* Various fixes to make tax forms work (#7037 and #7040)
* Fix error when retrieving template GL transactions (#7030)
* Fix borders on sort order drop-down in reconciliation screen (#7052)
* Fix report-sorting dropping results on each sort for some searches (#7057)


Changelog for 1.10.8
* Fix rendering performance of search results on Chrome-based browsers (#7018)
* Improve request performance by loading document formatters on server startup
* Improve invoice/order/quote performance by caching output formats
* Reduce the number of database queries retrieving 'decimal_places'


Changelog for 1.10.7
* Fix 'remaining life' for monthly depreciation in fixed assets (#6563)
* Fix new account configuration missing drop-down values and checkmarks (#7007)
* Fix various buttons in payment and customer screens (#7010)
* Fix alignment on Contact screen address, contact info and notes tabs (#7012)


Changelog for 1.10.6
* Fix serial numbers from orders being on wrong invoice line (#6979)
* Fix searching on quotation numbers in quote searching (#6988)
* Remove negative feedback in password change while typing passwords (#6991)
* Fix failing password resets resulting in a technical error (#6995)
* Fix changing passwords from user preferences page (#6978)


Changelog for 1.10.5
* Fix populating e-mail screen when mailing orders (#6956)
* Populate 'memo' instead of 'source' when applying payment discount (#6943)


Changelog for 1.10.4
* Fix AR/AP transactions posted, not saved, with separation of duties (#6932)


Changelog for 1.10.3
* Fix 'New' button on invoice and transaction screens (#6893)
* Fix UTF-8 character handling calling into old code (#6897)
* Fix database upgrades based on demo dataset (#6879)
* Remove stray double quote and curly character in purchase invoice (#6905)
* Fix regression preventing cross-yearend pnl reporting (#6386)
* Catch and report errors from updating pages (#6906)
* Fix invoice and order screens breaking on 'min empty lines' > 1 (#6911)


Changelog for 1.10.2
* Fix multiple uploads through the [Attach] link failing (#6855)
* Fix '<< Return' link on the e-mail screen being broken in some cases (#6858)
* Improve query performance by declaring stored functions STABLE (#6872)
* Fix manual tax entry unavailable on saved invoices (#6791)
* Fix added line being dropped from invoice while deleting another (#6788)


Changelog for 1.10.1
* Fix batch details screen failing to load (#6850)
* Update 1.10.0 Perl dependency changes in Changelog
* Fix taxes wrong taxes being applied to invoices (#6857)
* Fix HTML-encoding values on (PDF) printed documents (#6861)


Changelog for 1.10.0 (End of Life)

Added functionalities
* Example hierarchical chart of accounts, US General
* Ability to delete user login accounts (#1135)
* SysV init script for managing 'starman' process (#6455)
* US/Washington tax module, doubling as an example for custom modules
* Customer address data passed to Tax modules
* Support for custom Tax modules adding a Source value on output lines
* Possibility to add Vue component based pages
* User-modified workflows through "custom_workflows" config path setting
* Increased configurability by using dependency injection instead of configuration
* Default printer selection supports 'Screen' as default output location
* Default page size for PDFs selectable through System > Defaults
* Support for Right-to-Left (RTL) languages
* Ability to download all document templates as a zip file (#1931)
* Added 'Currency', 'FX Debits' and 'FX Credits' columns to GL report (#3999)
* Attachments to reconciliations, e.g. bankstatement PDFs

Changed functionalities
* Overpayment section in payment screen hidden on missing configuration (#2512)
* Batch AR/AP upload changed to support foreign currency transactions
* Line description on AR/AP transactions renamed to 'linedescription' (#6482)
* Some existing pages (including login.pl) converted to Vue.js v3
* INI-format configuration file replaced by YAML dependency injection file
* Localization of setup.pl & login.pl based on browser preferences
* Some variables in document templates (e.g. 'company_name') renamed (#6672)
* Simplified and fixed 'display_report.tex' and 'dynatable.tex' templates (#6676)
* Stricter database schema to ensure reconciliation correctness (#2485)

Removed functionalities
* HTML 'accesskey' attribute, based on WebAIM.org guidance
* DojoToolkit's TableContainerWidget converting its use to CSS3 Grid
* Dependency on 'zip' program; replaced by dependency on Archive::Zip
* Broken 'auth' config key for user authentication provider configuration
* Unused config keys:
  * force_username_case (section: main)
  * check_max_invoices (section: main)
  * dojo_theme (section: main)
  * dojo_unbuilt (section: debug)
* Template set 'xedemo'; functionality merged into 'demo' templates

Bugs fixed
* Tax incorrect on existing invoice after customer tax status change (#2322)
* Better logging on authentication failure
* Full support for running from a schema other than 'public'
* Printing checks fails to include invoices on the check's voucher (#6253)
* Languages in language selection drop down now in user's language (#6289)
* Tax module initialization, in support of the US/Washington implementation
* B/S and PnL PDF templates cleaned up and alignment fixed
* Aging statements language selector restored (#6353)
* Multiple aging statements generation and e-mailing restored (#6353)
* Default printer selection in user preferences restored
* Template 'display_report.html' doesn't depend on 'ui-header' anymore (#6672)

Code cleanup
* Fewer warnings from old code
* Start changing client to use Vue3, vue-router and vue-i18n
* Remove unused defaults table settings 'revtrans', 'yearend' and 'closedto'
* Complete replacement of Log::Log4perl with Log::Any in library code
* Remove unused UI templates
* Simplify non-UI templates created from UI templates, removing UI remnants
* Encapsulate Dijit (Dojo) widgets in Web Components / Custom Elements
* Remove unused Dijit widget(s)
* Use more idiomatic Template Toolkit coding style for templates
* Remove duplicated (buggy) function from sql/moduls/Parts.sql

Dependency updates
* Perl 5.32 (updated from 5.24)
* Dojo and Dijit 1.17.2 (from 1.16)
* PostgreSQL 13 (updated from 10)
* PGObject 2.3.2 (updated from 2.2.0)
* PGObject::Simple 3.1.0 (updated from 3.0.2)
* PGObject::Simple::Role 2.1.1 (updated from 2.0.2)
* PGObject::Util::DBAdmin 1.6.1 (updated from 1.4.0)
* Workflow 1.59 (upadted from 1.56)
* YAML::PP (new)
* YAML (dropped)
* Version::Compare (dropped)
* JSONSchema::Validator (new)
* Locales (new)
* HTTP::AcceptLanguage (new)
* HTTP::Negotiate (new)
* Beam::Wire (new)
* Archive::Zip (new)


Changelog for 1.9 Series (End of Life)
Released 2021-09-24

Changelog for 1.9.30
* Fix check for missing GIFI on SQL-Ledger migration (#7501)
* Fix CSV import failure on non-ascii, but valid UTF-8, character (#7512)
* Fix transaction date on year-end reversal (#7540)
* Save 'Ship To' selection on invoices (#7546)
* Fix 'Microfiche' appearing empty on Goods search (#7559)


Changelog for 1.9.29
* Fix regression since 1.9.27 upgrading old companies while renaming setting
* Fix selection of default AR/AP accounts while importing databases (#7419)


Changelog for 1.9.28
* Fix deletion of parts groups (#7363)
* Align invoice/order entry between databases with and without parts (#7374)


Changelog for 1.9.27
* Hide CSS files from the theme drop-down which render the app unusable (#7326)
* Improve HTML compliance by moving INPUT tags around inside TABLE tags (#7323)
* Fix addition of second and further make/model rows in parts (#7346)
* Fix typo in setting name (#7337)


Changelog for 1.9.26
* Fix failure to save GL template transactions due to number formatting (#7302)
* Fix JOIN in 'all_managers' stored procedure (#7201)


Changelog for 1.9.25
* Random errors reported at the bottom of invoices without good reason (#7144)
* Asset disposal results in asset of disposed amount (#7143)
* Third address line on entity screen not saved for credit accounts (#7127)
* Empty inventory reports don't show in searches (#2661)
* Align SQL setting-increment function with Perl implementation (#7186)
* Order number filter on invoice search ignored (#7178)
* Fix notes from orders being on wrong invoice line (#7179)


Changelog for 1.9.24
* Don't show obsolete accounts in account selection drop-downs (#7062)


Changelog for 1.9.23
* Various fixes to make tax forms work (#7037 and #7040)
* Fix borders on sort order drop-down in reconciliation screen (#7052)


Changelog for 1.9.22
* Fix rendering performance of search results on Chrome-based browsers (#7018)
* Improve invoice/order/quote performance by caching output formats
* Reduce the number of database queries retrieving 'decimal_places'


Changelog for 1.9.21
* Fix 'remaining life' for monthly depreciation in fixed assets (#6563)
* Fix new account configuration missing drop-down values and checkmarks (#7007)


Changelog for 1.9.20
* Fix serial numbers from orders being on wrong invoice line (#6979)
* Fix searching on quotation numbers in quote searching (#6988)
* Remove negative feedback in password change while typing passwords (#6991)


Changelog for 1.9.19
* Fix UTF-8 character handling calling into old code (#6998)
* Fix regression preventing cross-yearen PNL reporting (#6386)
* Fix invoice and order screens breaking on 'min empty lines' > 1 (#6926)


Changelog for 1.9.18
* Fix '<< Return' link on the e-mail screen being broken in some cases (#6858)
* Improve query performance by declaring stored functions STABLE (#6872)
* Fix added line being dropped from invoice while deleting another (#6788)


Changelog for 1.9.17
* Fix HTML-encoding values on (PDF) printed documents (#6861)
* Fix removal of invoice line breaking entire UI interaction (#6807)


Changelog for 1.9.16
* Support for PostgreSQL 14 for databases upgraded from pre-1.9.15


Changelog for 1.9.15
* Fix invoices randomly being incorrectly voided (#2321)
* Fix response status code checks to correctly roll back on error (#6586)
* Fix incorrect template delimiters in 'templates/demo/*.html' (#6659)
* Fix Changelog for 1.9.14 - add two missing entries


Changelog for 1.9.14
* Fix reconciliation for multiple payments with the same Source (#6526)
* Fix reconciliation for payments with GL corrections (#6533)
* Fix GIFI account numbers not presented in the balance sheet report (#6520)
* Fix typo in the invoice TeX templates: acrue -> accrue (#6532)


Changelog for 1.9.13
* Fix line descriptions missing on AP transaction prints (#6482)
    Requires templates update.
* Support PostgreSQL 14 (#6500)
* Fix saving of vendor invoices (#6507)
* Allow deletion of transactions with shipto address (#6509)


Changelog for 1.9.12
* Fix CSV export regression since 1.9.8 throwing an error (#6474)
* Remove runtime Javascript dependencies with security issues [CVE] (#6475)
* Fix tax form details reports throwing an error (#6458)


Changelog for 1.9.11
* Fix Goods > Search filters to honor selected part type (#6428)
* Update invoice creation date when posting recurring invoices (#6432)
* Fix double-counting of lines with business units in the trial balance (#6402)


Changelog for 1.9.10
* Second fix for sending e-mail due to the incompatibility in Workflow 1.59


Changelog for 1.9.9
* Fix sending e-mail due to an incompatibility in Workflow 1.59 (#6413)


Changelog for 1.9.8
* Fix regression in editing e-mail fields being discarded (#6168)
* Fix regression in CSV download report being mostly empty (#6389)
* Fix authentication failure returning incorrect HTTP error number (#6380)


Changelog for 1.9.7
* Fix clearing To/Cc/Bcc/... fields which were cleared in the UI (#6168)
* Fix invoice amounts for invoices generated from orders (#6125)
* Fix saving purchase orders as invoices (#6341)
* Require gain/loss account setup to post FX transaction payments #6360)
* [DATALOSS] Fix deletion of any batch removing payment information (#6368)


Changelog for 1.9.6
* Populate more fields in batch approval details report (#6271)
* Fix error when posting an invoice created from an order (#6280)
* Fix saving invoices and transactions as part of vouchers (#6327)
* Fix printing batch details from batch details approval screen (#6324)


Changelog for 1.9.5
* Fix correct AR/AP account being selected on Update and when editing (#6191)
* On date-entry, add the separator character immediatly when possible (#6121)
* Fix the end date on credit accounts being shown correctly (#6235)
* Fix calculation of credit limit remaining shown on transactions and invoices
* Fix credit limit remaining calculation for foreign currency transactions
* Extend AR/AP batch import to support multi currency imports (#6250)
* Fix login errors being hidden behind an "insecure response" error (#6251)
* Fix deletion of unapproved batches failing (#6252)
* Fix GL batch import menu item missing, even with appropriate permissions (#6248)


Changelog for 1.9.4
* Fix balance sheet printing template listing account descriptions (#6203)
* Fix reconciliations to include Source value from transactions (#6122)
* Fix error thrown from CSV export function (#6140)
* Fix reporting of login problems due to e.g. version mismatch (#5976)
* Fix 'import' of username on HR > Employee menu | User tab (#5287)


Changelog for 1.9.3
* Sort the buttons on the e-mail entry screen
* Fix issues with the PDF output for PNL and Balance sheet reports
* Fix indenting on the hierarchical PNL and balance sheet HTML reports
* Add link to download HTML PNL and balance sheet reports
* Add rudimentary CSS to HTML PNL and balance sheet reports
* Fix off-by-one column on the PNL and balance sheet total lines
* Remove application links on downloaded HTML PNL and balance sheet reports
* Use a temp table to prevent bulk payments trampling on each other
* Fix sorting on fixed asset searches (#6151)


Changelog for 1.9.2
* Fix sending mail with multiple Bcc addresses (#6087)
* Fix manual taxes on credit invoices (#5721)
* Add missing account configuration on Sales account (#6100)
* Fix Update clobbering invoice header data (e.g. fx rate) (#6114)


Changelog for 1.9.1
* Fix license declaration in package.json (gpl-v2.0-or-newer)
* Fix scrollbars in the main window overlapping with real content (#5874)
* Fix 'setup.pl' to work with Safari for creation of new data sets (#6016)
* Fix no payment lines shown after saving invoices and transactions (#6017)
* Fix e-mailed invoices not being sent to Bcc addresses
* Add support for workflow overrides
* Add a list of available e-mail variables for expansion
* Restore e-mail body variable expansion (#6042)
* Add example Chart of Accounts with hierarchy (US General based) (#6057)
* Fix SQL date errors using date formats other than yyyy-mm-dd (#6040)
* Fix default to/cc/bcc addresses not applied to e-mail (#6045)
* Correctly present password experation in preferences (#6067)
* Fix initialization of 'current earnings' setting from CoA XML
* Correctly select the default country on Contact address entry (#6058)
* Correctly set parent of CoA headers when loading from XML (#6068)


Changelog for 1.9.0

Added functionalities
* List of countries in preferences now translated
* Database used for authentication in setup.pl now configurable (auth_db)
* Database used to query system characteristics now configurable (admin_db)
* Add link to customer screen from invoice entry
* Add option to search by customer/vendor name on payments search
* Command line application for administrative tasks (bin/ledgersmb-admin)
* Emailed documents are added to the database as attachments
* Orders and invoices show change history
* Login pages show a warning when using an unsupported/obsolete browser
* On the payment/receipt screen, show invoice descriptions when available

Changed functionalities
* Improved error reporting on Print button with template evaluation failure
* Faster HTML response generation (optimized HTML preprocessing)
* `demo_with_images` document template set merged with standard `demo` set
* JavaScript now built using WebPack (no longer using Dojo's build only)
* Report filters and account settings hide GIFI when not configured
* Invoice 'Save Info' now saves changes to 'Salesperson'
* Add option to report opening or closing balance on balance sheet
* Chart of Accounts examples converted to XML (from SQL)
* Emailed invoices use data from the database instead of the screen
* No longer show "Print and Save (as new)" buttons when no printers configured
* Migrated to new test driver Yath (Test2::Harness), from `prove`
* Script `bin/drop-roles` replaced by `bin/ledgersmb-admin destroy` command
* Add `samesite` policy to the authentication cookie for modern browser support

Removed functionalities
* Configuration setting 'Only Timeout Locks' removed

Bugs fixed
* Clicking 'Update' no longer clobbers saved invoices and transactions
* Optimize listing of configured currencies (don't check in-use)
* Optimize balance sheet report (use balance snapshots from period closing)
* Fixed mailing of aging reports (regression since 1.3.42)
* Default CoA referential integrity and consistency
* Templates in setup.pl appearing in changing, random order
* Fix type problems due to BigFloat being downgraded to BigInt
* Parts search filter screen needs better layout
* Value selection on non-required select can be undone by selecting empty item
* Update menu to selected language after preferences save
* SIC value is free entry instead of selection from configured SIC list
* Back button steps back along the various form submissions intuitively now
* Inconsistent approval status between unapproved transactions and its lines
* Shipping screen 'Done' button no longer complains about the server response
* Orders and Quotes 'Save as new' saves using a new order/quote number

Code cleanup
* Remove use of LedgerSMB::Company_Config global state (excepf from PGNumber)
* Align HTML templates between `demo` and `xedemo` document template sets
* Clean up and align XeLaTeX vs LaTeX(pdflatex) document template sets
* Centralize database connection set-up
* Reformat UI HTML templates & HTML5 upgrade (from 4.01 Transitional)
* Simplify UI HTML template libraries elements.html & dynatable.html
* Stop using LedgerSMB::Sysconfig global variables (use functions instead)
* Initialize LedgerSMB::Sysconfig & ::Locale explicitly (no init-on-startup)
* SQL data types aligned (pnl vs balance, fixed assets)
* Code cleanup reducing the number of warnings in the server logs
* Dead code removal from old/ code
* Removal of licence-incompatible code in utils/lib/
* Performance tuning of UI template handling code
* Integrate JS code of main app page better by making it a Dojo widget
* User preferences are now stored using a row-based structure instead of columns
* Lots of changes to make CI testing work on GitHub Actions
* Enable `dependabot` to keep JavaScript dependencies up-to-date

Dependency updates (Perl)
* perl 5.24 (updated from 5.20)
* Hash::Merge (new)
* Locale::CLDR::* (new)
* Locale::Country (dropped)
* Locale::Language (dropped)
* Log::Any (new)
* Log::Any::Adapter::Log4perl (new)
* MooseX::ClassAttribute (new)
* PGObject 2.2.0 (updated from 2.0.2)
* PGObject::Util::DBAdmin 1.4.0 (updated from 1.0.1)
* Pod::Find (new)
* Syntax::Keyword::Try 0.15 (new)
* Try::Tiny (dropped)
* URI::Escape (new)
* Workflow (new)
* YAML (new)


Changelog for 1.8 Series (End Of Life)
Released 2020-09-04

Changelog for 1.8.31
* Support for PostgreSQL 14 for databases upgraded from pre-1.9.15


Changelog for 1.8.30
* Fix invoices randomly being incorrectly voided (#2321)
* Fix response status code checks to correctly roll back on error (#6586)

Changelog for 1.8.29
* Fix the 1.8 Changelog which had been replaced with the 1.9 Changelog


Changelog for 1.8.28 (not released)
* Fix reconciliation for multiple payments with the same Source (#6526)
* Fix reconciliation for payments with GL corrections (#6533)


Changelog for 1.8.27
* Fix tax form details reports throwing an error (#6458)
* Support PostgreSQL 14 (#6500)
* Allow deletion of transactions with shipto address (#6509)


Changelog for 1.8.26
* Fix double-counting of lines with business units in the trial balance (#6402)


Changelog for 1.8.25
* Fix batch details printing throwing a PSGI error (#6325)
* Fix saving of AR/AP vouchers throwing errors (#6327)
* Fix account initialization in tax calculation module (#6335)
* Require gain/loss account setup to post FX transaction payments (#6360)
* [DATALOSS] Fix deletion of any batch removing payment information (#6368)


Changelog for 1.8.24
* Fix multiple issues with bank account reconciliation (#6122)
* Fix correct AR/AP account being selected on Update and when editing (#6191)
* Fix the end date on credit accounts being shown correctly (#6235)
* Fix calculation of credit limit remaining shown on transactions and invoices
* Fix credit limit remaining calculation for foreign currency transactions
* Fix login errors being hidden behind an "insecure response" error (#6251)
* Fix GL batch import menu item missing, even with appropriate permissions (#6248)


Changelog for 1.8.23
* Use a temp table to prevent bulk payments trampling on each other
* Fix sorting on fixed asset searches (#6151)


Changelog for 1.8.22
* Fix sending mail with multiple Bcc addresses (#6087)
* Fix manual taxes on credit invoices (#5721)


Changelog for 1.8.21
* Prevent draft approval by user without permission (#5984)
* Fix UI consistency (missing CSS class) in purchase invoice (#5988)
* Fix performance problem deleting huge draft transactions (#5993)


Changelog for 1.8.20
* Fix for chart of accounts headings import from CSV (#5987)
* Correctly set the payment account in invoices and transactions (#5801)
* Fix regression in CVE-2021-3693 failing to show errors as popups (#5921)
* Fix regression in CVE-2021-3693 with broken downloads of backups (#5931)


Changelog for 1.8.19
* Follow-up for the fix to CVE-2021-3693; fix bulk-posting payments
* Follow-up for the fix to CVE-2021-3693; fix incorrectly backported change


Changelog for 1.8.18
* Check whether HTML comes from a valid source; CVE-2021-3693
* Apply HTML escaping on error messages; CVE-2021-3694 (#5754)
* Fix several issues in `bin/prepare-company-database` (#5769)
* Prevent the application being wrapped in a frame; CVE-2021-3731


Changelog for 1.8.17
* Align filters between UI and the database on draft transaction search (#5692)
* Correctly present manual tax and invoice total on reversing invoice (#5721)
* Repeatedly saving a draft invoice pops up an SQL error (#5679)


Changelog for 1.8.16
* Fix incorrectly encoded UTF-8 characters on journal entry (#5583)
* Fix multiple updates in payment screen resetting user input (#5614)
* Improve error message when missing cash discount configuraition (#5632)
* Fix payment information for credit accounts which are Persons (#5632)
* Fix memos sometimes being associated with incorrect payment rows (#5646)
* Fix wrong fx value due to formatted exchangerate used in calculation (#5656)
* Fix decimal places setting not applied for AR/AP transactions (#5657)
* Fix duplicated income statement figures due to reversed year end (#5682)


Changelog for 1.8.15
* Improve reconciliation of data entered before migration to 1.8
* Fix AR/AP transaction+invoice 'New' button throwing an error (#5539)
* Fix transaction total in AR/AP transactions with applied payments (#5528)
* Stop doubling of the number of lines in an AR/AP transaction on Save (#5529)
* Fix vendors appearing in the AR customer drop-down and vice  versa (#5534)
* Fix second and consecutive Save actions on invoices throwing an error (#5532)
* Only limit Customer/Vendor History by country with explicit filter (#4361)


Changelog for 1.8.14
* Follow-up (fix) to upgrades blocked by files attached to transactions


Changelog for 1.8.13
* Update welcome.html and README, removing FreeNode and updating Element
* Fix double-quoting values in GL transaction 'notes' and 'description' (#5415)
* Fix GL transaction after file attachment showing up empty (#5416)
* Retain AR/AP account across 'Update' on invoices and transactions (#5453)
* Don't drop creation date on AR/AP transactions and invoices from 1.3 (#5417)
* Fix reconciliations incorrectly updated when including new transactions (#5417)


Changelog for 1.8.12
* Improve upgrades in light of files attached to transactions
* Fix 1.3 upgrade breaking on default currency function type
* Fix duplicate key error in upgrade data validation


Changelog for 1.8.11
* Fix Number not updated by 'Save as New' on order and quote (#5358)
* Fix failure to save purchase shipping addresses and contacts (#5289)
* Fix searching and opening saved invoices with gapless AR enabled (#5369)
* Performance improvements through added database indexes


Changelog for 1.8.10
* Fix mail and print options under Schedule on invoices (#5297)
* Disable the broken-on-orders Schedule button on orders (#5295)
* Fix several LedgerSMB 1.3 migration issues
* Fix dates on weekly-entry timecards (#5336)
* Fix descending sort order on reports can't be reversed (#5298)
* Fix individual batch approval lists all batches, not unapproved ones (#4971)
* Fix for #4854 (HTML misalignment, v1.7.19) adds more misalignment (#5298)


Changelog for 1.8.9
* Fix SQL error thrown when partially invoicing an order
* Fix incorrect totals in single payment screen on FX payments (#5223)
* Limit 'Class' drop-down on Accounts tab to supported types only (#5216)
* Fix regression deleting draft invoices/transactions with payments (#5207)
* Fix empty columns when posting a payment batch (#5192)
* Hide 'Payment Type' selector when drop-down empty (#5191)


Changelog for 1.8.8
* Faster GL account tree consistency check
* Maintain consistency between ar/ap/gl and transactions tables on delete
* Fix CSV import of inventory adjustment
* Fix failure to delete unapproved reconciliation reports


Changelog for 1.8.7
* Fix internal server error when creating AR/AP voucher (#5188)
* Fix AP Aging inadvertedly having been dropped from the menu (#5193)
* Fix 'Approved'/'Unapproved' filter in GL search (#5181)


Changelog for 1.8.6
* Fix asset depreciation not being posted (#5174)
* Fix regression invoice conversion from order using order date (#5175)


Changelog for 1.8.5
* Fix failure to post recurring AR/AP transaction (#5152)
* Add horizontal scrolling for wide content (#5156)
* Fix Customer (ECA) Income statement not working (#2501)
* Change GL account selector to sort prefix-matches on top (#3908)


Changelog for 1.8.4
* Fix subtotals not showing on AR/AP outstanding report (#4732)
* Apply default sorting to AR/AP outstanding and transactions reports (#5080)
* Fix failure saving new reporting unit classes with modules checked (#4614)
* Fix failure sorting AR > Search results for filter with spaces (#4872)
* Fix aging detail overview throwing error when generating report (#4018, #3572)
* Fix various aging report problems (#5091)
  * Duplicate PDF/HTML format selectors
  * 'Date' column in PDF/PS output remaining empty
  * 'Select all' functionality fixed (now handled in the browser)
* Fix various payment transaction issues (#5094)
  * POST AND PRINT html output on payments screen returned as text (#5077)
  * Payment report not containing payment lines
  * Remove unavailable PDF and PS output options for POST AND PRINT
* Fix check printing showing random number in amount block (#5078)
* Fix subtotals not working in GL report (#5098)
* Add starting and ending balance to GL report filtered on account (#4985)
* Fix AR/AP transaction applying exchangerate without locale conversion (#4879)
* Fix parts searches failing to filter by serial number (#5107)
* Various sales person related fixes (#5115)
  * Fix sales person failing to save on AR/AP Transactions
  * Fix sales person selection retained on Update in sales invoice
  * Fix loading sales person from database on document retrieval
* Fix upgrades from 1.7 failing on self-created exchange rate types (#5112)
* Fix 'Manager' drop down not populated in employee page (#5125)
* Fix parts lookup on invoice not filtered by entered text (#5138)
* Fix Account contact screen buttons populating customer on invoice/... (#932)


Changelog for 1.8.3
* Fix broken Bcc e-mail support (#5034)
* Fix duplicated sales persons list on order entry (#5035)
* Fix inability to open employee screen under specific circumstances (#5043)
* Fix creation of assets class without required accounts (#4624)
* Fix saving part's customer rate without 'Min QTY' (#4849)
* Fix 'Parent' dropdown empty in Report Unit entry screen (#4625)
* Explain password reset when importing user on company creation (#3249)
* Fix inability to delete business unit class (#4597)
* Fix missing buttons on unsaved invoice in closed period (#4840)
* Fix lengthy errors showing stack dumps (#5072)
* Split description and vendor/customer columns in GL and Drafts reports (#4836)


Changelog for 1.8.2
* Fix AR/AP search sales person not limiting selection (#4604)
* Fix departments dropdown not populated on Receipts/Payments entry (#4636)
* Fix sales person not shown on existing AR/AP transactions (#5004)
* Fix failure to post recurring GL transaction (#4946)
* Resolve conflict between HTML5 and our 'date' INPUT tags (#5016)
* Fix asset screen dropdowns not populating correctly (#5016)
* Fix asset classes not in search output when missing accounts (#5020)
* Fix address-type (Billing, etc) not correctly initialized on edit (#2564)


Changelog for 1.8.1
* Fix incorrect rounding on payments leading to under/overpayment (#4986)
* Fix AR/AP dropdown on transactions not retained after 'Update' (#4927)
* Fix sales order generation from timecards (#4984)
* Better defaults for 'HR > Add Employee' screen (#1672)
* Fix timecard Save feedback screen showing zero quantities (#4982)


Changelog for 1.8.0

Added functionalities
* Upload of logos and use in document templates (#1816)
* New configuration keys in '[mail]' section of ledgersmb.conf (#4378)
* Print templates for PNL, Balance sheet and generic reports now
  * User-editable
  * Customizable per company
  * Stored in the database like all other templates (#811)
* Authentication and session storage through encrypted cookies (#4418)
* CSV upload of parts, services and overhead
* CSV upload of a batch of GL transactions
* Parts searches can be restricted by type (part, service, ...)
* SysV init script template for RedHat/CentOS (#2900)
* Beginnings of a web services API, served at /erp/api/v0 (#4452)
* Import of OFX bank statement files for reconciliation
* New 'migrate-company' command line tool for migrations from 1.2 and 1.3

Changed functionalities
* Payments now first-order data (no longer inferred)
* Removed cash/check/deposit dropdown POS remnant from single payment screen
* Faster loading of the menu
* Faster loading of selected accounts in the GL accounts drop-down
* Faster loading of the goods number and description drop-downs
* New UI for uploading and editing document (print) templates
* Colors of default scheme changed to follow the soft-tone of the Claro theme
* Manual tax lines with 0 (zero) tax and taxable amounts are no longer posted
* Employee 'Wages & Deductions' (experimental) page now hidden until enabled
* Search checkmarks 'Open/Closed' replaced by radio button 'Open/Closed/All'
* Default exchange rates cannot be NULL
* Don't display delete button for in-use currency or exchange rate types
* Harmonized CSS themes; now using CSS3 variables for overall consistency
* Removed support for 2-digit years in date input
* Failed migrations from LSMB1.2/1.3 or SL2.8/3.0 restore original schema

Bugs fixed
* Incorrect calculation of discounts where posting date isn't 'today' (#4505)
* Default dates sometimes off by a day (before or after the current day) (#2587)
* Customers and vendors in parts screen selectable through drop-downs
* Overpayments not shown in Cash > Reports > Receipts (#3577)
* Handling of currencies with short codes or unusual characters (#4435, #4436)
* Formatting of columns in the 'Inventory Activity' report
* Single-entry timecards work again after long-standing regression
* LedgerSMB 1.2 migration fixes and completeness
* Fix reporting units should allow one-per-category but allow multiple (#4654)

Code cleanup
* Refactored company migration logic into a separate module (out of setup.pl)
* Disentangled processing of UI and printed documents
* Replace unnecessary UNION selects on ar/ap/gl by select on transactions
* Remove unmaintained ability from Makefile to install dependencies
* Reduce use of LedgerSMB::App_State and LedgerSMB::App_State::Locale
* Remove legacy infrastructure to generate table-formatted report output
* Moved authentication for 'setup.pl', making it stand-alone
* Removed use of LSMB_ALWAYS_MONEY environment variable
* Replaced 'no strict "refs"' with use of Symbol module
* Removed tables 'fixes', 'menu_attribute' and 'payment_map'
* Removed template functions escape(), tt_url() & UNESCAPE()
* Javascript improvements based on automated code review from lgtm.com
* Remove remnants of custom field support
* Remove unused infrastructure to administer access role groups
* Stricter data model for storage of foreign currency exchange rates
* Stricter data constraints for storage of transactions
* Simplified request handling by
  * Making old/bin/old-handler.pl a PSGI app (LedgerSMB::oldHandler)
  * Stripping LedgerSMB::Form from anything handled by middleware
  * Separating 'setup.pl authentication' into its own middleware
* Remove unused 'queue_payments' and 'poll_frequency' settings
* Remove unsupported, non-functioning scripts for asynchronous bulk payments
* Refactored reconciliation screen logic for easier maintenance
* Removal of dead code
* JavaScript consistency clean-up due to ESLint checks
* Changed UI templates from custom to standard TT delimiters ('[%' and '%]')

Dependency updates
* Perl 5.20 (upgraded from 5.18)
* Dojo Toolkit updated to 1.16.2
* TeX::Encode >= 2.007
* LaTeX::Driver >= 1.0.0
* Authen::SASL (new)
* Cookie::Baker (new)
* Email::Sender (new)
* Email::Stuffer (new)
* Session::Storage::Secure (new)
* String::Random (new)
* MIME::Lite (dropped)
* PGObject >= 2.0.2 (from 1.403.2)
* PGObject::Type::BigFloat >= 2.0.1 (from 1.0.0)
* PGObject::Type::DateTime >= 2.0.2 (from 1.0.4)
* PGObject::Type::ByteString >= 1.2.3 (from 1.1.1)
* XML::Simple (dropped)


Changelog for 1.7 Series (End of Life)
Released 2019-10-04

Changelog for 1.7.41
* Support for PostgreSQL 14 for databases upgraded from pre-1.9.15


Changelog for 1.7.40
* Fix invoices randomly being incorrectly voided (#2321)
* Reduce memory consumption rendering XLSX output (#6483)


Changelog for 1.7.39
* Fix tax form details reports throwing an error (#6458)
* Support PostgreSQL 14 (#6500)
* Allow deletion of transactions with shipto address (#6509)


Changelog for 1.7.38
* Fix batch details printing throwing a PSGI error (#6325)
* Fix saving of AR/AP vouchers throwing errors (#6327)
* Fix account initialization in tax calculation module (#6335)


Changelog for 1.7.37
* Fix login errors being hidden behind an "insecure response" error (#6251)


Changelog for 1.7.36
* Fix manual taxes on credit invoices (#5721)


Changelog for 1.7.35
* Fix for chart of accounts headings import from CSV (#5987)
* Correctly set the payment account in invoices and transactions (#5801)
* Fix regression in CVE-2021-3693 failing to show errors as popups (#5921)
* Fix regression in CVE-2021-3693 with broken downloads of backups (#5931)


Changelog for 1.7.34
* Follow-up to fix for CVE-2021-3693 to fix display of search results
* Follow-up for the fix to CVE-2021-3693; fix bulk-posting payments


Changelog for 1.7.33
* Check whether HTML comes from a valid source; CVE-2021-3693
* Apply HTML escaping on error messages; CVE-2021-3694 (#5766)
* Prevent the application being wrapped in a frame; CVE-2021-3731
* Align filters between UI and the database on draft transaction search (#5693)
* Correctly present manual tax and invoice total on reversing invoice (#5721)
* Repeatedly saving a draft invoice pops up an SQL error (#5679)


Changelog for 1.7.32
* Fix multiple updates in payment screen resetting user input (#5614)
* Improve error message when missing cash discount configuraition (#5632)
* Fix payment information for credit accounts which are Persons (#5632)
* Fix memos sometimes being associated with incorrect payment rows (#5646)
* Fix wrong fx value due to formatted exchangerate used in calculation (#5656)
* Fix decimal places setting not applied for AR/AP transactions (#5657)
* Fix duplicated income statement figures due to reversed year end (#5682)


Changelog for 1.7.31
* Stop doubling of the number of lines in an AR/AP transaction on Save (#5529)
* Fix vendors appearing in the AR customer drop-down and vice  versa (#5534)
* Fix second and consecutive Save actions on invoices throwing an error (#5532)
* Only limit Customer/Vendor History by country with explicit filter (#4361)


Changelog for 1.7.30
* Follow-up (fix) to upgrades blocked by files attached to transactions


Changelog for 1.7.29
* Update welcome.html and README, removing FreeNode and updating Element
* Fix double-quoting values in GL transaction 'notes' and 'description' (#5415)
* Fix GL transaction after file attachment showing up empty (#5416)
* Retain AR/AP account across 'Update' on invoices and transactions (#5453)
* Don't drop creation date on AR/AP transactions and invoices from 1.3 (#5417)


Changelog for 1.7.28
* Improve upgrades in light of files attached to transactions
* Fix 1.3 upgrade breaking on default currency function type
* Fix duplicate key error in upgrade data validation


Changelog for 1.7.27
* Fix Number not updated by 'Save as New' on order and quote (#5382)
* Performance improvements through added database indexes
* Fix failure to save purchase shipping addresses and contacts (#5289)


Changelog for 1.7.26
* Disable the broken-on-orders Schedule button on orders (#5295)
* Fix several LedgerSMB 1.3 migration issues
* Fix dates on weekly-entry timecards (#5336)
* Fix descending sort order on reports can't be reversed (#5298)
* Fix individual batch approval lists all batches, not unapproved ones (#4971)
* Fix for #4854 (HTML misalignment, v1.7.19) adds more misalignment (#5298)


Changelog for 1.7.25
* Faster GL account tree consistency check
* Maintain consistency between ar/ap/gl and transactions tables on delete
* Fix CSV import of inventory adjustment


Changelog for 1.7.24
* Fix 'Approved'/'Unapproved' filter in GL Search not working (#5181)


Changelog for 1.7.23
* Fix subtotals not showing on AR/AP outstanding report (#4732)
* Apply default sorting to AR/AP outstanding and transactions reports (#5080)
* Fix failure saving new reporting unit classes with modules checked (#4614)
* Fix subtotals not working in GL report (#5098)
* Fix AR/AP transaction applying exchangerate without locale conversion (#4879)
* Various sales person related fixes (#5115)
  * Fix sales person failing to save on AR/AP Transactions
  * Fix sales person selection retained on Update in sales invoice
  * Fix loading sales person from database on document retrieval
* Fix 'Manager' drop down not populated in employee page (#5125)
* Fix Account contact screen buttons populating customer on invoice/... (#932)


Changelog for 1.7.22
* Fix duplicated sales persons list on order entry (#5035)
* Fix inability to open employee screen under specific circumstances (#5043)
* Fix creation of assets class without required accounts (#4624)
* Fix saving part's customer rate without 'Min QTY' (#4849)
* Fix 'Parent' dropdown empty in Report Unit entry screen (#4625)
* Explain password reset when importing user on company creation (#3249)
* Fix inability to delete business unit class (#4597)


Changelog for 1.7.21
* Fix AR/AP account dropdown not retained on 'Update' (#4927)
* Fix AR/AP search Employee filter not limiting the result (#4606)
* Fix Departments dropdown not populated on Receipts/Payments (#4636)
* Fix missing sales employee on existing AR/AP transactions (#1015)
* Fix error when posting recurring GL transactions (#4946)
* Fix incorrectly populated dropdowns on Asset screen (#5017)
* Fix conflict between HTML5 and our 'date' INPUT widgets (#5017)
* Fix asset classes with missing accounts not being in search result (#5021)


Changelog for 1.7.20
* Fix Arabic being default language on Account creation (#4439)
* Add Locale::Codes as explicit dependencies after removal from CORE
* Fix invoices opened from payments screen missing CSS (#4890)
* Add date-filter to Draft search filter screen
* Fix amounts filter in Draft search not working (#4929)
* Fix missing accounts in AR/AP transactions using 'Min Empty Lines (#4930)
* Add 'select all' column toggle button to Draft search
* Fix sequences returning 'invnumber' instead of sequence number (#4949)
* Make AR/AP transaction sequence drop-down follow application style


Changelog for 1.7.19
* Fix purchase order HTML template mis-alignment (#4854)
* Fix tax form reports throwing an error when opened (#4881)
* Fix 'missing method "error"' on bulk payments 'Print and Post' (#4780)
* Fix bulk payments cheque/source numbering (#4780)
* Fix error when deleting a template transaction (#4848)


Changelog for 1.7.18
* Fix payment posting due to number formatting errors (#4781)
* Fix payment posting due to date formatting errors (#4794)
* Fix posting reversal of sales invoice after assembly reversal (#4791)
* Fix overpayment reversal failing to post (#4803, #4816)


Changelog for 1.7.17
* Fix reversals of purchases failing to post due to COGS error (#4771)
* Fix assemblies failing to save after 'Update' (#4755)


Changelog for 1.7.16
* Fix migration including NULL and zero exchange rate defaults (#4673)
* Fix AR Outstanding report showing negative taxes (#4688)
* Remove dev-mode server-killing /stop URL (#4705)
* Fix GL journal creation silently inserting 2 'gl' records (#4719)
* Fix sorting hierarchical balance sheet and income statement sections (#4740)
* Update Dojo dependency to 1.15.4
* Add SameSite policy on session cookie to prevent being ignored (#4748)


Changelog for 1.7.15
* Fix tax on invoice differs from search results (#4651)
* Fix COGS for purchased-in-arrears parts (#4658)
* Update Dojo to 1.15.3


Changelog for 1.7.14
* Fix AR/AP account being reset to default on transaction Update-s (#4599)
* Fix CSV, ODS or TXT reports being downloaded without extensions (#4613)
* Fix 'To pay' amount resetting on second updates in single payments (#4633)
* Fix 'Paid' amount incorrect when 'Apply discount' unchecked (#4514)
* Fix income statement failing to filter on invoice reporting units (#4615)
* Fix payment discount not being posted (#4616)
* Fix tax base and amount doubled on printed invoice (#4645)


Changelog for 1.7.13
* Fix listing asset classes throwing an error (#4569)
* Solve failure to create initial user by requiring input (#4525)
* Fix links at the bottom of the CoA screen (#4568)
* Fix CoA export (ODS, XLS or XLSX) throwing malformed XML error (#4580)
* Fix downloaded reports missing extension (e.g. '.pdf') (#4584)
* Improve performance of deleting batches (#4449)
* Fix error thrown when opening reporting unit 'edit' screen (#4592)
* Fix transdate being NULL in journal lines from bulk payments (#4587)


Changelog for 1.7.12
* Reconciliation reports list now shows usernames rather than user ids (#4388)
* Single payment interface throws error without open invoices (#4529)
* Fix CSV data imports discading the first row (#4567)
* Improve Chart of Accounts import no longer discards heading (#4567)


Changelog for 1.7.11
* Fix inventory adjustments failing to update balances (#4467)
* Fix inability to delete individual vouchers from a batch (#4448)


Changelog for 1.7.10
* Fix error displaying NULL exchange rates (#4438)
* Fix incorrect receipt totals due to number formatting (#4441)
* Prevent re-approval of approved inventory adjustment (#4458)
* Fix NULL transaction dates in inventory adjustment (#4463)
* Fix alignment of numbers in Inventory Activity report (#4454)
* Fix variance calculation on reconciliation report (#4486)
* Fix CSV import through explicit version on HTTP::Headers::Fast dependency


Changelog for 1.7.9
* Fix authentication issue due to inconsistent cookie handling (#4380)
* Fix delete access for SIC codes (standard industry code) (#4391)
* Fix SL 3.0 migration of assemblies (#4386)


Changelog for 1.7.8
* Upgrade Dojo dependency to 1.15.1
* Load the template from the database when printing receipts
* Prevent dead-locks in response to request from timed out session
* Add monetary formatting to payments/receipts screen and report


Changelog for 1.7.7
* Fix currency column not being available in the parts screen


Changelog for 1.7.6
* Disallow rate entry for the default currency (#4236)
* Fix formatting on-hand (OH) column on orders to follow user settings (#3334)
* Fix UI translation other than the menu, regressed from 1.6 (#4293)
* Fix missing 'Entered At' date in contact notes (#2822)
* Fix removal of lines from orders and vendor invoices on entry (#3703)


Changelog for 1.7.5
* Fix failure to save tax forms (#4252)
* Fix failure to undo database edits when surrounding code fails (#4253)
* Allow uploads of files with MIME types unavailable in the database (#1949)
* Fix failure to render (AR/AP) aging report (#4259, #4260)
* Separate authentication domains for setup.pl and login.pl (#4247)


Changelog for 1.7.4
* Fix COGS failure when posting AP invoice reversal (#4218)
* Include first transaction on account in reconciliation (#4221)
* Fix error on reconciliation when no prior balance available (#4224)
* Fix SQL write access error when posting fixed assets disposal (#4230)
* Correctly calculate the tax basis amount even for 0% taxes ($4240)


Changelog for 1.7.3
* Fix regression in fixed assets module due to Multi Currency support (#4195)
* Fix 'constraint not deferrable' error in fixed assets disposal (#4195)
* Stop posting manual tax lines with zero amount and zero base amount (#4196)
* Fix incorrect currency setup error on 'Update' in part screen (#4198)
* Fix occasional COGS error on invoice posting (#4200)
* Fix occasional COGS error on invoice reversal posting (#4213)
* Fix regression with missing download links on reports (#4206)


Changelog for 1.7.2
* Fix invoice screens crashing on manual tax with 0% tax rate (#4176)
* Fix manual tax lines posted on current instead of transaction date (#4180)
* Fix default currency invoice sometimes failing to save (#4184)
* Fix SQL error in reversal of services in AP invoice (#4190)


Changelog for 1.7.1
* Generate unique names for backups
* Fix tax checkmarks in contact screen sometimes being selected after save
* Fix tax accounts inclusion in posted AR/AP transactions
* Fix SQL error when running trial balance report
* Fix assets and expenses with incorrect signs in GIFI balance and PnL


Changelog for 1.7.0

New functionalities
* Deletion of template transactions (Nick P)
* Transaction date now part of purchase history report (Chris T)
* UI allows addition and removal of custom `account_link` flags (Nick P)

Improved foreign currency support
* Multiple rates per day per currency (Erik H)
  - Reversing a transaction from a closed-period on a day with different rate
  - Bank transfers with different banks on the same day with bank's fx rate
  - Migration from systems which support per-transaction or per-line fx rates
* Multiple currencies in a single general ledger transaction (Erik H)
  - Posting an opening balance with all currencies in 1 transaction
  - Transferring between foreign currencies on e.g. Paypal in 1 transaction
* Fixed copying of invoice copies fx rate without option to change (Erik H)
* UI showing foreign and default currency amounts in transactions (Erik H)

Quality Assurance
* Expanded checks and resolutions for schema changes (Erik H)
* Testing infrastructure and tests for schema change checks (Erik H)
* Ensure correct dependency declaration (RequireExplicitInclusion critic policy)
* POD documentation structure improvements, with automated checks (Erik H)
* Expanded BDD tests, including payments, batches and approval (Nick P, Erik H)

Code cleanup
* Removed deprecated 'custom table' and 'custom field' tables (Erik H)
* Reduce dependencies on deprecated LedgerSMB::App_State (Nick P)
* Simplified deprecated LedgerSMB::PGOld (Nick P)
* Remove unused LedgerSMB::DBObject and LedgerSMB::PGOld methods (Nick P)
* Remove unused configuration settings in ledgersmb.conf (Erik H)
* Further (compared to 1.6) reduction of warnings
* Implemented tests for LedgerSMB::File(::*) modules (Nick P)
* Template engine simplification by separation of UI and printed docs (Erik H)
* Consistent copyright notices - with tests - on all Perl files in lib/ (Nick P)
* Request handling cleanup by mapping 'flat' POST data into hierarchy (Erik H)

Dependency updates
* Dojo Toolkit (JavaScript UI tools) updated to 1.15.0 (Erik H)
* Minimum Perl (tested) version increased to 5.18 (from 5.14)
* Plack web glue library minimum >= 1.0031
* PGObject::Simple::Role minimum updated to 2.0.2 (from 1.13.2)
* Cpanel::JSON::XS minimum >= 3.0206
* JSON::PP >= 2.00
* [New] File::Find::Rule
* [New] Text::CSV

Nick P is Nick Prater
Erik H is Erik Huelsmann
Chris T is Chris Travers


Changelog for 1.6 Series (End of Life)
Released 2018-06-10

Changelog for 1.6.33
* Follow-up (fix) to upgrades blocked by files attached to transactions (Erik H)

Erik H is Erik Huelsmann


Changelog for 1.6.32
* Update welcome.html and README, removing FreeNode and updating Element (Erik H)
* Fix double-quoting values in GL transaction 'notes' and 'description' (Erik H)
* Fix GL transaction after file attachment showing up empty (Erik H)
* Retain AR/AP account across 'Update' on invoices and transactions (Erik H)
* Don't drop creation date on AR/AP transactions and invoices from 1.3 (Erik H)

Erik H is Erik Huelsmann


Changelog for 1.6.31
* Improve upgrades in light of files attached to transactions (Erik H, #5405)

Erik H is Erik Huelsmann


Changelog for 1.6.30
* Fix Number not updated by 'Save as New' on order and quote (Erik H, #5356)
* Performance improvements through added database indexes (Erik H)

Erik H is Erik Huelsmann


Changelog for 1.6.29
* Disable the broken-on-orders Schedule button on orders (Erik H, #5295)
* Fix several LedgerSMB 1.3 migration issues (Erik H)
* Fix dates on weekly-entry timecards (Richard W, #5336)

Erik H is Erik Huelsmann
Richard W is Richard T. Weeks


Changelog for 1.6.28
* Faster GL account tree consistency check
* Maintain consistency between ar/ap/gl and transactions tables on delete
* Fix CSV import of inventory adjustment to use same logic as manual input


Changelog for 1.6.27
* Fix sales person failing to save on AR/AP Transactions (Aung ZW, 5115)
* Fix 'Manager' drop down not populated in employee page (Erik H, #5125)
* Fix contact screen buttons populating customer on invoice/... (Erik H, #932)

Aung ZW is Aung Zaw Win
Erik H is Erik Huelsmann


Changelog for 1.6.26
* Fix inability to open employee screen (Erik H, #5043)
* Fix creation of assets class without required accounts (Erik H, #4624)
* Fix saving part's customer rate without 'Min QTY' (Erik H, #4849)
* Explain password reset when importing user on company creation (Erik H, #3249)
* Fix inability to delete business unit class (Erik H, #4597)

Erik H is Erik Huelsmann


Changelog for 1.6.25
* Fix AR/AP account on transactions retained on 'Update' (Erik H, #4927)
* Fix AR/AP search not limited by Employee selection (Erik H, #4604)
* Fix Departments dropdown not populated on Receipts/Payments (Erik H, #4636)
* Fix showing sales employees on existing AR/AP transactions (Erik H, #1015)
* Fix populating values in Asset screen dropdowns (Erik H, #5018)
* Fix conflict between HTML5 and 'date' INPUT widgets (Erik H, #5018)
* Fix asset class report to include classes missing accounts (Erik H, #5022)

Erik H is Erik Huelsmann


Changelog for 1.6.24
* Fix Arabic as standard language selection on Account creation (Erik H, #4439)
* Add Locale::Codes explicit dependencies, due to removal from CORE (Erik H)
* Fix invoice opened from payment screen missing CSS (Erik H, #4890)
* Fix amount filters on Draft search not working (Erik H, #4929)
* Fix sequences returning 'invnumber' instead of sequence number (Erik H, #4949)
* Make AR/AP transaction sequence drop-down follow application style (Erik H)

Erik H is Erik Huelsmann


Changelog for 1.6.23
* Fix reversals of purchases failing to post due to COGS error (Erik H)

Erik H is Erik Huelsmann


Changelog for 1.6.22
* Update Dojo toolkit dependency to 1.13.8 (Erik H)
* Fix sorting of hierarchical income statement and balance sheet (Erik H)
* Fix columns not being populated in AR/AP Outstanding report (Erik H)
* Add SameSite policy on session cookie to prevent being ignored (Erik H)

Erik H is Erik Huelsmann


Changelog for 1.6.21
* Fix COGS for purchased-in-arrears parts (Erik H)
* Update Dojo toolkit dependency to 1.13.7 (Erik H)

Erik H is Erik Huelsmann


Changelog for 1.6.20
* Prevent re-approval of approved inventory adjustment (Erik H)
* Fix NULL transaction dates in inventory adjustment (Erik H)
* Fix alignment of numbers in Inventory Activity report (Erik H)

Erik H is Erik Huelsmann


Changelog for 1.6.19
* Fix authentication issue due to inconsistent cookie handling (Erik H)

Erik H is Erik Huelsmann


Changelog for 1.6.18
* Upgrade Dojo dependency to 1.13.5 (Erik H)
* Prevent dead-locks in response to request from timed out session (Erik H)

Erik H is Erik Huelsmann


Changelog for 1.6.17
* Allow uploading of attachments with unknown mime-types (Erik H)
* Fix formatting on-hand (OH) column on orders to follow user settings (Erik H)
* Fix migration of assembly data from SQL Ledger 3.2 (Yves L)

Erik H is Erik Huelsmann
Yves L is Yves Lavoie


Changelog for 1.6.16
* Include first transsaction on account in reconciliation report (Erik H)
* Fix COGS error when posting AP invoice reversal (Erik H)
* Fix error in reconciliation in case no prior balance exists (Erik H)
* Fix write access error thrown on fixed assets disposal (Erik H)
* Correctly calculate tax basis amount even for 0% taxes (Erik H)

Erik H is Erik Huelsmann


Changelog for 1.6.15
* Fix occasional COGS error on invoice posting (Erik H)
* Fix occasional COGS error on invoice reversal posting (Erik H)
* Fix failure on first reconciliation report for an account (Erik H)

Erik H is Erik Huelsmann


Changelog for 1.6.14
* Fix invoice screens crashing on manual tax with 0% tax rate (Erik H)
* Fix manual tax lines posted on current instead of transaction date (Erik H)
* Fix SQL error in reversal of services in AP invoice (Erik H)

Erik H is Erik Huelsmann


Changelog for 1.6.13
* Generate unique names for backups (Erik H)
* Fix incorrect tax checkmarks in contact screen after save (Erik H)
* Fix tax accounts inclusion in posted AR/AP transactions (Erik H)

Erik H is Erik Huelsmann


Changelog for 1.6.12
* Work around unloadable backups being dumped on some PostgreSQL versions (Erik H)

Erik H is Erik Huelsmann


Changelog for 1.6.11
* Add CSS indentation to hierarchical financial statements (Erik H)
* Fix random setup.pl errors due to assumed-available credentials (Erik H)
* Fix failure in setup.pl when initial user exists in the database (Erik H)
* Fix SQL Ledger version-comparisons when upgrading to LedgerSMB (Yves L)
* Fix regression when running in a schema other than 'public' (Erik H)

Erik H is Erik Huelsmann
Yves L is Yves Lavoie


Changelog for 1.6.10
* Apply correct layout to schema upgrade pages in setup.pl (Erik H)
* Fix iteration over row data provided in schema data fixes in setup.pl (Erik H)
* Fix schema upgrade with multiple failing checks looping infinitely (Erik H)
* Improve wording of correction instructions of schema check failure (Nick P)
* Respect tempdir when rendering ODS template (don't use current dir) (Nick P)
* Add user feedback when invoice needs recalculation before posting (Erik H)

Erik H is Erik Huelsmann
Nick P is Nick Prater


Changelog for 1.6.9
* Fix all addresses selected on AR/AP Invoice's Ship To screen (Erik H, #3940)
* Fix sales tax not included in amount due on purchase invoice (Erik H, #3941)
* Fix selected sales person not showing correctly on AR Invoice (Erik H, #3949)
* Fix invoice selected shipping address not showing as selected (Erik H, #3899)

Erik H is Erik Huelsmann


Changelog for 1.6.8
* Fix saving orders showing a permission error on a sequence (Erik H, #3889)
* Fix employee (sales) not being saved for orders (Erik H, #3910)
* Fix buttons in AR/AP Add Transaction in random order (Erik H, #3905, #3906)
* Fix invoice screen's vendor dropdown being broken (Erik H, #3896)
* Fix Post button showing on copied-to-new transaction (Erik H, #3907)
* Fix vendor invoice looses payment's account on update (Erik H, #3890)
* Fix saving order deleting invoice shipping info (Erik H, #3933 [dataloss])

Erik H is Erik Huelsmann


Changelog for 1.6.7
* Fix 'Save Groups' clearing all user permissions (Nick P)
* Fix draft deletion failing after updating recon screen (Erik H, #3904)
* Fix reconciliation failing to add transaction after approval (Erik H, #3909)
* Improve unapproved transactions warning in reconciliation (Erik H)

Nick P is Nick Prater
Erik H is Erik Huelsmann


Changelog for 1.6.6
* Fix search for reconciliation report by amount (Nick P)
* Fix adding budget gives error (Nick P, #3850)
* Fix heading not displayed when editing account (Nick P)
* Fix parent not displayed when editing account heading (Nick P)
* Fix 'Returns' drop-down option not shown editing account (Nick P)
* Update Dojo to 1.13.3 (Erik H)

Nick P is Nick Prater
Erik H is Erik Huelsmann


Changelog for 1.6.5
* Update Dojo to 1.13.3-pre; previous update broke file uploads (Erik H, #3799)

Erik H is Erik Huelsmann


Changelog for 1.6.4
* Fix GL Save Template gives error (Nick P, #3754)
* Fix error adding reverse payment to batch (Nick P, #3761)
* Fix wrong search screen after reversing receipt (Nick P, #3763)
* Fix error displaying template transaction (Nick P, #3759)
* Update Dojo to 1.13.1 (Erik H)
* Fix error deleting template transaction (Nick P, #3722)
  - Add role 'transaction_template_delete'
  - Show template transaction Delete button only with permissions

Nick P is Nick Prater
Erik H is Erik Huelsmann


Changelog for 1.6.3
* Fix for menu System > Templates fails to execute SQL script (Erik H, #3588)
* Fix for GL journal buttons displaying in random order (Erik H, #3680)
* Fix for 'contact_all' role missing 'contact_vendor' rights (Erik H)
* Fix 1.6.1 regression browser failure to cache menu structure (Erik H)

Erik H is Erik Huelsmann


Changelog for 1.6.2
* Print button (to screen) doesn't work more than once (Erik H, #3705)
* Menu links ignore clicks long after first click (Erik H, #3704)

Erik H is Erik Huelsmann


Changelog for 1.6.1
* Menu fails to show sometimes (Erik H, #3684)
* Error when managing user permissions through HR screen (Erik H, #3686)
* Reconciliation reports sometimes can't be submitted (Nick P)

Erik H is Erik Huelsmann
Nick P is Nick Prater


Changelog for 1.6.0

User Interface
* Reports and search results exportable to XLS(X) (Yves L)
* Left menu replaced by a (faster) Dojo-based version (Yves L/Erik H)

Installation & Administration
* Added 'System Information' page to setup.pl for problem diagnosis (Erik H)
* Numerous improvements for the migrations and infrastructure (Yves L/Erik H)
* Better detection of incorrect @INC paths (David G)
* Automatic date format selection using browser locale (Yves L/Erik H)
* No more warnings from database creation and upgrade (Erik H)
* Improved logging: various logs correlated using unique request IDs (Erik H)
* Functions 'warn()' and 'die()' logged to debug logs (Erik H)
* Removed need for 'tempdir' and associated configuration option (Nick P)
* Removed numerous unused configuration options (Nick P)
* Specific output formats can be disabled in configuration (Yves L)
* Respect smtpuser and smtppass configuration options (Nick P)
* Add smtpport configuration option (Nick P)
* Database upgrades now ask for user input on (expected) faulty data (Erik H)

Performance
* PSGI responses no longer written to file but kept in memory (Erik H/Yves L)

Rewritten inventory tracking and adjustments
* Removed the need for the ill-understood 'Inventory Entity' (Erik H)
* Inventory adjustments GL transactions instead of dummy invoices (Erik H)
* SQL & in-browser(BDD) tests (Erik H)

Code cleanup
* Removed code duplication in
  - Template handling framework (Yves L)
* Remove unused variables and unreachable code (Nick P)
* Remove fragments of REST framework never fully implemented (Erik H)
* Authentication handling centralized in request dispatch code (Erik H)
* Cleaned up handling of uploaded files in request handling (Erik H)
* Moved to Plack::Request (from CGI::Simple & LedgerSMB) (Erik H)
* Template format plugin cleanup and refactoring (Erik H/Nick P)
* Template handling code cleanup (Erik H/Nick P)
* Unreferenced UI templates deleted (Erik H)
* Centralized and more robust entry point for code in old/ (Erik H)
* Merge of SQL-Ledger 2.8 and 3.0 migration code; improved consistency (Yves L)
* Improved cleanup of temp files and dirs after use (Erik H)
* Improved HTML structure (balanced closing/opening tags, etc) (Yves L)
* Factored HTTP response responsibility out of LedgerSMB::Template (Erik H)
* Moved request pre- and post-processing into custom Plack Middlewares (Erik H)

Quality assurance
* Port testing of database routines to pgTAP (and Perl's 'prove') (Yves L)
* Enforce numerous Perl::Critic policies with code cleanup (Nick P/Rob R)
* Add tests for all template output formats (Nick P)
* Constrain password_duration setting to valid values (Nick P)

Erik H is Erik Huelsmann
Yves L is Yves Lavoie
Nick P is Nick Prater
Rob R is Rob Ransbottom
David G is David Godfrey


Changelog for 1.5 Series (End of Life)
Released 2016-12-24

Changelog for 1.5.30
* Include first transsaction on account in reconciliation report (Erik H)
* Fix COGS error when posting AP invoice reversal (Erik H)
* Fix error in reconciliation in case no prior balance exists (Erik H)
* Fix write access error thrown on fixed assets disposal (Erik H)
* Correctly calculate tax basis amount even for 0% taxes (Erik H)

Erik H is Erik Huelsmann


Changelog for 1.5.29
* Fix occasional COGS error on invoice posting (Erik H)
* Fix occasional COGS error on invoice reversal posting (Erik H)
* Fix failure on first reconciliation report for an account (Erik H)

Erik H is Erik Huelsmann


Changelog for 1.5.28
* Fix invoice screens crashing on manual tax with 0% tax rate (Erik H)
* Fix manual tax lines posted on current instead of transaction date (Erik H)
* Fix SQL error in reversal of services in AP invoice (Erik H)

Erik H is Erik Huelsmann


Changelog for 1.5.27
* Fix incorrect tax checkmarks in contact screen after save (Erik H)

Erik H is Erik Huelsmann


Changelog for 1.5.26
* Work around unloadable backups being dumped on some PostgreSQL versions (Erik H)

Erik H is Erik Huelsmann


Changelog for 1.5.25
* Fix regression when running in a schema other than 'public' (Erik H)

Erik H is Erik Huelsmann


Changelog for 1.5.24
* Fix all addresses selected on AR/AP Invoice's Ship To screen (Erik H, #3940)
* Fix sales tax not included in amount due on purchase invoice (Erik H, #3941)
* Fix selected sales person not showing correctly on AR Invoice (Erik H, #3949)
* Fix invoice selected shipping address not showing as selected (Erik H, #3899)

Erik H is Erik Huelsmann


Changelog for 1.5.23
* Fix saving orders showing a permission error on a sequence (Erik H, #3889)
* Fix invoice screen's vendor dropdown being broken (Erik H, #3896)
* Fix buttons in AR/AP Add Transaction in random order (Erik H, #3905, #3906)
* Fix employee (sales) not being saved for orders (Erik H, #3910)
* Fix saving order deleting invoice shipping info (Erik H, #3933 [dataloss])

Erik H is Erik Huelsmann


Changelog for 1.5.22
* Upgrade Dojo to 1.10.10 (Erik H)
* Fix failing update scripts applying menu reorganization (Erik H, #3855)
* Fix template files containing object name instead of actual content (Nick P)
* Fix voucher deletion throwing an error (Erik H, #3722)
* Fix GL journal buttons displaying in random order (Erik H, #3860)
* Fix aging report (typo in module name) (Erik H)
* Fix draft deletion failing after updating recon screen (Erik H, #3904)
* Fix reconciliation failing to add transaction after approval (Erik H, #3909)

Nick P is Nick Prater
Erik H is Erik Huelsmann


Changelog for 1.5.21
* Clarify message after changing password through Preferences (Nick P)
* Fix errors in ODS report tepmlate's title page (Nick P)
* Fix #3642: Taxform report generation failing (Erik H)
* Detect BOM to determine UTF-8 CSV imports (Erik H)

Nick P is Nick Prater
Erik H is Erik Huelsmann



Changelog for 1.5.20
* Fix inability to save custom sequences (System > Sequence) (Erik H, #3511)
* Fix error when downloading balance sheet as PDF (Erik H, #3515)
* Fix empty backup file due to PGObject::Util::DBAdmin 0.120 (Erik H, #3531)
* Norwegian (nb) translation update (Havard S)

Erik H is Erik Huelsmann
Havard S is Havard Sorli


Changelog for 1.5.19
* Fix payment screen localized amount formatting problem (Erik H, #3283)
* Separate error and output 'psql' logs during database upgrade (Nick P)
* Fix random order of PNL and B/S reports columns (Erik H, #2244)
* Various fixes to setup.pl regarding backup file generation (Nick P)
* Use File::Path to create directory instead of through shell call-out (Nick P)
* On TAB-exit of accounts/parts selector, select first item (Erik H)
* Estonian translation update (Margus L)
* German translation update (Mikael A)
* Hungarian translation update (Istvan P)

Erik H is Erik Huelsmann
Nick P is Nick Prater
Istvan P is is Istvan Pongracz
Margus L is Margus Lepmets
Mikael A is Mikael Arhelger


Changelog for 1.5.18
* Fix menu-resizing minimum threshold overlapping main content (Erik H, #3421)
* Persist selected menu-width across sessions/page reloads (Erik H)
* Fix customer pricelist Quantity field not saved for new rows (Erik H)
* Fix quantity discounts not working on orders/quotations (Erik H, #3439)
* Customer pricelist changes can be saved without adding new rows (Erik H)
* Field 'PO Number' on purchase documents renamed to 'SO Number' (Erik H, #3276)
* (Running) 'Balance' column of 'Search & GL' report incorrect (Erik H)
* German translation update (Mikael A)
* Estonian translation update (Margus L)

Erik H is Erik Huelsmann
Margus L is Margus Lepmets
Mikael A is Mikael Arhelger


Changelog for 1.5.17
* Fix inability to add taxforms (Erik H, #3431)
* Add loading of SIC and GIFI on company creation to setup.pl (Erik H, #3442)
* Fix double counted 'paid' amount on some printed invoices (Erik H, #3440)
* Fix failure to include 'Price Updated' column on goods search (Erik H, #3333)
* Fix payment account on invoice to retain value on update (Erik H, #3455)
* Fix linebreaks, '<' and '>' showing as HTML code on invoice (Erik H, #3457)
* Estonian translation update (Margus L)
* German translation update (Mikael A)

Erik H is Erik Huelsmann
Margus L is Margus Lepmets
Mikael A is Mikael Arhelger


Changelog for 1.5.16
* Properly compute the last cleared balance on reconciliation (Yves L, #3405)
* Fix regression reports not showing (PDF, etc) download links (Erik H, #3408)
* Fix typo in SQL Ledger upgrade code (Erik H, #3409)
* Add French Chart of Accounts (Yves L)
* Lift requirement to enter sensitive private data when creating users (Erik H)
* Fix absolute [New] link on order, AR and AP pages (Erik H)
* Support non-root hosting by using relative '/' to 'login.pl' redirect (Erik H)

Erik H is Erik Huelsmann
Yves L is Yves Lavoie


Changelog for 1.5.15
* Generate access logs on standard output by default (Erik H)
* Fix cli scripts; block running as root in PSGI instead of Sysconfig (Erik H)
* Remove our moving out of SourceForge notice from the welcome page (Erik H)
* Fix zero-value depreciations from blocking later depreciations (Chris T)
* Be explicit about which Perl::Critic policies to apply in tests (Nick P)
* Check for file errors when blacklist test (Nick P)
* Make checks work (out of the box) with our Docker dev images (Nick P)

Chris T is Chris Travers
Erik H is Erik Huelsmann
Nick P is Nick Prater


Changelog for 1.5.14
* Post (instead of save) transaction on depreciation approval (Erik H)
* Fix role prefix set on copied databases from setup.pl (Erik H, #3219)
* Fix argument names due to move to PGObject::Util::DBAdmin (Erik H)
* Fix posting of vendor invoice fails with vendor-price in parts (Erik H, #3081)
* Fix example Apache config file's SSLRequireSSL directive (Erik H, #3272)
* Fix invoice shows fewer $decimalplaces than configured (Erik H, #3271)
* Fix upgrade code using db transactions incorrectly (Erik H, #3289)
* Improve 'in progress' feedback by fading submitted content (Erik H, #3283)
* Add visual feedback to form input validation in setup.pl (Erik H)
* Implement checks for correct loading of sql/modules/ files (Erik H)
* Correct Roles.sql and PriceMatrix.sql loading errors (Erik H)
* Fix 'uninitialized variable' warnings on database creation (Erik H, #3266)
* Find part number on invoice/order by substring; was prefix (Erik H, #3266)
* Find part description on invoice/order by substring; was 'full text' (Erik H)
* Change part search on invoice/order to be case insensitive (Erik H, #3266)

Erik H is Erik Huelsmann


Changelog for 1.5.13
* Fix setup.pl showing [_1] instead of the LedgerSMB version (Erik H)
* Fix contacts with attachments being inaccessible (Erik H, #3228)
* Fix AR/AP Aging report failing to be generated (Erik H, #3243)
* Upgrade Dojo from 1.10.8 to 1.10.9 (Erik H)
* Fix HTML aging statement download not popping up 'Save' dialog (Erik H)
* Fix date format 'dd/mm/yyyy' being parsed incorrectly (Erik H, #3223)

Erik H is Erik Huelsmann


Changelog for 1.5.12
* Fix depreciation method listing incorrect stored procedure (Erik H)
* Fix failure to select business type details from business list (Erik H, #3154)
* Require fixed asset values needed in depreciation to be entered (Erik H)
* Fix the Net Book Value report listing assets by the wrong class (Erik H)
* Fix the Net Book Value report incorrectly excluding some assets (Erik H)
* Fix Ship To screen reporting server error and staying blank (Erik H, #2516)
* Fix non-existing entry-point error on 'Approve' in fixed assets (Erik H)
* Fix errors due to double 'action' field in fixed assets reports (Erik H)
* Fix disposal-specific fields appearing in depreciation screens (Erik H)
* Fix Parts Group drop-down and column selector in Goods Search (Erik H, #1581)
* Require proceeds on disposal prevents NULL amounts on approval (Erik H)

Erik H is Erik Huelsmann


Changelog for 1.5.11
* Rename lighttpd example configuration file for consistency (Yves L)
* Fix Net Book Value report shows 'LedgerSMB::Report' as its name (Erik H, #3132)
* Fix Depreciation screen not showing any assets (Erik H, #3131)
* Fix fixed asset's 'Usable life' field not showing entered value (Erik H, #3130)
* Fix Net Book Value report's link to asset details broken (Erik H, #3129)
* Ensure forked sub-processes to be correctly terminated (Erik H)
* Fix Form submission sometimes seems to hang (Erik H, #2972)
* Fix missing content in columns of the outstanding report (Erik H, #2585)
* Fix contacts search ignores e-mail and phone filters (Erik H, #2821)
* Fix contacts search by address data doesn't work (Erik H, #2490)

Yves L is Yves Lavoie
Erik H is Erik Huelsmann


Changelog for 1.5.10
* Fix loading image URL taken from Dojo 1.12 (instead of 1.10) (Erik H)
* Fix mails being sent with non-unique Message-IDs (Erik H, #3041)
* Round-trip fewer values over web requests during migration (Erik H)
* Migrate accounting <-> invoice relationship from LSMB 1.2/SL (Erik H/Yves L)
* Fix 500 ISE on bottom of order when creating from vendor (Erik H, #3057)
* Contact info now properly HTML-escaped (Erik H, #2820)
* Add check for cr_coa_to_account primary key to 1.3 migration (Erik H, #2663)
* Add work-around to PGOld for PGObject::Simple 2.x incompatibility (Chris T)
* Fix missing asset classes on Depreciate and Disposal screens (Erik H, #3123)

Erik H is Erik Huelsmann
Yves L is Yves Lavoie
Chris T is Chris Travers


Changelog for 1.5.9
* Fix goods/services search with AR/AP invoices (Chris T, #2938)
* Fix inventory activity report drill down over-inclusive (Chris T, #2926)
* Fix Ship/Receive column alignments (Chris T)
* Fix mailing recurring invoices shows invoice in-screen (Erik H, #3004)
* Fix missing column SQL error when posting recurring invoices (Erik H)
* Show an error when page assets (Dojo) are missing (Erik H)
* Fix new welcome page being referred to by absolute path (Erik H, #2994)
* Fix 'Not an ARRAY reference' error in recurring AP processing (Erik H, #2973)
* Fix recurring AP invoices posted but 'next date' unchanged (Erik H, #3019)
* Fix the fix for '.' missing in @INC (Erik H)
* Add lighttpd example config (Yves L)
* Fix regression in setup.pl with LedgerSMB 1.2 or SQL Ledger db (Yves L)
* Fix error when adding customer-specific price to customer (Erik H, #2643)
* Fix can't edit sales & purchase quotation through web UI (Erik H, #2617)
* Fix string match operator typo in company searches (Erik H)
* Fix LedgerSMB 1.2->1.5 migration script syntax errors (Erik H)
* Add migration non-standard (gl) 'account links' for 1.2->1.5 (Erik H)
* When including code with 'do', don't silently skip errors (David G, #3020)

Chris T is Chris Travers
Erik H is Erik Huelsmann
Yves L is Yves Lavoie
David G is David Godfrey


Changelog for 1.5.8
* Fix printing of AR/AP transactions results in JavaScript error (Erik H)
* Fix ODS output appearing on 'Title page' instead of 'Search results' (Erik H)
* Fix Edit Vendor address misses 'Save' button (Erik H, #2709)
* Fix Recurring Transactions screen fails on second access (Erik H, #2888)
* Fix 'On Hand' goods search filter not being applied (Erik H, #2845)
* Clean up issues found by Debian's 'lintian' (Erik H, Robert C)
* Fix layout regression of 1.5 in single payment screen (Erik H, #1917)
* Fix 'Update' on Assembly page resetting BOM count to 1 (Erik H, 2835)
* Fix 'Update' on Assembly page requiring all BOM lines filled (Erik H, 2835)
* New 'Welcome' screen after login, helping people find help (Erik H)
* Updated Indonesian translation (LedgerSMB Transifex Indonesian group)

Erik H is Erik Huelsmann
Robert C is Robert James Clay


Changelog for 1.5.7
* Fix missing trailing zeros in cheque printing (Erik H, #2565)
* Change comparison periods selector to a number spinner (Erik H)
* Fix http error response (Yves L)
* Fix Salesperson field not displayed (Nick P, #2784)
* Fix can't delete unused account after books closed (Nick P, #2800)
* Fix Contact search on address broken (Nick P, #2490)
* Fix parts with capitals can't be added to AP invoices (Erik H)
* Change 'Super-user login' to 'Database admin login' (Erik H, #2654)
* Fix reconciliation loads parser from non-existing location (Erik H, #2313)
* Clarify 'Import (Yes/No)' on user creation (Erik H, #1510)
* Fix left menu initially too narrow (Erik H, #955)

Erik H is Erik Huelsmann
Yves L is Yves Lavoie
Nick P is Nick Prater


Changelog for 1.5.6
* Fix syntax error in LaTeX templates for printed documents (Erik H)
* Refactor filter pages for income statement and balance sheet (Erik H)
* Fix reversal of payments against non-eca-default AR/AP account (Erik H, #2558)

Erik H is Erik Huelsmann


Changelog for 1.5.5
* Fix name of the sequence being updated in the 1.3 migration script (Erik H)

Erik H is Erik Huelsmann


Changelog for 1.5.4
* Updated Dojo from 1.10.6 to 1.10.7 (Erik H)
* Add missing defaults in ledgersmb.conf 'database' section (David G, #2632)
* Add 2 missing RHEL dependencies to Makefile (David G)
* Add conf/README.md describing the content of conf/ (David G)
* Fixed bug in template processing only seen on CentOS (Chris T)
* Transaction forgets payment account on Update (Nick P, #2580)
* Updates to sample config and Makefile (Bill O)
* Improved table reading experience for dynatable based reports (Erik H)
* Fix file attachments shown twice after migration from 1.3 (Erik H, #2659)
* Fix two issues in the 1.3->1.5 migration script (Erik H)

Erik H is Erik Huelsmann
David G is David Godfrey
Chris T is Chris Travers
Nick P is Nick Prater
Bill O is Bill Ott


Changelog for 1.5.3
* Fix access to contact data for database admins (Erik H)
* Fix Reconciliation Submit button not enabled (Nick P)
* Fix Batch Search for approved transactions (Chris T)
* Compensate for CVE-2016-1238 ('.' no longer in @INC) (Erik H)
* Fix Invoice line item descriptions not visible until clicked (Erik H, #2607)
* Fix payment amounts in Cash->Reports->Receipts (Erik H, 2618)

Nick P is Nick Prater
Chris T is Chris Travers
Erik H is Erik Huelsmann


Changelog for 1.5.2
* Redirect '/' to '/login.pl' in Starman (Erik H, #2520)
* Description field too big on GL and invoice screens (Erik H, #2264)
* Remove spurious space in Apache2 example config (Erik H, #2534)
* Credit invoice edit screen looks exactly like regular screen (Erik H, #2550)
* setup.pl admin can't reset user password [regresses 1.5.1] (Erik H, #2555)
* Fix misnamed function in call (Chris T)
* Suppress NOTICEs while creating/upgrading databases (Erik H, #2560)
* Invoice template: 'Paid' row shows even without payments (Erik H, #2569)
* Invoice template: 'Payments' section always printed (Erik H, #2568)

Chris T is Chris Travers
Erik H is Erik Huelsmann


Changelog for 1.5.1
* Adjust tools/patch-release-upgrade.pl for interface changes in 1.5 (Erik H)
* Outstanding report (AR/AP) not showing Due amount (Erik H, #2351)
* Outstanding report (AR/AP) does not include taxes (Erik H, #2437)
* Contact screen does not honor Default Country from Defaults (Erik H, #2349)
* UI switches language after "Post Batch" (Erik H, #1640)
* Incorrect address on Aging statement (Erik H, #1245)
* Database error when clicking 'Preferences' menu (Erik H, #2370)
* Can't open Template Transaction (Erik H, #2369)
* Print selects (printer, ...) shown even without Print button (Erik H, #2376)
* Cash->Voucher->Reverse doesn't filter by account (Erik H, #1401)
* 'year' dropdown in 'General Journal > Search' always empty (Erik H, #2278)
* Can't import Timecard due to 'undefined action "run_import"' (Erik H, #2462)
* Filtering PNL by reporting unit (dep't) fails (Erik H, #2469)
* 'System > Reporting units' doesn't show module checkmarks (Erik H, #2470)
* Languages not sorted by description (but by code instead) (Erik H, #1118)
* 'Print' button appears to work only once per browser session (Erik H, #2083)
* Can't override 'Subject' when sending invoice (Erik H, #2488)
* Template menus should refer to 'template_name' (Erik H/John L, #2497)
* Don't open a new window when clicking 'Return to login' (Erik H, #2496)
* Don't show an error on session expiry (Erik H, #2502)
* Editing account heading shows 'Account' tab (Erik H, #2507)
* Cash > Voucher > Receipt doesn't preserve Source (Erik H, #2487)
* When saving a business unit, return to the edit screen (Erik H, #1024)

Erik H is Erik Huelsmann
John L is John Locke


Changelog for 1.5.0

UI changes
* LedgerSMB now frameless (ChrisT)
* Full use of Dojo widgets (ErikH)
* Compressed/compiled Dojo for better performance (JohnL)
* Reports and screens can now be bookmarked (Chris T)
* Optionally can add unapproved trans. to some reports (Chris T)

Price Matrix Enhancements
* Quantity discounts can be set in the pricematrix (Chris T)
* Price matrix now filters on currency (Chris T)

Template changes
* All document templates (including INCLUDEs) now in-database (Erik H, #854)
* 1.4's <?lsmb LETTERHEAD ?> now <?lsmb INCLUDE letterhead ?>
* 1.3's INCLUDE extensions dropped;
    <?lsmb INCLUDE letterhead.tex ?> -> <?lsmb INCLUDE letterhead ?>

Code Cleanup
* Relying on Plack for webserver integration; stub scripts removed (ChrisT)
* Removed LedgerSMB's custom dojo page loader (ErikH)
* Removed dead code (coveralls.io used for identification) (ErikH)
* Removed dependency on Class::Struct (ChrisT)
* Removed all inserts into chart view (ChrisT, GH 931)
* Removed long-broken French chart of accounts (ChrisT)
* Removed unused saved trial balance components (ChrisT, GH 775)
* Source tree restructuring: libraries in lib/, docroot in UI/ (ErikH)

API Enhancements
* Moved a great deal of code into PGObject framework on CPAN (ChrisT)
* Session handling committed before main action (Chris T, GH 943)

Quality assurance
* Verification of pre-defined Chart of Accounts files (ChrisT)
* Assurance of completeness of 'use'-tested source files (ErikH)
* Extended 'use'-tests to cover full set of source files (ErikH)
* New tests validating source code requirements, such as (ErikH)
  - Reject code using certain modules (Data::Dumper, Carp::Always, ...)
  - Reject code which isn't formatted correctly
  - Reject code which uses certain constructs
* Basic verification of PO (translation) files (ErikH)
* Basic automated in-browser testing through SauceLabs.com (ErikH/ChrisT)
* Basic automated in-browser testing with PhantomJS (ErikH)

Internationalization
* Expansion of webbased translation support through Transifex (ErikH)

ChrisT is Chris Travers
ErikH is Erik Huelsmann
JohnL is John Locke


Changelog for 1.4 Series (End of Life)
Released 2014-09-15

Changelog for 1.4.42
* Fix goods/services search with AR/AP invoices (Chris T, #2938)
* Fix ar/ap not searchable by part number (Chris T, #2926)
* Round-trip fewer values over web requests during migration (Erik H)
* Bank account info now properly HTML-escaped (Erik H, #2820)
* Ensure forked sub-processes to be correctly terminated (Erik H)
* Fix missing content in columns of the outstanding report (Erik H, #2585)
* Fix contacts search ignores e-mail and phone filters (Erik H, #2821)
* Fix contacts search by address data doesn't work (Erik H, #2490)

Chris T is Chris Travers
Erik H is Erik Huelsmann


Changelog for 1.4.41
* Fix 'Bad interval' error with PNL comparisons (Erik H, #2146)
* Refactor filter pages for income statement and balance sheet (Erik H)
* Follow-up to earlier compensation for '.' missing from @INC (Erik H, #2275)
* Fix reversal of payments against non-eca-default AR/AP account (Erik H, #2558)

Erik H is Erik Huelsmann


Changelog for 1.4.40
* Fix name of the sequence being updated in the 1.3 migration script (Erik H)

Erik H is Erik Huelsmann


Changelog for 1.4.39
* Fixed searching for approved batches (Chris T, #2592)
* Don't cache per-company (from database) templates (Erik H, #2573)
* Don't block database administrator access to Contacts (Erik H)
* Compensate for the removal of '.' from @INC on newer Perl versions (Erik H)
* Fix payments sometimes double-counted in Cash>Reports>Receipts (Erik H, #2618)
* Remove reference to removed JS files, silencing logs (Chris T)
* Fix bug reading templates directory (only seen on CentOS) (Chris T)
* Fix attachments showing up twice after 1.3->1.4 migration (Erik H, #2659)

Chris T is Chris Travers
Erik H is Erik Huelsmann


Changelog for 1.4.38
* Printed credit invoice indistinguishible from regular invoice (Erik H, #2546)
* Credit invoice edit screen looks like regular invoice screen (Erik H, #2550)
* Failure to generate AR/AP aging report (Erik H, #2545)
* Fix misnamed function in call (Chris T)
* Invoice template: 'Paid' row shows even without payments (Erik H, #2569)
* Invoice template: 'Payments' section always printed (Erik H, #2568)

Chris T is Chris Travers
Erik H is Erik Huelsmann


Changelog for 1.4.37
* Outstanding report (AR/AP) not showing Due amount (Erik H, #2351)
* Outstanding report (AR/AP) does not include taxes (Erik H, #2437)
* Contact screen does not honor Default Country from Defaults (Erik H, #2349)
* UI switches language after "Post Batch" (Erik H, #1640)
* Incorrect address on Aging statement (Erik H, #1245)
* Print selects (printer, ...) shown even without Print button (Erik H, #2376)
* Cash->Voucher->Reverse doesn't filter by account (Erik H, #1401)
* Filtering PNL by reporting unit (dep't) fails (Erik H, #2469)
* Languages not sorted by description (but by code instead) (Erik H, #1118)
* When saving a business unit, return to the edit screen (Erik H, #1024)

Erik H is Erik Huelsmann


Changelog for 1.4.36
* Overpayments incorrectly not reduced when applied (Erik H, #2346)
* Fix number formatting/processing in batch payment/receipt (Erik H, #2350)

Erik H is Erik Huelsmann


Changelog for 1.4.35
* Fixed release process; 1.4.32+ included '-dev' in tar version (Erik H)
* Fix 'existing account' check when saving account configuration (Yves L)
* Add 'make clean' Makefile target (Erik H, #1828)
* Fix failing upgrades from 1.3 due to 'locked_by' not NULL (Erik H, #2241)
* Fix inability to add new business unit class (Erik H, #1023)

Erik H is Erik Huelsmann
Yves L is Yves Lavoie


Changelog for 1.4.34
* Fixed PNL comparison periods selection resulting in error (Erik H, #2148)
* Fixed PNL hierarchies both selected (Erik H, #2147)
* Fixed error at bottom of invoice, under Starman (Erik H)
* Add test and hard fail with error if tempdir permissions aren't sane. (David G)

Erik H is Erik Huelsmann
David G is David Godfrey


Changelog for 1.4.33
* Fixed issue with COA overview and tax accounts (Chris T, #2030)
* Fixed issue with outstanding reversing amount and total (Chris T, #2031)
* Fixed "save draft" buttons not showing (Chris T, #994)
* Fixed error reopening books across multiple closings (Chris T #2025)
* Fixed moose error in timecard with qty mising (Chris T, #2048)

Chris T is Chris Travers


Changelog for 1.4.32
* Moved to findbin from use lib '.' (Chris T, #1911)
* Fixed starman on debian with latest fixes (Chris T)
* Fixed strange error at bottom of invoice screen on Starman (Chris T)
* Fixed update of department id/control codes (Chris T, #1220)
* Fixed pricematrix rewriting prices of posted invoices (Chris T, #1954)
* Contacts with create contact permissions now can edit too (Chris T, #1255)
* Fixed update on single payment interface resets paymnt amt (Erik H, #1916)
* Fixed purchase history not grabbing correct paid status (Chris T, #2000)
* Fixed Gifi PNL/Balance Sheet not displaying properly (Erik H, #1996)
* Add role required to re-open year closing (Erik H)

Chris T is Chris Travers
Erik H is Erik Huelsmann


Changelog for 1.4.31
* Fixed user with contact all privileges can't create contacts (Chris T #1219)
* Fixed new user with manage users can't see employee (Chris T #1841)
* Fixed Can't upload html templates (Chris T, #1179)
* Fixed can't log into companies with & in their names (Chris T, #1004)
* Added NZ chart of accounts (Kiwi)
* Fixed can't create checkpoints before transactions (Chris T, #1704)
* Fixed contact_all insufficient to create contacts (Chris T, #1219)
* Fixed internal server errors on debian following upgrade (Chris T and Erik H)

Chris T is Chris Travers
Erik H is Erik Huelsmann


Changelog for 1.4.30
* Fix payment reversal of foreign-currency invoices (Erik H, #1716)
* No longer default the temporary directory to /tmp/ledgersmb (Erik H)
* 1.3->1.4 upgrade always thinks db is 1.4.0, even when not (Erik H, #1671)
* Fix translations section in GL account editing screen being cut off (Erik H)

Erik H is Erik Huelsmann


Changelog for 1.4.29
* Add disambiguating 'Create' button on setup.pl frontpage (Erik H)
* Fix 'Post and Print' button on payment screen (Erik H, #1489)
* Simpler installation: move off Makefile.PL to cpanfile (Erik H)
* Follow-up fix to allow multiple logins per user (Erik H)
* Fix documentation typos, policy (Erik H, #1206, #1498)
* Fix error after mailing order (Erik H, #1408)
* Fix saving over existing sales order drops a line (Erik H, #1431)
* Implement template transaction deletion (Erik H, #1571)
* Credit account with missing currency fails to load from db (Erik H, #1116)
* Fix manual tax shows base amount 0.00 on printed invoice (Erik H, #948)
* Fix 'X' button on invoice doesn't fully remove part (Erik H, #1564)
* Add selection of multiple consecutive periods for B/S and PNL (Yves L)

Erik H is Erik Huelsmann
Yves L is Yves Lavoie


Changelog for 1.4.28
* Fix for 1.3 to 1.4 migration of 'recurring' table data (David G, #1447)
* Support for fixing up data in migrations using drop-downs (Yves L)
* Fix Upgrade_Tests validation complaint on valid GIFI data (Erik H, #1443)
* Fix number formatting on locale with comma as decimal separator (Erik H)
* Fix performance issue in General Joural > Chart of Accounts screen (Erik H)
* Fix being able to close periods - regression from 1.3 (Erik H)

David G is David Godfrey
Yves L is Yves Lavoie
Erik H is Erik Huelsmann


Changelog for 1.4.27
* Added note to batch list that all are locked (Chris T)
* Allow multiple logins per user, all with own locks (Chris T, #1418)
* Fixes meaningless subtotals on recon search results (Chris T, #995)
* SQL Ledger 3.0 migration support (Yves L/Erik H)
* SQL Ledger 2.8 migration improvements from SL 3.0 support (Erik H)
* Fix random column ordering in PNL & B/S comparison (Yves L)
* Complete Norwegian Bokmal translation (Stig B)

Chris T is Chris Travers
Yves L is Yves Lavoie
Erik H is Erik Huelsmann
Stig B is Stig Berg


Changelog for 1.4.26
* Removed broken and largely useless lwp tests (Chris T)
* Moved X12 support from features downgraded to experimental (Chris T)
* Fixed stylesheet class for setup console (Chris T, #1204)
* Added Copy to New for GL transactions (Chris T, #1046)
* Fixed amount range not respected on gl search (Chris T, #1287)
* Fixed invalid number crash when not displaying credit (Chris T, #1263)
* Fixed template transactions (Chris T and Erik H, #1071)
* Fixed part description editing on invoices/orders(Chris T, #1373)
* Updated Danish translation (Mikkel H)

Chris T is Chris Travers
Mikkel H is Mikkel Hoegh
Erik H is Erik Huelsmann

Changelog for 1.4.25
* Added datepicker to invoice Delivery Date field (Nick P)
* Fixed reversal of sales invoice with parts without inventory (Erik H, #990)
* Updates to the Estonian language (Peeter P)

Nick P is Nick Prater
Erik H is Erik Huelsmann
Peeter P is Peeter Partel


Changelog for 1.4.24
* Fixed new transactions not being added to recon reports (Erik H, #979)
* Fixed AR/AP Aging report not taking date into account (Craig W, #1286)
* Updates to the Danish language (Mikkel H)
* Updates to the Arabic (Egypt) language (Rami A)
* Updates to the Estonian language (Peeter P)

Craig W is Craig Webster
Mikkel H is Mikkel Hoegh
Rami A is Rami Assi
Peeter P is Peeter Partel
Erik H is Erik Huelsmann


Changelog for 1.4.23
* Fixed running balance column of GL report double-counting (Erik H, #1205)
* Fixed spelling errors (David G, #1178)
* Fixed spelling errors (Erik H, #1183, #1170)
* Fixed handling of recurring transactions (Erik H, #1227)
* Fixed selected currency in vouchers -> payments isn't default (Erik H, #1186)
* Fixed CoA screen offering Delete for referenced accounts (Erik H, #972)
* Fixed vouchers print total instead of due amount (Erik H, #1068)
* Fixed missing envelope and shipping label templates (Erik H, #874)
* Fixed detailed (AR/AP) aging statements not working (Erik H, #1177)

David G is David Godfrey
Erik H is Erik Huelsmann


Changelog for 1.4.22
* Fixed balance sheet language selection (Erik H)
* Fixed column headings translated in report language (Erik H)
* Fixed add report styling for financial reports PDF (Erik H, GH1080)
* Enhanced all accounts can be selected in trial balance (Erik H, GH1107)
* Fixed syntax errors in ms_MY.po and de.po (Erik H)
* Fixed translatable string detection (Erik H)
* Updated translation (source) files (Erik H)
* Integrated Transifex (transifex.com) translation process (Erik H)
  Note: To start helping to translate LedgerSMB, check out
     http://ledgersmb.org/community-guide/community-guide/translating

Erik H is Erik Huelsmann


Changelog for 1.4.21
* Added drilldown to AR outstanding report (Chris T GH1053)
* Fixed 0 amount accounts showing up in financial statements (Erik H, GH1079)
* Fixed order of PNL Account Category is Off (Erik H, GH1069)
* Fixed statements not printing from db templates (Chris T)
* FEATURE: Added (back) user-selectable report language (Erik H GH1106)
* Fixed missing report styling on financial reports (Erik H GH1080)
* Fixed 0 amount accounts showing up in financial statements (Erik H, GH1079)
* Fixed order of PNL Account Category is Off (Erik H, GH1069)
* Fixed reports show totals above sections (Erik H GH1083)
* Fixed 'Defaults' screen saves NULL 'earn_id' breaks PNL (Erik H GH1117)

Chris T is Chris Travers
Erik H is Erik Huelsmann


Changelog for 1.4.20
* Fixed one untranslated string in balance sheet (Chris T)
* Added running balance to report drill downs (Chris T, GH1007)
* Fixed ar/ap transactions not setting currency right (Chris T, GH1032)
* Fixed ar/ap transactions not setting forex rate right (Chris T, GH1033)
* Fixed pdf report criteria not showing up on reports (Chris T, GH1038)
* Fixed paying some invoices defaulting to 0 (Chris T, GH1021)
* Added warning for unapproved transaction in recon period (Chris T, GH856)
* Added warning on previous unapproved recons in recon period (Chris T, GH857)
* Fixed batch locking problems (Chris T, GH992)
* Fixed single receipt received jumping from 0 to full (Chris T, GH974)
* Fixed confusing error creating account without a heading (Chris T, GH1052)

Chris T is Chris Travers


Changelog for 1.4.19
* Fixed permission denied when entering budgets (GH944, Chris T)
* Fixed error when deleting batches with inventory (GH953 Chris T)
* Fixed report sorting back proxying to different directory (GH858, Chris T)
* Added auto-generation of person control code like company (Chris T)
* Removed redirect on posting sales invoice draft (GH 941, Chris T)
* Fixed aging report not respecting name search field (GH 954, Chris T)
* Fixed lack of redirection w/parts causing workflow problems (GH 940 Chris T)
* Fixed ugly moose error on lack of file upload (GH 949, Chris T)
* Fixed load issues of some COA files, added tests (GH 772, Chris T)
* Removing SKR03 from charts of accounts (Chris T)
* Fixed payments not showing up when cleint has no threshold (Chris T)
* Fixed invoice total per client showing amount paid instead (Chris T)
* Fixed net amounts being siet to paid amounts (GH 961, Chris T)
* Removed many references to the chart view (GH #930, Chris T)
* Fixed saving user fails with error 4 or 5 (GH #1008, Chris T)
* Disabled hierarchy reports where not set up (GH #1025, Chris T)
* Fixed unable to create accounts without delete privilege (Chris T)

Chris T is Chris Travers


Changelog for 1.4.18
* New feature:  Create users from setup.pl with no new perms (GH 883, Chris T)
* Fixed Net Book Value reporting '0' before depreciation (GH 879, ChrisT)
* Fixed permissions entering assets (GH 878, ChrisT)
* Removed broken handling of old datestyle settings (Chris T)
* Fixed #765, manage_users broken on db creation (Chris T)
* Fixed date showing up as PGDate::Hash on Asset report (Chris T)
* Removed unused pos_invoice.txt (GH #875, Chris T)
* Fixed SF1312, receipt not skipped on empty pay field (Chris T)
* Fixed SF1315, inv/part problems when heading/acc have same accno (Chris T)
* Fixed cannot create user with same user id as already in db (GH882 Chris T)
* Fixed sales checkbox doesnt save or display correctly (GH877, Chris T)
* Fixed orders search not respecting name field (SF1345, Chris T)
* Fixed role_prefix not committed after Copy Database (GH964, NickP)
* Add datepicker widget to Transaction Form date fields (NickP)
* Fixed invoice query not showing addresses for persons (Rami H
* Fixed ar/ap handling with calculated taxes. (GH

ChrisT is Chris Travers
NickP is Nick Prater
Rami H is Rami Hovi


Changelog for 1.4.17
* FEATURE: Automatic calculation of taxes in AR/AP transactions (ErikH)
* FEATURE: Use account hierarchies in balance and PnL reporting (ErikH)
* Fixed partial shipments decrementing extra inventory (ChrisT)
* Fixed template references to item (order/invoice) descriptions (ErikH)
* Added more SQL Ledger 2.8 migration checks (ErikH)
* Fixed incomplete (xe)demo and demo-with-images templates (ErikH)
* Fixed cannot make header its own root, GH 896 (Chris T)

Note: This release changes the way the account headings are used
   on the balancesheet and income statement reports.  This requires
   additional configuration. See
       http://ledgersmb.org/topic/using-account-hierarchies-reporting
   for more information.

ChrisT is Chris Travers
ErikH is Erik Huelsmann


Changelog for 1.4.16
* FEATURE: Added possibility to translate account descriptions (ErikH)
* Fixed shell environment being clobbered when loading schema (GH #813) (ErikH)
* Fixed FX handling in payment bulk posting workflow (GH #758)
* Removed unused Net::TCLink dependency and POS code (ErikH)
* Update schema documentation files in doc/database/ (ErikH)
* Failure to open HR/Employee screen (ChrisT)
* Failure to save user preferences (ErikH)
* Tax module 'Rounded' offered, but not available (ErikH)
* Single-payment screen doesn't collapse details divs on open (ErikH)

ErikH is Erik Huelsmann
ChrisT is Chris Travers


Changelog for 1.4.15
* Fix printing invoices and orders under Starman (GH 736) (ErikH)
* Fix payroll deduction types report failing to load (GH 740) (ChrisT)
* Fix absolute URLs interacting badly with reverse-proxy (GH 730) (ErikH)
* Fix printing of payments (GH 733) (JohnL)
* Fix deletion of reporting unit class (SF 1378) (ErikH)
* Fix warnings in webserver logs on contact screen/search (ErikH)
* Fix false values of social security/tax id number for employee (Chris T)
* Fix errors in upload of GL and inventory CSVs (ErikH)
* Fix trial balance not respecting filters (ErikH)
* Fix SQL for listing of locations and contacts of Persons (ErikH)
* Remove some debug output in error logs (ErikH)
* Create user management screens in setup.pl to work around GH 765 (ErikH)

ErikH is Erik Huelsmann
ChrisT is Chris Travers
JohnL is John Locke


Changelog for 1.4.14
* Replace spanish CoA for compliance; donated by AccountNet
* Correctly set HTML form element 'required' attribute in output (ErikH)
* In Employee entry screen, mark required fields as such (ErikH)
* Fix being unable to remove roles from user (SF 1395) (ErikH)
* Improved required input checking on form submit (SF 1382/GH 715) (ErikH)
* Fixed css making it difficult or impossible to save person records (Chris T)
* Fixed sudden bouncing to employee screen along with info loss (Chris T)
* Fixed salutation and entity class not setting, entering person (Chris T)
* Prevent CREATE LANGUAGE error when creating new company (RobR)
* Fixed errors not showing up properly using Starman (Chris T)

Chris T is Chris Travers
ErikH is Erik Huelsmann
RobR is Rob Ransbottom


Changelog for 1.4.13
* Account edit group can checkboxes and mark accounts obsolete (Chris T)
* Fixed time cards failing to save (GitHub bug 636) (Erik H)
* List COGS accounts under 'Default COGS' (instead of expense) (Erik H)
* Fix preprocessing Roles.sql was required in 1.3 (obsolete in 1.4) (Erik H)
* Fix entry, selection and listing of GIFI account codes (Erik H)
* Fix entity "Accounts" 'Save as' button (Erik H)
* Fix 'Business Type' not showing up in Contact Account tab (Erik H)
* Fix balance sheet CSV missing 'description' column content (Erik H)
* Fix can't delete draft transactions with reporting units (SF 1391) (Erik H)
* GIFI PNL reports are back.  (Chris T)
* Fix payment entry at the bottom of invoices (SF 1394) (Erik H)

Erik H is Erik Huelsmann
Chris T is Chris Travers


Changelog for 1.4.12
* Updated German translation by Adrian v. Meibom <meibomberlin@googlemail.com>
* Fixed printing of purchase order due to SQL error (bug 1359) (Erik H)
* Don't show button for dis-allowed action in GL entry (bug 1355) (Erik H)
* Admin can't reset user's password due to SQL error (bug 1333) (Erik H)
* Fix dependency listing (include JSON) (bug 1347) (Erik H)
* Make setup.pl generate fewer warnings in the error logs (Erik H)
* Fix 'Save as' in contact account clobbering existing one (bug 1364) (Erik H)
* Fixed empty response causing some problems. (Chris T)
* Detect account heading graph loops and throw errors (Chris T)
* Fixed errors about missing employee.pm (Erik H)
* Add PNL and Balance sheet CSV export (Erik H)

Chris T is Chris Travers
Erik H is Erik Huelsmann


Changelog for 1.4.11
* Fixed account dropdowns on default screen (Nick P)
* Fixed broken comparison with oldvendor (Nick P)
* Fixed workflow for saving reconciliation reports (Nick P)
* Fixed HTML errors in payment details (Nick P)
* Making LaTeX optional on starman (Chris T)
* Fixing issues where colon is in password (Chris T)
* Fixed missing separation of duties on GL (Chris T)
* Fixed GL new button preserving first line (Chris T)
* Fixed AR/AP transactions not saving when using dojo widget (Chris T)
* Fixed 'New' button on GL entry screen leaving an uncleared line (Erik H)
* Fixed Account/Heading entry screen selecting tab on 'Update' (Erik H)
* Fixed Heading 'Save' action complaining about conflicting data (Erik H)
* Multiple fixes showing and saving account/heading headings (Erik H)
* Add 'Delete' option for headings not linked to accounts/headings (Erik H)
* Fixed encoding issue for special characters in password change (Erik H)
* Fixing Malaysian language issues (DB and preferences, bug #1358) (Pongracz I)

Chris T is Chris Travers
Nick P is Nick Prater
Erik H is Erik Huelsmann
Pongracz I is Istvan Pongracz


Changelog for 1.4.10
* Note:  Corrected version numbers in 1.4.10.1, 1.4.10 had 1.4.9 as version
* Malay translation added (Kaiser F, and others)
* Fixed 1292, some template editing scripts linked to wrong mod (Chris T)
* Fixed 1290, payment/receipt screen options never show (Chris T)
* Fixed 1291, cannot change customer/vendor on orders/quotes (Chris T)
* Cleaned up logs a little (Chris T)
* Fixed 1294, cannot change parts description or price on inv. (Chris T)
* Fixed 1298, upgrade does not create ar.setting_sequence (Chris T)
* Fixed 1304.1, removed check printing from invoices (Chris T)
* Fixed join issue for GL drafts showing wrong amt (Chris T)
* Fixed 1304.2, pay to name not used in single payment (Chris T)
* Fixed 1314, download link files attached to ECA and entity broken (Erik H)
* Fixed column names in ECA/entity linked files tables (John L)
* Fixed headers indistinguishable from accounts in CoA for some CSS (Erik H)
* Fixed 404 on invoice link from AR/AP aging reports details view (Erik H)
* Fixed html in fixed assets screens (Erik H)

Chris T is Chris Travers
Kaiser F is Kaiser Farrel
Erik H is Erik Huelsmann
John L is John Locke

Changelog for 1.4.9
* Fixed issue with contacts not loading in 1.4,8 (regression, Chris T)
* Removed optional dependency on LaTeX from starman preload (Chris T)

Chris T is Chris Travers


Changelog for 1.4.8
* Fixed end-date not a date widget on employee div (Chris T)
* Fixed errors saving person as employee on contacts screen (Chris T)
* Added min empty lines for orders, invoices, and gl (Chris T, 1277)
* Fixed 1280, credit/debit invoices flipping signs (Chris T)
* Fixed 1279, gaps possible if drafts are deleted (Chris T)
* Fixed 1287, perl errors on missing inputs on setup.pl (Chris T)
* Fixed 1285, unable to enter more than 1 top-level rep. unit (Chris T)
* Fixed 1283, dash in header of amounts col in PNL (Chris T)
* Fixed 1284, pdf pnl does not work over https or nonstandard ports (Chris T)
* Fixed 1282, business units not passed to trial balance (Chris T)

Chris T is Chris Travers

Changelog for 1.4.7
* Fixed 1231, lack of validation on forms leads to Perl errors (Chris T)
* Fixed 1264, account numbers out of place on PNL (Chris T)
* Fixed 1268, name not clickable on customer/vendor searches (Chris T)
* Fixed 1274, error on posting payment reversals w. dd/mm/yyy dates (Chris T)
* Fixed 1227, 1252, added batch printing via batches (Chris T)
* Fixed bug 1275, post error due to trying to double encode arry (Chris T)
* Fixing position of returns checkbox on account screen (Chris T)
* Fixed bug 1278, multi-language templates not stored in db (Chris T)

Chris T is Chris Travers

Changelog for 1.4.6
* Fixed bug 1259, id from new_shipto overwrites form-id (Pongracz I)
* Fixed related bug to 1259 on invoices (Chris T)
* Updated Dutch translation (Frans S and Erik H)
* New returns-specific logic (see release notes) (Chris T)
* Fixed bug 1262, cannot post overpayment with formatted nums (Chris T)
* Fixed bug 1263, error when control_code not filled in (chris T)
* Fixed update button not showing after save (Chris T)
* Fixed bug 1260, Multiple vendor skus breaks display of invoice (Chris T)
* Removed buggy batch printing interface (Chris T)
* Added search for approved batches (Chris T)
* Fixed PGNumber error when posting gl entry (Chris T)
* Fixed bug 1273, some invoices cannot be opened (John L)

Pongracz I is Pongracz Istvan
Chris T is Chris Travers
Frans S is Frans van der Star
Erik H is Erik Huelsmann
John L is John Locke

Changelog for 1.4.5
* Fixed bug 1245, print and email buttons lost after email invoice (Chris T)
* Fixed bug 1246, entity-level addresses do not show on invoice (Chris T)
* Fixed bug 1244, manually entered tax crashes invoice on edit (Chris T)
* Fixed bug 1253, report pdfs redirect to port 80 (Chris T)
* Fixed internal server error on single payment interface (Chris T)
* Adding tax_id hidden field to order and offer forms to be able to include it on tex templates (Pongracz I)
* Fixed bug 1195, goods and services w/invoice search useless (Chris T)
* Fixed bug 1247, cannot save shipping record (Chris T)
* Fixed bug 1255, no such function timecard__report (Chris T)
* Fixed bug 1256, No such function: inventory_get_item_at_day (Chris T)

Chris T is Chris Travers
Pongracz I is Pongracz Istvan

Changelog for 1.4.4
* Fixed bug 1225 error saving order/quote for natural persons (Chris T)
* Fixed bug 1235, natural persons' orders not on report (Chris T)
* Fixed bug, insufficient perms on account_checkpoint_id_seq (Chris T)
* Fixed bug 1238, web services do not run on starman (Chris T)
* Fixed bug 1233, insufficient error handling with templates (Chris T)
* Added Product Receipt templates for printing vendor invoices (Chris T)
* (Bug Report 1229), added ID card and birthdate tracking (Chris T)
* Fixed bug 1234, trying to save user before employee thows error (Chris T)
* Fixed bug 1239, reopening on previous close throws error (Chris T)
* Fixed upgrade bug, referential errors upgrading 1.2 data (Chris T)
* Fixed bug 1243, dd.mm.yyyy formats don't work (Chris T)
* Quieted some test cases (Chris T)

Chris T is Chris Travers

Changelog for 1.4.3
* Added sanity check for psql availability (Bug 1226, Chris T)
* Added db fix for older eca's missing currencies (Bug 1228, Chris T)
* Fixed bug 1230, pricematrix for vendors not respected (Chris T)
* Updated installation instructions with more Apache info (Bill A)
* Improvements in testing LedgerSMB::Sysconfig (bug 1232, Chris T)
* Fixing sales tax rounding precision (bug via email, Chris T)
* Added Starman/Plack support (Chris T)
* Fixed duplicate user handling in setup.pl (Chris T)
* renamed 'Post as Saved' to 'Post', 'Save as Shown' to 'Save Draft' (Chris T)

Bill A is Bill Appelbe
Chris T is Chris Travers

Changelog for 1.4.2
* Separated address classes for employees out (bug 817, Chris T)
* Fixed dojo issue with user address screen (Chris T)
* Fixed bug 1219, log message of warning trial_balance/search.css (Chris T)
* Fixed issue with demo_with_images invoice.tex item description (Chris T)
* Display vendor's sku if available on orders and invoices, bug 1218 (Chris T)
* Fixed error unable to delete order (Chris T)
* Fixed bug 1223 prices 0 if selected from parts search (Chris T)
* Fixed issue, cannot log in after creating batch. (Chris T)
* Fixed bug 1224, account dropdowns on budget screen not working (Chris T)


Chris T is Chris Travers

Changelog for 1.4.1
* Fixed bug 1205, copy does not copy roles (Chris T)
* Added multi-date inventory uploads (Erik H)
* Fixed bug 1207, date format not displated on preferences (Chris T)
* Fixed bug 1208, username does not appear on menu block (Chris T)
* Fixed bug 1209, Types of Businesses report shows total discounts (Chris T)
* Fixed bug 1210, Cannot list business reporting units (Chris T)
* Fixed bug 1211, Sequences always set to allow input (Chris T)
* Fixed bug 1213, opaque error when no tax form selected on report (Chris T)
* Fixed bug 1214, Company db name not displated on some reports (Chris T)
* Fixed bug 1212, Fixed error regaring no default action (Chris T)
* Fixed bug 1215, duplicate user throws incorrect error (Chris T)
* Fixed bug 1204, Unable to select blank salutation (Chris T)
* Fixed bug 1198, incorrect rewrite rule on Apache 2.4 (Chris T)
* Fixed bug 1217, Link to business units on Business_Unit report was hardcoded (Pongracz I)
* Fixed bug causing COGS dates to be set null (Chris T)

Chris T is Chris Travers
Erik H is Erik Huelsmann
Pongracz I is Pongracz Istvan


Changelog for 1.4.0
General Enhancements:
* Performance enhancements on menu routines (Chris T and Steven M)
* Added +/- selection indicators to menu CSS (Chris T)
* Changing all auth calls to hit postgres db instead of template1 (Chris T)
* invoice.unit is now unbounded varchar to reduce errors (Chris T, 3516235)
* Invoices with inventory subject to draft/vouchers workflows (Chris T)
* Added Equity (Temp) account type, closed at year-end (Chris T)
* Added description field to transaction and invoice screens (Chris T)
* Removed ability to repost/delete transactions (Chris T)
* Partsgroups can now be nested though this is not yet used by LSMB (Chris T)
* Timecard system generalized to allow labor and materials cards too (Chris T)
* Can now print envelopes or shipping labels from many screens (Chris T)
* Can now select default formats for printed invoices (Chris T)
* Shipvia is now a text area. (Chris T)
* Descriptions can now be locked on invoices and orders (Chris T)
* Reconciliation reports can now be rejected (Chris T, 855)
* Added rounding tax module (Chris T, related to bug report 878)
* SQL files placed in sql/on_load/ now run on creation/upgrade of db (Chris T)

Enhancing Security Structure
* Session expiration now with configurable behavior (Chris T)
* Templates for user documents (like invoices) now stored in the db (Chris T)
* New Roles.sql file can be reloaded without prepocessing (Chris T)
* New Roles.sql file leaves no errors on success (Chris T)
* Removed public grants, using a base user instead (Chris T)

Enhancing data integrity
* No longer allow NULL amounts in acc_trans (Chris T)

Control Code Series System (Chris T)
* Covers invoices, orders, transactions, parts, and business units
* Have many different series for the same field (i.e. several series of
   partnumbers
* Each can set whether it overrides user input.

Installation/Upgrade
* PostgreSQL contrib dependencies removed, now require Pg 8.4 (Chris T)
* LaTeX format detection now run-time call, not configured (Chris T)
* configure_apache.sh: Add search for apache user & config path
  Do not overwrite ledgersmb-httpd.conf without warning (Havard S)
* Validation of database schema load processes in setup.pl (Erik H)

Code/API improvements
* scripts/* files moved to make inheritance possible (Chris T)
* Removed the Config::Std dependency and moved to Config::General (Chris T)
* Improved error handling using Try::Tiny and die (Chris T)
* Added "dynatable.html" template that can be included in templates (Chris T)
* Dynatable forms obtained through GET now show link back to form (Chris T)
* LedgerSMB->error and Form->error now show db version and company (Chris T)
* Simpler use of Log::Log4perl instead of LedgerSMB::Log (Chris T)
* Centralized database commit for new code (Chris T)
* Plugin model for Contact management screen (Chris T)
* Refactored setup.pl for easier management and customization (Erik H)

New RESTful Web Services Framework
* Supports XML and JSON as input formats
* Supports XML and JSON as output formats
* Supports read/write for Contacts:
   * Customers
   * Vendors
   * Employees
   * Leads
   * More

New Reporting Framework
* Easy bridge between SQL and display (Chris T)
* All reports exportable to CSV (Chris T)
* All reports exportable to PDF (Chris T)
* Unified UI for reports (Chris T)
* Enhanced trial balance allows for partial trial balance (Chris T)
* Enhanced trial balance allows for saved criteria (Chris T)
* New income-statement-like reports for customers and products (Chris T)
* New income-statement-like reports for invoices (Chris T)

Customer/Vendor/Employee Handling and CRM
* Added sales tax id and license number fields for companies (Chris T)
* Simpified database schema (Chris T)
* Full text search of notes for customers/vendors (Chris T)
* Added file attachments to customers, vendors, employees, leads etc (Chris T)
* Added lead handling (Chris T)

New CSV Import Module
* Imports GL transactions (Chris T)
* Imports AP batches (Chris T)
* Imports charts of accounts entries (Erik H)
* Imports GIFI tables (Erik H)
* Imports SIC tables (Erik H)
* Imports timecards (Chris T)
* Imports initial inventory and periodic counts (Chris T)
* Extensible
* field maps can be overridden

New Business Reporting Unit System (Chris T)
* Replaces Projects and Departments
* Business reporting units may be nested
* Allows one to do funds accounting, track jobs separately from projects, etc
* Report on any combination of business reporting units (up to one per class)

Erik H is Erik Huelsmann
Chris T is Chris Travers
Steven M is Steven Marshall
Havard S is Havard Sorli


Changelog for 1.3 Series (End of Life)
Released 2011-10-12

Changelog for 1.3.47
* Fixed bug 1271, default payment account not set on 2nd line (Chris T)
* Fixed bug 1275, post error due to trying to double encode arry (Chris T)

Chris T is Chris Travers


Changelog for 1.3.46
* Fixing bug 1257, ordnumber shows all orders open/closd (Chris T)
* Fixed bug 1259, id from new_shipto overwrites form-id (Pongracz I)
* Fixed related bug to 1259 on invoices (Chris T)
* Some log quieting fixes. (Chris T)
* Fixed bug 1262, cannot post overpayment with formatted numbers (Chris T)
* Fixed bug 1260, Multiple vendor skus breaks display of invoice (Chris T)
* Fixed bug 1273, some invoices cannot be opened (John L)

Chris T is Chris Travers
John L is John Locke
Pongracz I is Pongracz Istvan


Changelog for 1.3.45
* Cleaned up sql files so App::LedgerSMB::Admin works (Chris T)
* Fixed pricematrix prices not respected for vendors (Chris T, bug 1230)
* Added tests for Sysconfig (Chris T, bug 1232)
* Added first-rate starman/plack support (Chris T)
* Fixed bug 1239, reopening on previous close throws error (Chris T)
* Quieted some of the test cases (Chris T)
* Fixed bug 1244, manually entered tax crashes invoice on edit (Chris T)
* Fixed bug 1251, some backports failing due to misplacing db cnx (Chris T)
* Fixed bug 1241, join projection, amounts in invoice details report (Chris T)
* Fixed internal server error on single payment interface (Chris T)
* Fixed bug 1240, false alarms of customer credit usage exceeded (Chris T)
* Adding tax_id hidden field to order and offer forms to be able to include it on tex templates (Pongracz I)
* Fixed bug 1258, manual tax number entries do not respect number formats (Pongracz I)

Chris T is Chris Travers
Pongracz I is Pongracz Istvan


Changelog for 1.3.44
* Allow blank salutations, bug 1204. (Chris T)
* Easier creation of select widgets with blanks. (Chris T)
* Display vendor's sku if available on orders and invoices, bug 1218 (Chris T)
* Fixed issue where locked batch prevents login (Chris T)

Chris T is Chris Travers


Changelog for 1.3.43
* Fixed bug 1136, manual tax not respecting user number formats (Chris T)
* Fixed bug 1171, invoices showing as current when not (Chris T)
* Fixed bug 1140, shipto causes exchangerate format lost (Chris T)
* Fixed errors running custom queries where no table yet defined (Chris T)
* Use Shipto button works right away when adding from invoice (Chris T)
* Fixed bug 1196, number formatting issue when decimal separator is comma, like 1.000,00 (Pongracz I)
* Fixed bug 1169, sorting orders results in empty list (Chris T)
* Fixed bug 1173, employee manager checkbox badly handled (Chris T)
* Fixed bug 1199, can change shipto with no effect after positng (Chris T)
* Fixed issue 1183, added login name to menu pane (Chris T)
* Fixed bug 1185, email address not shown when emailing statements (Chris T)

Chris T is Chris Travers
Pongracz I is Pongracz Istvan


Changelog for 1.3.42
* Fix for missing emails when emailing orders/quotations (1073, Chris T)
* Fix doubled email addresses when emailing invoice (1186, Pongracz I)
* Hungarian translation changes (Pongracz I)
* Fix for inactive customers showing up on receipt search (1095, Chris T)
* Hungarian translation changes (Pongracz I)
* View file_links is no longer dropped before rebuild (Chris T, 1099)
* Fix for invoice with shipto linking to wrong one on report (Chris T, 1104)
* Fix for shipto's not being automatically checked (Chris T, 1100)
* Fixed forex rounding issue with single payments not posting (Chris T)
* Fixed typo in search payment form: aligh -> align (Pongracz I)

Chris T is Chris Travers
Pongracz I is Pongracz Istvan

Changelog for 1.3.41
* Fix for invalid ref when entering payment  (John Locke)


Changelog for 1.3.40
* Updated nginx configuration (Pongracz I)
* GL account search now will search within descriptions for matches (Chris T)
* Printing without an invoice number now errors instead of increments (Chris T)
* Fixed internal server error using cash/payment (Chris T)
* Fixed #1133 (FX rate changed after selecting part/service) (Pongracz I)
* Fixed #1078 (Don't populate all empty projects automatically) (Pongracz I)
* Fixed #1139 (Vendor can show up as default customer in sales order, confusing...) (Pongracz I)
* Fixed type mismatch between invoice.qty and invoice.allocated (Chris T)
* Fixed manual tax invoices not reversing properly (Chris T, 1134)

Chris T is Chris Travers
Pongracz I is Pongracz Istvan


Changelog for 1.3.39
* Fixed Internal Server Error clicking through ar/ap report (Chris T, 1022)
* Fixed internal server error deleting part (Chris T, 1027)
* Fixed Internal server error saving part with all vendor rows (Chris T, 1028)
* Fixed display of weight on parts list with comma decimal sep (Chris T, 1030)
* Fixed pricelist pdf column widths all equal (Chris T, 1037)
* Added support for zero-downtime upgrades (Chris T)
* Fixed clicking through COA does not show future transactions (Chris T, 1044)
* Fixed unable to partially pay or receive when negative due (Chris T, 1045)
* Fixed encoding for templates when edited through web (Chris T, 1077)
* Fixed customer/vendor dropdown resetting on update (Chris T, 1072)

Chris T is Chris Travers
Robert C is Robert Clay


Changelog for 1.3.38
* Fixed AR/AP transactions resetting currency/exchange rate (Chris T)
* Fixed adding vouchers not checking for locked/approved batches (Chris T 1025)
* Fixed can't delete pricematrix entries from customer screen (Chris T, 893)
* Fixed language change on order to invoice conversion (Chris T, 896)
* Fixed ar/ap tax check inconsistency (Chris T, 919)
* Fixed inputs ignored for email addresses sending statements (Chris T, 920)
* Fixed negative overpayments showing as positive (Chris T, 926)
* Fixed permission denied errors after upgrading copied db (Chris T, 956)
* Fixed "access denied" when deleting unused tax account (Chris T, 967)
* Fixed GL Report fails before entering transactions (Chris T, 977)
* Fixed start and end dates not shown on contact screen (Chris T, 979)
* Fixed employee showing up several times on search list (Chris T, 980)
* Fixed contact description not preserved on edit (Chris T, 981)
* Fixed useless buttons on credit div when no account active (Chris T, 1001)
* Backported requires() and requires_series() APIs from 1.4 (Chris T)
* Updated INSTALL to reflect better instructions for Apache 2.4 (Chris T)
* Fixed printed invoice not matching posted when 0 manual tax (Nick P, 1051)
* Updated Hungarian translation (P. Isvan)

Chris T is Chris Travers
Erik H is Erik Huelsmann
Nick P is Nick Prater
P. Isvan is Pongracz Istvan


Changelog for 1.3.37
* 1.3-1.2 downgrade now drops extensions (Chris T, 943)
* Fixed db names with spaces not supported (Chris T, 946)
* Fixed old code not working if clicked on after changing passwd (Chris 949)
* Fixed join projection issues in AP Outstanding (Chris T, 950)
* Added Apache 2.4 configuration file (Chris T)
* Fixed "save info" reporting "Draft Posted" (Chris T, 925)
* Fixed shipto causing db error on sales invoice (Chris T, 929)
* Fixed shipto including all addresses (Chris T, 929)
* Fixed shipto address not showing on invoice (Chris T, 929)
* Fixed fcgi blank screens on saving/deleting warehouse (Chris T, 902)
* Fixed blank screens after New on ar/ap transactions (Chris T, 924)
* Fixed back button handling after logout (Chris T)
* Fixed Chrome and some other browsers not properly logging out (Chris T)
* Added SQL-Ledger 2.8 migration script (Erik H)
* Removed sales/purchase order recurring logic (Chris T, 888)
* Removing references to missing line.gif (Chris T, 962)
* Fixed garbled UTF-8 characters appearing in web output (Erik H, 953)
* Removed crdate from ar/ap transactions and outstanding bug reports (Chris T)

Chris T is Chris Travers
Erik H is Erik Huelsmann


Changelog for 1.3.36
* Set default date for AP invoice creation to current date (Chris T)
* Removed "apply discount" from use overpayment screen (Chris T)
* Fixed tax checkbox problem when one tax id includes another (Chris T)
* Fixed update forgetting creditor (Nick P)
* Fixed invoices rounding and printing differently (Giovanni B)
* Deleted broken pricematrix check on existing rows in POS (Chris T)
* Fixing manually entered tax amounts ignored printing invoice (Chris T, 864)
* Fixing deleting gl draft via gl screen fails (Chris T, 871)
* Fixing receipts listing "to pay" for amount (Chris T, 892)
* Setting->get() now works with named keys (Chris T)
* nginx sample configurations (P. Istvan)
* Fixed unable to delete ar vouchers (Chris T)
* Fixed copy to new scrambling lines (Chris T, 923)
* Fixed improper account line handling in ar/ap trans. (Chris T, 923)

Chris T is Chris Travers
Nick P is Nick Prater
Giovanni B is Giovanni Biscuolo
P. Istvan is Pongracz Istvan


Changelog for 1.3.35
* Fixed uninitialized value warnings when cached template enabled (Chris T)
* Fixed error in logs about failed login during initial login (Chris T, 858)
* Updated gnome2 stylesheet (Pongracz I)
* Updated Hungarian translation (Pongracz I)
* Fixed is_zero error on inventory activity report (Chris T)
* Fixed bug 861, receipts saying "pay from" cash account (Chris T)
* Dropped not null requirement on zip/mail codes (Chris T, 863)
* Fixed on hold throwing http 500 errors (Chris T and Nick P, 872)
* Fixed on hold not available for ar/ap transactions (Chris T, 838)
* Fixed single payments screen confusing (Chris T, 856)
* Fixed confusing error on tax form reports (Chris T, 883)
* Fixed unable to edit quotation.tex (Chris T, 885)
* Silenced warnings in Num2Text (Chris T)
* Fixed blank weights sometimes making invoices unprintable (Chris T)
* Fixed some bugs with SL2.8 to LedgerSMB upgrades (Chris T)
* Fixed encoding errors after sending email (Chris T, 884)
* Fixed spurious 0's in incorrect fields (Chris T, 889)
* Copy to New no longer copies payments (Chris T)
* Fixed '0' invoice number on customer history summary (Chris T)
* Added 'created on' date to invoices (Pongracz I)
* Condensed income statement and balance sheet for readability (Erik H)

Chris T is Chris Travers
Nick P is Nick Prater
Pongracz I is Pongracz Istvan
Erik H is Erik Huelsmann


Changelog for 1.3.34
* Fixed some SQL syntax issues on using overpayments (Chris T)
* Fixed date range when clicking through income statement to gl (Chris T, 836)
* Fixed invoice screens not recognizing default payment account (Chris T, 837)
* Fixed gl report criteria lost when returning from transaction (Chris T, 839)
* Fixed incorrect payment account info in invoice screen (Chris T)
* Fixed on-hold handling for ar transactions (Herman V)
* Fixed address handling rendering issues on invoices (Chris T)
* Fixed error handling after state had been cleared (Herman V)
* Updates to SQL-Ledger 2.8 migration script (Chris T)
* Fixed income account tracking on assemblies screen (Erik H)
* Fixed trouble emailing recurring transactions (873, Erik H)
* Fixed saving company saving incorrectly to DB (886, John L)
* Can now search for batches/drafts without specifying a class (Erik H)
* Added trigger to prevent transactions in closed periods (Chris T)
* Fixed batch printing not writing files to print (Chris T)

Chris T is Chris Travers
Erik H is Erik Huelsmann
Herman V is Herman Vierendeels
John L is John Locke


Changelog for 1.3.33
* Fixed <?lsmb YYMMMDD ?> interpolation in settings (Chris T)
* Fixed Contact field on search screen not doing anything (Chris T, 808)
* Fixed Department dropdown ordering and selection (Chris T, 810)
* Fixed Project dropdown ordering and selection (Chris T, 809)
* Fixed UI inconsistency re: language dropdown (Chris T, 816)
* Fixed grants to menus (which can cause problems for submenus (Chris T, 820)
* Fixed tax boxes cannot be all unset (Chris T, 818)
* Project, serial number, and notes now appear initially (Chris T, 824)
* Fixed double-counting first date's balance on gl report (Chris T)
* Fixed user creation failing on some timezones with some datestyles (Chris T)
* Added secondary partnumber ordering to eca history report (Chris T)
* Fixed default_reportable not respected for invoices (Chris T, 799)
* Fixed dropdowns not affecting date range in tax reports (Chris T, 811)
* Added missing taxincluded handling, added script to populate (Chris T, 832)
* Fixed code references stringified on LaTeX templates (Chris T, 843)
* Orders no longer change customer when changing date (Chris T)
* Fixed toggling on-hold vendor invoices (Herman V)
* Fixed disappearing addresses on update on invoice screen (Chris T)

Herman V is Herman Vierendeels
Chris T is Chris Travers


Changelog for 1.3.32
* Fixed em-dash handling for pdfs (Chris T)
* Fixed multiple blank line handling for pdfs (Chris T)
* Fixed multiple repeat entries in chart of accounts drop down (Nick P, 812)
* Fixed transaction list empty if searched by creditor name (Nick P, 806)
* Fixed cash transfer enforces ticked 'FX' boxes (Nick P, 802)
* Fixed extra newline-related errors in tex template engine (Chris T)
* Added updated Hungarian charts of accounts (Pongracz Istvan, 813)
* Reopen books now works again (Chris T, 792)
* Added address line to ar/ap transaction and invoice screens (Chris T)
* Fixed draft review issues for Cash Transfer GL drafts (Chris T, 802)
* Added fx boxes for GL transactions (Chris T, required to fix 802)
* Fixed odd UI issues with voiding GL transactions (Chris T, 803)
* Fixed department dropdown not showing values (Chris T, 805)
* Fixed error causing Reconciliation.sql not to be loaded/reloaded (Chris T)

Nick P is Nick Prater


Changelog for 1.3.31
* Removed spurious commit saving orders (Chris T)
* Removed check for reversing too many sales, since this poses problems
  in corner cases with no good solutions (Chris T)
* R5680-1, (tentatively) fixes to shipping/invoice onhand numbers (Chris T)
* Fixed customer search showing sales rather than billing addresses (Chris T)
* Fixed parts descriptions not showing on inventory actibity report (Chris T)
* Fixed encoding issues when printing from the queue (Chris T, 3602073)
* Fixed spurious commit in Invoice Shipped (Chris T)
* Fixed handling of long notes/descriptions on GL (Chris T, 3603939)
* Fixed handling of translation strings in Contact Search (Chris T, 3604721)
* Fixed handling of spaces in debit/credit cols/gl (Chris T, 3607219)
* Fixed handling of invoice numbers on recurring (Chris T, 3602382)
* Fixed language code changes delayed (Chris T, 3607220)
* Fixed order by on reconciliation screen not working (Chris T, 3607223)
* Fixed country changes to companies not saving (Chris T, 3607437)
* Fixed customer search on address data (Chris T, 3607436)


Changelog for 1.3.30
* Documented behavior of Outstanding Summary report (Chris T, 3601314)
* Fix for translations showing multiple types (Chris T, 3601737)
* Updated gnome.css (Pongracz Istvan)
* Fixed vendor cash account link not respected in payment interface (Chris T)
* Fixed workflow for multiple address entry (Chris T,  3602111)
* Fixed print and save buttons on orders (Chris T, 3602071)
* Fixing history report blank when no fx (Chris T, 3602084)
* More CSS hooks (Chris T)
* Fixed DB API for reopening books (Chris T)
* Fixed menu-selected vendors and customers not working (Chris T)
* Fixed packing list not found in dropdown on invoices since 1.3 (Chris T)


Changelog for 1.3.29
* Added db routines for role backup and restore for shared hosting
environments (Chris T, 3598924, filed by Erik H)
* Added provision in Makefile to instantiate pos.conf.pl if not exist (Chris
T, 3599945)
* Fixed errors adding shipto on invoice screen (Chris T, 3599908)
* Fixed permission denied errors adding translations (Chris T, 3599943)
* Added version number to message at top of menu (Chris T, 3600009)
* Added wrapper div around pricegroup field in contact screen to allow cssp,
Chris T.
* Fixed inverted tax numbers in vendor taxable sales report (Chris T, 3600002)
* Fixed cash/receipt and payment screen calculating to pay wrong (Chris T,
3599995)
* Fixed net-0 transactions not showing up on search (Chris T, 3600700)
* Fixed incorrect recommendation in Makefile.PL (Chris T, h.t Havard S and
Robert C)
* Fixed contact info addition workflow.  Now entering multiple contact records
is not a total pain(Chris T)
* Fixed lines 2 and 3 not showing on address div for contacts (Chris T)
* Fixed credit limit not accounting for some payments (Chris T, 3600679)
* Payments tables in invoice/transaction screens can be referenced in CSS
(Chris T)
* Updated Hungarian translation (Pongracz Istvan)

Chris T is Chris Travers
Erik H is Erik Huelsmann


Changelog for 1.3.28
* Added db list to setup.pl when no db is entered and credentials allow login
  to "postgres" db. (Chris T)
* Added copy db utility to setup.pl for testing dbs (Chris T)
* Fixing is_zero errors on ar/ap transaction screens w/tax incldued (Chris T)
* Fixing csv ar transactions not showing taxes (Chris T, 3589640)
* Fixing demo quotations having descriptions taking too much space (Chris T)
* Moved to label/button system for deleting lines on invoices (Chris T)
* Fixing extra blank lines showing up on ar/ap trans screen on save (Chris T)
* Changing xetex demos to use Liberation font (Chris T, h/t Erik H)
* Better appearance of customer history report filter screen (Chris T)
* Fixed new Dynatable.tex not handling col ids with underscores (Chris T)
* Fixed admin passwd reset directing to showing new user screen (Chris T)
* Fixed admin passwd reset ineffective (Chris T, bug 3599803)
* Fixed stylesheet cannot be set on preferences screen (Chris T, 3599804)
* Moved Fixes.sql to top of LOADORDER to fix some upgrade issues (Chris T)
* Fixing handling of unknown browsers in logout (Chris T, 3599930)
* Fixed error generating invoice when mintax threshhold not met Chris T)


Changelog for 1.3.27
* Detect whether ledgersmb.conf exists during Makefile.PL run and create if
  not (Chris T)
* Fixed prepare-company-database.sh clobbering the Apache configuration on
  every run (Chris T, 3595000)
* Fixed error sorting recon search by account (Chris T, h/t Erik H, 3589473)
* Users are now migrated with nonsense passwords from 1,2 (Chris T, 3587257)
* Upgrade now handles new total column in jcitems properly (Chris T)
* Fixed configure_apache.sh, read input, change of file name from
  ledgersmb-httpd.conf to ledgersmb-httpd.conf.template (Havard S)
* Update INSTALL - section "Adding configuration to Apache 2.x" (Havard S)
* Fixed bad targets of AP Aging and Tax Paid reports (Chris T, 3594694)
* By default, customer/vendor search orders by name (Chris T, 3596195)
* Fixed erroneous error in pod coverage test (Chris T)
* Updated LedgerSMB.pot, added script to rebuilt and merge to po's (Chris T)
  -- includes item 3598644 filed by Havard S
* Fixed xgettext error in aa.pl (Chris T)
* Fixed Default language ignored when emailing rfq (Chris T, 3588998)

Chris T is Chris Travers
Havard S is Havard Sorli


Changelog for 1.3.26
* Added db statistics post-upgrade and pre/post rebuild (Chris T, 3586113)
* Merged in fcgi support from addons (Chris T)
* Clarified UI for changing password vs settings (Chris T, 3588810)
* Fixed eca selection issues when creating invoices (Chris T, 3588301)
* Added demo templates with for invoices with attached images (Chris T)
* Fixed attached images not appearing in templates (Chris T)
* Fixed projects not attached to customers lost 1.2-1.3 (Chris T, h/t Ario)
* Fixed the rpm file to make a valid ledgersmb-httpd.conf (Havard S, 3593393)
* Dropped seconds/subsecs from password expiration notice (Chris T, 3593963)
* Fixed parts images not available from template. (Chris T, h/t Brian W)
* Fixed fs_cssdir not handling trailing / properly (Chris T, h/t Nigel T)
* Fixed file attachments not retrieving for all invoice parts (Chris T)
* fixed file attachements for invoices not handling _ properly (Chris T)

Brian W is Brian Wolf
Chris T is Chris Travers
Havard S is Havard Sorli
Nigel T is Nigel Titley


Changelog for 1.3.25
* Fixed internal server errors on LedgerSMB->error() during new() (Chris T)
* Fixed pricematrix rows not showing where pricegroups are used (Chris T)
* Fixed missing grant in some cases on cr_coa_to_account (Chris T)
* Fixed letterhead not showing up on emailed invoices (Chris T, h/t Kevin B)
* Fixed blank screen on posting AR/IS/OE via FCGI (Chris T)
* Fixed ECA's not distinct on parts screen and search (Chris T, 3550075)
* Fixed error saving imported user with no existing db role (Chris T, 3559844)
* Added ar-transation.csv and ap-transaction.csvn templates (Erik H)
* Fixed blank screen processing recurring transactiosn in fcgi (Chris T)
* Removed blank/unused Contact/Employee dropdown on shipping screen (Chris T)
* Fixed internal server errors retrieving taxes with invalid dates (Chris T)
* Fixed taxform "default reportable" checkbox not persisted (Chris T, 3581310)
* Fixed labelling of vendor column on taxform reports (Chris T, 3581317)
* Fixed terms of sales/purchase order not respected (Chris T, 3581337)
* Added Perl equivalent to prepare-company-database.sh (Chris T, 3551127)
* Fixed prepare-company-database.sh, test getopt version. (Havard S, 3551127)

Chris T is Chris Travers
Erik H is Erik Huelsmann
Kevin B is Kevin Bailey
Havard S is Havard Sorli


Changelog for 1.3.24
* Fixed error in msgid for "Add Language" (Havard S, h/t Robert C)
* Moved Makefile.PL to version_from to reduce errors (Chris T, h/t Robert C)
* Prompts added to configure_apache.sh (Berend T)
* Corrected image not showable on html invoice (Chris T)
* Fixed invoice date not printing on checks (Chris T, h/t Neil S)
* Changed INSTALL to do make test, not of make install (Chris T h/t Kevin B)
* Fixed framework for printing parts tumbnails in invoices (Chris T)
* Upgrade now handles nulls in model field of makemodel (Chris T)
* Fixed issue with comment in account.sql (Chris T)
* Removed unused Subcontractor GIFI field (Chris T, h/t Erik H)
* Changed upgrade screen to pull AR/AP numbers (Erik H)
* Rebuild modules after upgrade, ensuring upgrade to latest version (Chris T)
* Fixed credit limit usage calculations (Chris T, h/t Erik H)
* Fixes to get LedgerSMB running clearly using FCGI (Chris T)
* Fixed unapproved transactions showing up on aging reports (Chris T)
* Fixed new window menu item not showing up (Erik H)
* Fixed alignment issue on Contact screen on Chrome (Chris T)
* Fixed cannot reconcile account with negative balance(Havard S, Erik H, h/t Nick P,3586757)
* Documented cache_templates option in ledgersmb.conf (Chris T)
* Fixed internal server error on plack with backups (Chris T)
* Added add user button to setup.pl when LedgerSMB 1.3 db detected (Chris T)
* Backup buttons do not show when no db found (Chris T)

Berend T is Berend Tober
Chris T is Chris Travers
Erik H is Erik Huelsmann
Havard S is Havard Sorli
Kevin B is Kevin Bailey
Neil S is Neil Smith
Robert C is Robert James Clay
Nick P is Nick Prater


Changelog for 1.3.23
* Fixed query string/stdin handling where both stdin and query string are set
* Moved http error framework to use header methods (Chris T)
* Fixed warning about incorrect method for ar/ap transactions (Chris T)
* Fixed fatal gettext errors in ar_EG, fi, nb po's (Havard S)
* Fixed prices being selected on RFQ (Chris T, h/t Erik H)
* Fixed discount wrong after multiple parts selection (Chris T, h/T Istvan P)
* Fixed action not found on redirect (Chris T, h/t Brian W)
* Fixed issues upgrading from 1.2 if email and bcc are filled in (Chris T)
* Fixed error exporting aging to csv (Havard S, h/t Nick P, 3559403)
* Fixed receipt reversal screen erroring (Chris T, h/t Nick P)
* Fixed select all button causing error on aging rpt (Chris T)
* Fixed query err when generating sales orders from time cards (Erik H, 3559621)
* Fixed backup does not test for failure (Havard S, h/t Nick P, 3574876)
* prepre_company_database.sh now only gives user mgmt rights (Berend T)
* Fixed end date, etc not showing on summary list, (Chris T, 3556279)

Berend T is Berend Tober
Chris T is Chris Travers
Havard S is Havard Sorli
Erik H is Erik Huelsmann
Istvan P is Istvan Pongracz
Brian W is Brian Wolf
Nick P is Nick Prater
Robert C is Robert James Clay


Changelog for 1.3.22
* Fixed error when trying to save multiple make/models for a part (Chris T)
* Better error handling when date is entered into statement balance (Chris T)
* Added pricegroup selection back to entity credit account (Chris T, 3550056)
* Fix for slow performance with Form->all_years (Chris T, h/t Neil S)[1]
* Revamped database load test cases (Chris T)
* Fixed error on some screens with function not found (Chris T)
* Fixed some test case errors due to tests written against older API (Chris T)
* Fixed error: parts search not loading into the db pn Pg 9.1 only (Chris T)

Chris T is Chris Travers
Neil S is Neil Smith

Footnotes:
[1]:  Problem found on database with approx 200k records spanning a number of
years.  The current approach will do a sequential scan of acc_trans per year
found if no index is there.  Adding the index is required to get this to
perform reasonably well.


Changelog for 1.3.21
* Added a default numberformat in Form.pm (Chris T)
* Added a container div for theming saved and/or posted docs (Chris T)
* Fixed an is_zero error saving purchase transactions (Nick P)
* Fixed shipping selection not displaying customer info (Chris T, 3543932)
* Fixed shipping redirection not displaying orders (Chris T, h/t Nigel T)
* Recon screen now groups journal entries by transaction (Chris T, h/t Nick P)
* Fixed empty string working as empty source for cash recon (Chris T)
* Saving a part now returns to editing the same part (Chris T, h/t Brian W)
* If pos.conf.pl is not found, now returns an intelligible error (Chris T)
* Adding action/id div to top of many screens (Chris T, h/t Erik H)
* File->get_for_template now gets most recent parts image (Chris T)
* Fixed error on generate purchase orders (Chris T, 3544857, h/t Nigel T)
* Fixed internal server errors with date parsing (Chris T, 3546698)
* Fixed "Directory Transversal Not Allowed" w/fs_cssdir (Chris T, h/t Robert C)
* Fixed customer/vendor cleared on ship/receive update (Chris T, 3548104)
* SECURITY FIX for System/Defaults denial of service advisory (Chris T)
* Added missing ap_transaction_all role (Chris T, h/t Erik H)
* Fixed internal server error setting up user in setup.pl (Chris T)
* Performance fix for templates and format detection (Chris T)

Brian W is Brian Wolf
Chris T is Chris Travers
Erik H is Erik Huelsmann
Nick P is Nick Prater
Nigel T is Nigel Titley
Robert C is Robert James Clay


Changelog for 1.3.20
* Fixes for es_AR translation, duplicate keys removed (Andres B)
* Demo templates provide better handling of paragraph breaks in notes (Chris T)
* Fixed menu anomilies due to menu grants on sub-menus (Chris T)
* Fixed unable to change order or delete it (Chris T, 3535856)
* Fixed invalid syntax for integer on saving employee (Chris T)
* Cleaned up dates lines on employee screen (Chris T)
* Added access to parts.image for ar invoice, order, quote templates (Chris T)
* Fixed error on redirect from attaching file to part (Chris T h/t Brian W)
* Fixed inability to look up vendor by ECA with discounts (Erik H h/t Matt B)
* Removed broken cash-basis reports (Chris T, h/t Jigme D
* Backporting LedgerSMB::App_State to make other backports easier (Chris T)
* Fixed Customer/Vendor search results unsorted (Chris T, h/t lbm, 3537592)
* Income Statement/Balance sheet now pass through date ranges (Chris T)

Andres B is Andres Basile
Brian W is Brian Wolf
Chris T is Chris Travers
Erik H is Erik Huelsmann
Jigme D is JigmeDatse
lbm is Louis Moore
Matt B is Matthew Bourque


Changelog for 1.3.19
* New link for customer/vendor when not a dropdown (Chris T)
* Removed file debugging code from file.pl (Chris T)
* fixed can void voids. (Chris T, h/t Erik Huelsmann, item 3515561)
* Fixed error on taxable sales report (Chris T, 3531784 h/t Nigel T)
* Added missing localization calls to recon approval workflow (Chris T)
* Clarified recon approval workflow (Chris T)
* Fixed error editing non-existent localized template (Chris T, 3531738)
* Fixed show/hide logic on nav bar on Contacts screen (Chris T)
* Fixed "Post as Shown" button not showing properly on AR/AP drafts (Chris T)
* Added fs_cssdir config option for easier packaging (Chris T, h/t Robert C)
* Fixed discarded input/bad label on 1.2 upgrade screen (Chris T, h/t Robert C)
* Fixed encoding of attachment retrieval (Chris T h/t Erik H)
* Fixed missing grant on partsvendor_entry_id_seq (Chris T, h/t Brian W)
* Fixed voiding invoice duplicates payment (Chris T h/t John L)
* Fixed CSV exports not having any data (Chris T h/t Erik H)

Brian W is Brian Wolf
Chris T is Chris Travers
Erik H is Erik Huelsmann
Nigel T is Nigel Titley
Robert C is Robert James Clay


Changelog for 1.3.18
* Fixed missing template for CSV pricelists (Chris T)
* Added ODS pricelists (Chris T)
* Better CSV escaping (Chris T, h/t Erik H)
* Fixed menu errors preventing quote/rfq template editing (Chris T, 3524793)
* Fixed customer email not showing emailing statements (Chris T and Erik H)
* Approved recon reports no longer show invalid balance info (Chris T,3518283)
* CSS directory is now configurable (Chris T, 3516730, h/t Robert C)
* Corrected cannot delete accounts (Chris T, 3529383, h/t David M)
* Fixed ODS output broken due to missing export (Chris T)
* Fixed button disable inverted (Chris T)
* Fixed internal server error on requirements report (Chris T, h/t Nigel T)
* Fixed formatting issues with long dates and ISO db dates (Chris T 3525843)
* Removing XLS support which has been broken for some time (Chris T)
* Fixes for slow menu performance on menu (Chris T)

Chris T is Chris Travers
David M is David Mora
Erik H is Erik Huelsmann
Nigel T is Nigel Titley
Robert C is Robert James Clay


Changelog for 1.3.17
* Address now shows on ECA selection screen (Erik H)
* Taxes::Simple now respects min/max values based on subtotal (Chris T)
* Fixed company name/address missing from income statement (Chris T, h/t Mark L)
* Fixed company name/address missing from balance sheet (Chris T, h/t Mark L)
* Optional image retrieval with size detection for latex templates (Chris T)
* Added option to attach images to LaTeX PDF invoices/orders/etc (Chris T)
* Corrected one is_zero error with latest Math::BigInt (Chris T)
* Fixed file uploads sometimes hanging (Chris T)
* Fixed file uploads sometimes throwing action not found errors (Chris T)
* Fixed helpful DB error messages not displayed (Chris T)
* Fixing Form.pm so that max_post_size = -1 behaves as in CGI::Simple (Chris T)
* Fixed internal server error on tax lookup (Chris T)
* Better error message on db version error (Herman V)
* Fixed parsing error in xedemo bin_list.tex (Erik H)

Chris T is Chris Travers
Erik H is Erik Huelsmann
Herman V is Herman Vierendiels
Mark L is Matt Lubratt


Changelog for 1.3.16
* Changes in <head> element for non-Latin characters, HTML invoices (Erik H)
* Corrected untranslated string in Contact management screen (Chris T)
* Corrected permissions issue creating pricelist (Chris T, 3513861)
* Correcting ordering of aging reports so currencies are clustered (Chris T)
* Fixed curr totals not showing for aging rpts (Chris T, 3512591, h/t John L)
* Fixed new user screen not respecting default country (Chris T, 3513760)
* Fixed hash(...) in HTML payment receipt (Chris T, 3515924, h/t Michael R)
* Fixed errors about Concat() not found on Pg 8.4 (Erik H)
* Fixed can't edit templates with absolute templates path (Chris T 3516725)
* Added API for minimum value for taxes for local tax modules (Chris T)
* Added API (but not UI) for tax max value (Chris T)

Chris T is Chris Travers
Erik H is Erik Huelsmann
John L is John Locke
Michael R is Michael Richardson


Changelog for 1.3.15
* Update WX POS (almost there) - readme and code  (Andres B, item 3516949)
* Adding Perl-based database-setup and teardown scripts (Chris B)
* Corrected build issues w/Makefile due to inclusion of LedgerSMB.pm (Chris T)
* ledgersmb.conf.default : Update default PATH (H Sorli, item 3430019)
* Fixed imballanced payments when early payment discount processed (Chris T)
* Pricelists exportable as PDF and CSV (Chris T)
* Fixed payment/receipts shows with 0 due/payment list (Erik H, bug 3512555)
* Correct POD spelling error in LedgerSMB/Form.pm (Robert C, bug 3472015)
* Fixed Reconciliation.sql not loading (Erik H)

Andres B is Andres Basile
Chris B is Chris Bennet
Chris T is Chris Travers
H Sorli is Havard Sorli
Robert C is Robert James Clay


Changelog for 1.3.14
* Argentina (Spanish) translation and charts of accounts added. (Andres B)
* Fixed errors saving when duedate is blank, bug 3503463 (Chris T)
* Corrected editing pos_invoice.txt whitelisting in front-end (Chris T)
* Corrected erroneous directory transversal denial (Chris T, bug 3504924)
* Added recon data to Norwegian chart of accounts (h/t H. Sorli) (Chris T)
* Fixed some menu items disappearing after upgrade (Chris T, bug 3504934)
* Added default to country for initial setup (Chris T, bug 3496967)
* Added recon data to COA files for a few extra locales (Chris T bug 3505102)
* Clarified error message when contrib scripts not found (Chris T)
* Corrected warnings for missin glog initalization (Andres B)
* XLS and ODS buttons are now disabled if prereqs are missing (Erik H)
* Experimental support for migrating from SQL-Ledger via Setup.pl (Chris T)
* Fixed POD issues with lsmb-request.pl (h/t Robert C) (Chris T item 3472648)
* Fixed means of adding parts/editing pricelist missing (Chris T, bug 3442163)
* Fixed unknown db detected as SQL-Ledger (Chris T, bug 3510039)
* Fixed pos ignores pd_proto and always connects tcp (Chris T, bug 3458112)
* Error now displayed when currencies are not defined (Chris T, bug 3509555)
* Fixed "no obvious way to select credit account" (Chris T, bug 3510564)
* Added code to unlink backup files after sent (Chris T)
* Added Gnome css (Andres B)
* Update doc; UPGRADE & README.sql-ledger (h/t Chris T & Erik H) (H Sorli)
* Change logo to "new" design - rename old logo (H Sorli, item 3435532)
* POD corrections to correct for POD style guidelines (Robert C)

Andres B is Andres Basile
Chris T is Chris Travers
Erik H is Erik Huelsmann
H Sorli is Havard Sorli
Robert C is Robert James Clay


Changelog for 1.3.13
* Reduced log messages when upgrading/creating db, for some log levels (Chris T)
* Changed db setup not to use createdb for simple admin of pg_hba.conf (Chris T)
* Corrected type = 'password' not handled properly in elements.html (Chris T)
* Non-billable information now retained in db for timecards (Chris T)
* Corrected character encoding/corruption issue with backup scripts (Chris T)
* Changes in the single payment UI to minimize mouse movements (Erik H)
* Adding link to employee edit screen from user page (h/t H Sorli) (Chris T)
* Fixed: Can't designate managers (Chris T, bug  3486840)
* Can now skip adding the chart of accounts (Erik H)
* Fixed: can't reconcile accounts in foreign currency (bug 3498036)(Chris T)
* Fixed: Recon not setup for cash accounts in default COA (Erik H and Chris T)
* Corrected minor issue with demo sales quotation template (Chris T)

Chris T is Chris Travers
Erik H is Erik Huelsmann
H Sorli is Havard Sorli


Changelog for 1.3.12
* Corrected processing of <?lsmb tags in order/invoice numbers (Chris T)
* Corrected handling of accounts in dropdowns where () are present (Chris T)
* Corrected erroneous log messages from debugging 1.3.11 (Chris T)
* Autocomplete ajaxselect now work (degraded) without Javascript (Chris T)
* Autocomplete ajaxselect now accept full entry without waiting (Chris T)
* Inlined add_custom_field's argument names for autodocumentation (Chris T)
* Updated add_custom_field to run on PostgreSQL 9.0 (Chris T)
* Updated dists/rpm/build.sh to support RHEL 5 (Hilton D)
* Corrected stylesheet not set on error pages (Chris T)
* Tightened up permissions on menu items and employee management (Chris T)
* Corrected permissions on fixed asset depreciation workflow/menu (Chris T)
* Corrected Perl issues on _db_init when custom fields defined, 5.12 (Chris T)
* Adding missing permissions for editing parts (Chris T)
* Clarified string for vendor's part number in parts screen (Frans S)
* Recon checkbox now is set properly (Chris T)
* Corrected missing "search assets" menu item (Chris T)
* Net Book Value report now shows undepreciated assets (Chris T)
* Permissions fixes to fixed asset module (Chris T)
* Corrected NULL being saved in method for asset class (Chris T)
* Corrected UI glitch on saving asset class (Chris T)
* Updated Slony setup scripts (Chris T)

Hilton D is Hilton Day
Frans S is Frans van der Star
Chris T is Chris Travers


Changelog for 1.3.11
* Fixed outstanding report for payment reversal and partial payments (Chris T)
* Fixed handling of non-existing roles in menu grants (Chris T)
* Added reverse_bank_recs setting for those that want to
  do recs from bank perspective (Chris T)
* Added "bank register mode" for account transaction lists (Chris T)
* Fixed join projection issue in draft search routine (Chris T)
* Fixed prepare-database.sh for Pg 9.1 (Erik H)
* Fixed Customer/vendor selection for dropdowns (Chris T)
* Fixed some HASH() entries in CSV templates (Chris T)
* Removed unnecessary shebang lines in scripts/* files (Robert C)
* Fixed GL recurring transaction not posting (Chris T)
* Improved error handling when extensions/contrib scripts not found (Chris T)
* Fixed multicurrency handling in bulk payment interface (Chris T and Erik H)
* Corrected a number of number parsing/i18n issues (Herman V)
* Corrected pos_cashier inadequate permissions (Chris T)
* Corrected templates directive not handled properly (Chris T)

Chris T is Chris Travers
Erik H is Erik Huelsmann
Herman V is Herman Vierendeels
Robert C is Robert James Clay


Changelog for 1.3.10
* Fixes for permissions for exchangerate table (Erik H)
* Fixes for POS cashier permissions.  (Chris T)
* More Localization Fixes (Herman V)
* Customer/Vendor Search now shows records without credit accounts (Herman V)
* Better error handling contrib modules not found (Chris T)
* pos.conf.pl no longer overwritten on upgrade (Chris T)
* Fixed multi-currency single payment handling (Erik H / Chris T)
* Fixed "New Window" not working (Erik H)
* Fixed Pg 9.1 detection in setup.pl (Chris T and Pongracz I)
* Fixed SQL error loading Utils.sql (Michael R)
* Updated docs on foreign exchange settings (Erik H)
* Fixed forex settings not saving on defaults screen (Chris T)
* Formatted paid amount for payment screen (Herman V)
* Fixed help message on prepare-database.sh (Michael R)
* Fixed links on payment report (Erik H)
* Added more forex documentation (Erik H)
* Fixed UK chart of accounts VAT accounts (Erik H)
* Fixed issues involving employee_id references (Erik H)
* Fixed shipto menu (Erik H)
* Fixed wrong orders showing up on ship/receive (Erik H)
* Fixed Makefile.PL version info (Chris T)
* Fixed HTML attribute quoting (John L and Erik H)

Chris T is Chris Travers
Erik H is Erik Huelsmann
Herman V is Herman Vierendeels
John L is John Locke
Michael R is Michael Richardson
Pongracz I is Pongracz Istvan


Changelog for 1.3.9
* More logging enhancements (Herman V)
* Translation fixes in tax form reports (Chris T)
* Added accidently omitted 1099 forms (Chris T)
* Fixed formatting issue in sales_quotation.tex (Chris T)
* Better localization handling on logout (Herman V)
* Better handling of successive logouts (Herman V)
* Correcting some erroneous errors on db setup (Herman V)
* Corrected error message in old handler (Herman V)
* Reduced warnings in logs (Herman V and Chris T)
* Corrected "Not a CODE reference" in payment processing (Herman V)
* Corrected year/month not working on payment dropdowns (Herman V)
* Can now be installed via RPM. (Chris T)

Chris T is Chris Travers
Herman V is Herman Vierendeels


Changelog for 1.3.8:
* Fixed duplicate key error saving taxes (Herman V)
* Fixed not null violation when inserting bank acct w/o bic (Chris T)
* Corrected fkey violation when attaching file to order (Chris T)
* Moved language input on customer/vendor form for better display (Chris T)
* Corrected binmode handling on templates (Herman V and Chris T)
* File.sql now loads transactionally (Chris T)
* OE no longer requires type input for editing orders/quotations (Chris T)
* Fixed  "no such file or directory found" error when logging db tasks (David B)
* Logging improvements (Herman V)
* Fixed company fax being printed under shipto (Herman V)
* Fixed "File does not exist... [object HTMLButtonElement]" js error (Herman V)
* Fixed timecard template headers not showing company name, etc (Chris T)
* Fixed part account mappings broken after upgrade from 1.2 (Chris T)
* Fixed quotation number increasing when saving existing quotation (Chris T)
* Fixed invalid from address on backup routine (Chris T)
* Fixed error "ERROR: lower bound of FOR loop cannot be null" (Chris T)
* Updated documentation regarding retaining old migrated data (Herman V)
* Fixed duplicate sessions created on login (Herman V)

Chris T is Chris Travers
David B is David Bandel
Herman V is Herman Vierendeels


Changelog for 1.3.7 (Categorized due to length)
Database
* Added foreign key of entity_credit_account.language_code (Herman V)
* Corrected permissions issue for editing assembly (Chris T)

Code and Administration
* Exposed LedgerSMB::Sysconfig::tempdir to configuration file (Herman V)
* Fixed invoice tempfiles never being cleaned up (Herman V)
* Fixed LedgerSMB.pm warnings during tests (Herman V)
* Backup functionality moved to database administration interface (Chris T)
* Whitespace adjustment in Pg-database (Herman V)
* New form unsets $form->{header} to avoid lack of headers (Herman V)

User Interface
* Fixed pricelist button (customer/vendor) producing error (Chris T)
* Fixed date error when processing recurring transactions (Chris T)
* Corrected 'Invalid Year-end filter' when exporting trial balance (Chris T)
* Correcting errors attaching and retriving URL attachments (Chris T)
* Correcting parse errors in pos_template.txt (Chris T)
* Database administration interface more consistent (Chris T)
* Corrected Action not defined error on asset import (Chris T)
* Default language handling for invoices (Herman V)
* Fixed LaTeX errors in timecard templates (Chris T)
* Fixed error when batch printing timecards (Erik H)
* Fixed menu reversal with batch printing (Erik H)
* Removed broken edit buttons on bank account tab of contacts form (Chris T)
* Corrected UI glitches involving adding employee contact info (Chris T)
* Corrected missing translation call in contact template (Chris T)
* Corrected UI glitch when processing recurring transactions (Chris T)
* Corrected double escaping bug in balance sheet template (Erik H)
* Corrected filtering of customers/vendors on AR/AP screens (Chris T)
* Added logged in username to setup utility confirm operation screen (Chris T)
* Corrected sales tax issue for sales/purchase orders (Herman V)

Logging
* Allow log-level to be set from config file (Herman V)
* Correcting history.css not found (Chris T)
* Reduced warnings in logs (Chris T)
* Logging enhancements (Herman V)
* Corrected error regarding css file not found (Erik H)
* Corrected global.css not found error (Chris T)

Chris T is Chris Travers
Erik H is Erik Huelsmann
Herman V is Herman Vierendeels


Changelog for 1.3.6
* Including xelatex templates under directory templates/xedemo (Chris T)
* Fix for company name in order entry (David B)
* Corrected UI dropdown box issue on ar/ap transaction screen (Herman V)
* Corrected minor workflow issues on AR/AP transactions (Herman V)
* Corrected permissions for users creating employee records (Chris T)
* Corrected error when trying to save employee location as new (Chris T)
* Corrected save as new overwriting existing for vendors/customers (Chris T)
* Logging improvements (Herman V)
* Fixed SQL errors in Goods and Services/All Items report (David B)
* Corrected issue saving country in contact.html (Pongracz I)
* Corrected permission denied to partsgroup_id_seq (Chris T)
* Corrected discount_terms not being displayed after saving (Chris T)
* Corrected language drop-down missing from email form (Chris T)
* Customer search result label correction (Herman V)
* Company name can now be prepopulated on login screen (Chris T)
* Corrected SQL error in OE.pm (Herman V)

Chris T is Chris Travers
David B is David Bandel
Herman V is Herman Vierendeels
Pongracz I is Pongracz Istvan


Changelog for 1.3.5
* Fixing Menu and Permissions bug 3430820 (Chris T)
* Fixing permissions bug 3433644 (Chris T)
* Fixing file not found printing HTML invoice (Chris T)
* Corrected join issues in generating sales orders (Erik H)
* Removed commits in child subroutines (Herman V)
* Correcting warnings about HOME not set (Chris T)
* Corrected debian-specific db creation issue (Pongracz I)
* Corrected company name representation in timecard->sales order (Chris T)
* Better error handling when currency not set (Chris T)
* Exposed adding currency for customer/vendor to UI (Chris T)
* Corrected POS roles as per bug 3434549 (Chris T)
* Updated manual per ticket 3435124 (Chris T)
* Removed intermediate LaTeX files (Erik H)
* Fixed error: css/scripts/create_batch.css not found (Erik H)
* Translation string updates Herman V)
* Additional upgrade checks added (Herman V)
* Better whitespace handling in upgrade scripts (from 1.2) (Herman V)
* Translation string fixes for Payment workflow (Herman V)
* Fixed UTF8 chars broken in printed HTML invoices (Chris T)

Chris T is Chris Travers
Erik H is Erik Huelsmann
Herman V is Herman Vierendeels
Pongracz I is Pongracz Istvan


Changelog for 1.3.4
* Corrected case matching error in upgrade script (Chris T)
* Corrected version number on new databases (Chris T)
* Corrected multiple load errors on upgrade (David B)
* Corrected problem creating UTF-8 database on Debian (David B)
* Corrected display issues with numbers (Herman V)
* Updated Ubuntu notes (Frans S)
* Corrected a couple of menu items (David B)
* Added 1.3-1.2 downgrade script to recover from failed upgrades (Chris T)
* Corrected ship/receive bug due to invalid join conditions (Chris T)
* Corrected template error in printPayment.html (Herman V)
* Form.pl now provides instructions to use setup.pl to correct database
versioning errors (Chris T)

Chris T is Chris Travers
David B is David Bandel
Herman V is Herman Vierendeels


Changelog for 1.3.3
* Fix for being unable to delete AR/AP drafts (Herman V)
* Additional button cleanup (Herman V)
* Fix for is_zero issue with latest Math::BigFloat in AR/AP trans (Chris T)
* Fix for inability to save employee country (Chris T)
* API inconsistency fixed (Chris T)
* Fix for translation string standardization (Herman V)
* Fix for AP posting issue with 1.000,00 number format (Herman V)
* More number format fixes (Herman V)
* Database upgrade within 1.3 now possible from setup.pl (Chris T)
* Corrected Norwegian tax rates (Erik H)

Chris T is Chris Travers
Herman V is Herman Vierendeels
Erik H is Erik Huelsman
Frans S is Frans van der Star


Changelog for 1.3.2
* Fixed a few files where suExec fixes were not applied (Chris T)
* Fixed erroneous buttons marked "Save and Post" showing up (Chris T)
* Corrected test cases so they do not fail w/o optional LaTeX mods (Chris T)
* Made errors saving chart of accounts entry more friendly (Chris T)
* Fixed permissions issue involving yearend (Chris T)
* Fixed filename issue in install.sh (Chris T)
* Fixed stylesheet/salutations display issue in user editing screen (Chris T)
* Correcting LedgerSMB.pot (bug reported by Herman V) (Chris T)
* Documented parameterized translation syntax for .po files (Herman V)
* Added en_GB and en_US to language table for new installations (Chris T)
* Added check for system configuration before tests begin (Chris T)
* Clarified password reset interface for user management (Chris T)
* Added notes on installing on Ubuntu 11.10 (Frans S)
* Correcting some issues with Perl 5.12 and Math::BigInt (Herman V)

Chris T is Chris Travers
Herman V is Herman Vierendeels
Frans S is Frans van der Star


Changelog for 1.3.1
* Language selection for invoice templates fixed (Chris T)
* Fixed DB errors on project search (Chris T)
* Fixed DB errors on timecard entry (Chris T)
* Fixed DB errors on timecard searches (Chris T)
* String standardization in employee/user management (Herman V)
* Fixed Employee record duplicted on save (Herman V)
* Fixed upgrade script not bringing in entity.name for employees (Chris T)
* Fixed upgrade script error importing duplicate customer/vendor numbers
(Chris T)


Changelog for 1.3.0

Security:
* Security is now robustly enforced on the db level (Chris T and Josh D)
  Fixes CVE-2007-1923
* New user interface to manage users (Chris T and Aurynn)
* Framework in place, used to prevent XSRF attacks (Chris T)

Separation of Duties:
* Separate permissions for entry and posting to the books.
* Voucher/Batch system (Chris T)
* Draft system for unapproved transactions (Chris T)
* Reconciliation is now subject to separation of duties (Chris T and Aurynn)

End of Year:
* Close books and end of year transactions at once (Chris T and Aurynn)
* Cannot close books where unapproved transactions are before yearend(Chris T)
* Yearend/closed books now creates balance checkpoints for better performance
(Chris T and Aurynn)
* The prohibition against entering transactions into closed period enforced
on a database level.

General Ledger/Journal:
* GL reports filter by account (Chris T)
* GL reports account is ajax-style autocomplete (John W)
* Journal Entry screen now uses AJAX-style autocomplete for accounts (Chris T)
* GL reference now populated by default in the initial screen (Chris T).
* Files can be attached to financial transactions (Chris T)

AR/AP:
* Files can be attached to AR/AP transactions (Chris T)
* Project numbers can be displayed on AR/AP transactions report (Chris T)

Reconciliation:
* Reconciliation is on new codebase!
* Redesigned workflow (Chris T and Aurynn)
* Optimized for high volumes (1000 transactions or more per run, Chris T)
* Plug in model for bank import scripts (Chris T and Aurynn)

Payments:
* Payments are on new codebase!
* Redesigned bulk payment workflow/UI (Chris T)
* Bulk payment optimizations for high volumes (5000 invoices per run, Chris T)
* Redesigned single payment workfow/UI (David M)

Contact Handling:
* Contacts are now on new code base!
* Customers/Vendors Now Can Be Tracked Together (Josh D, Chris T, Aurynn)
* Multiple addresses and contact info stored per account (Josh D and Chris T)
* Multiple read-only notes per account (Josh D, Chris T, and Lacey P)
* Multiple bank accounts per customer/vendor account (Josh D and Chris T)
* Track 1099 or equiv. forms for customers/vendors (Chris T and John W)

Invoicing:
* Can now set sales tax amounts and rates per invoice if necessary (Chris T).
* Files can be attached to invoices (Chris T)
* Invoices can be placed on hold (Chris T)

Fixed Assets:
* New Feature!
* Group assets into classes to depreciate together (Chris T)
* Depreciate assets using straight-line depreciation (Chris T)
* Plugin model for time- or production-based depreciation methods (Chris T)
* Dispose of assets --- full and partial disposal supported (Chris T)
* Net Book Value Report (Chris T)

Development:
* New API structure for new code (Entire Team)
* Better error handling/display (Jason and Chris T)
* Errors logged to httpd error log (Chris T)
* Cleaned up file structure for charts of accounts (Chris T)
* New UI and template system using TT (Seneca)
* Form.pm deprecated.  New Object Oriented and data-driven model (Chris T)
* Added ledgersmb-smallgray.css (Jeff K)
* Stored procedure-based ORM for data model encapsulation in db (Chris T)
* Many small forms moved to templates (Seneca)
* Greatly expanded test cases (Chris T and Seneca)


Misc:
* Timecard lists project descriptions as well as numbers (Chris T)
* Invoices can now be put on hold (Aurynn)
* New CLI database creation routines  (Jeff K)
* New web-based db creation routines (Sadashiva A)

Database:
* Redesigned database schema for contacts (Josh D)
* Redesigned database schema for chart of accounts (Chris T)
* Redesigned database schema for reconciliation (Aurynn and Chris T)
* Redesigned database schema for payments (David M)


Changelog for 1.2 Series (End of Life)
Released 2007-04-04

Changelog for 1.2.27
* Corrected an issue with redirects (Turtle)


Changelog for 1.2.26
* Corrected is_zero errors updating ar/ap transactions (Chris T)
* Corrected is_zero errors printing invoices (Chris T)


Changelog for 1.2.25
* Corrected sql injection issue (Chris T)


Changelog for 1.2.24
* Corrected (non-exploitable) SQL injection issue in custom field management
stored procs.  Chris T
* Corrected issues running LedgerSMB with SuExec.  (Matt S Trout)
* Corrected filenamme bug in batch printing module (Chris T)


Changelog for 1.2.23
* Fix for sales tax incorrect on sales/purchase order screen
* fix for unreadable characters in HTML templates in some charsets.
* Correcting backup name on backup by email


Changelog for 1.2.22
* Corrected error for cases where no buttons occur on GL Journal Entry screen
(Chris T)
* Corrected a number of warnings for Perl 5.12 (Chris T and Jeff K)
* Corrected a number of UI issues with HST migtation (Chris T)
* Corrected erroneous test case failures due to erroneous order of regexp's in
test cases (Chris T)


Changelog for 1.2.21
* Corrected a number of templates with HTML issues (Luke)
* AR/AP Aging Report fixed, ignores payment after report date (Chris T)
* Minor documentation updates (Chris T)
* Fixed bug saving SIC (Adam T)


Changelog for 1.2.20
* Commented out credits in ledgersmb-blue.css
* Corrected encoding in Latvian chart of accounts (Janeks)
* Minor fixes to release notes (SF User akaihola)
* Exchange rate fix (SF User Anarcat)
* Fixed whitespace handling in admin.pl when saving permissions (Chris T)


Changelog for 1.2.19
* Fixed short sales with never-closed books (Chris T)
* Fixed erroneous tax rounding in POS screen (Chris T)
* Fixed XSRF vulnerability that allows changing user's password (Chris T)
* Corrected SQL Injection vulnerability in customer/vendor handling (Chris T)
* Cookie now sets SECURE flag when on HTTPS (Chris T)
* Corrected an issue with URL escaping (M Lubratt)
* Corrected an issue with email id's (Michael Richardson)


Changelog for 1.2.18
* Corrected httpd configuration bit. (Roderick Anderson)
* COGS fix for return handling (Sadashiva and Chris T)
* Cumulative tax handling fix for Quebec users (Jerome Oufella)


Changelog for 1.2.17
* Corrected "Attempt to free unreferenced scalar" error (oe.pl, 5.10.0, Chris T)
* Corrected order consolidation item notes replaced with qty (Chris T)
* Corrected "Access Denied" when deleting user (Sadashiva)
* Corrected defaults not saving properly when not already in db (Sadashiva)
* Corrected undefined dbh when generating sales orders (Sadashiva)


Changelog for 1.2.16
* Correcting "Attempt to free unreferenced scalar" error on 5.10.0 (Chris T)
* Correcting "Access Denied" when searching for timecards (Seneca)


Changelog for 1.2.15
* Uppercasing some SQL statements (Chris T)
* Fixed for AR allocation corner case (Victor Q, 1881199)
* Fixed for warehouse transfer error (Jeffk, 1877860)
* Fixed error pulling transactions by department (Chris T, 1954974)
* Fixed UTF-8 encoding for Czech COA (Vladamir B, 1906081)
* Fixed upgrade script creating incorrectly named sequence (Chris T, 1987545)
* Corrected POS transactions report (JeffK and Chris T, 2025931)
* Added a max_post_size directive to the ledgersmb.conf (Chris M)
* Fixed Price Matrix logic (Chris T, 1897245)
* Fixed errors in the backported triggers for transaction table (Jeffk, 1928336)
* Corrected corner case on ar_ap_summary_fix_1.2.14.sql (Chris T)


Changelog for 1.2.14
* Build.PL now requires Test::Trap (Chris T, 1872529)
* Fixed double escaping of tex under some circumstances (Seneca)
* Added fix for bad summary information in AR/AP transactions (1800065,
1800069, Chris T)
* Fixed posting issue behind AR/AP transaction report anomilies (Chris T)
* Fixed taxes added twice when viewing existing transaction (Chris T)
* Fixed erroneous discount lines in POS invoice (Chris T)


Changelog for 1.2.13
* Fixed all known implicit cast issues with PostgreSQL 8.3 (Chris T)
* Fixed Vendor Info Incorrectly Escaped in Check Printing Module(1844159,
Chris T)
* Fixed Serial numbers not preserved on order consolidation(1849585, Chris T)
* Adding fix for double-incrementing id sequence(Chris T)
* Fixed:  DBD::Pg Error Searching for PO by description (1876963, Chris T)
* fixed syntax error in COMMENT ON INDEX statement (Seneca)
* Fixed the display of taxes with '%' in PDF invoices (Seneca)
* Fixed broken substitution in update_defaults (Seneca)


Changelog for 1.2.12
* Committed Tony Brummett's fix for last/avg costs updates (Chris T)
* Committing fix for User.pm error handling (1860699, Chris T)
* Some revisions in spec files (Chris M)
* Changed LICENSE directive in rpm to the more descriptive gpl v2+ (Chris T)
* Fixed bug 1835463, cannot transfer to warehouses (Chris T)
* Adding fix for 1771834, inventory lost converting order to invoice (Chris T)
* Fixed 1812792, (discount box blank after part lookup (Chris T)
* Fixed bug 1839776-- reposting sales invoice causes duplication.(Chris T)


Changelog for 1.2.11
* Simplified obtaining years with transactions (Chris T)
* Fixed dataset creation (Chris T)
* Tax display fixes for AR/AP transactions (Chris T, 1794077, 1790768)
* Fixed encoding errors in numeral to text conversion (Seneca)
* Fixed the displayed number format for AP invoice taxes (Seneca)
* Fixed the selection of taxes when validto is involved (Seneca, anarcat's
addition to 1818792)


Changelog for 1.2.10
* Fixed bug 1765161, post button duplicates invoices.(Chris T)
* Adding a minor fixes to COGS edge cases for reversed invoices. (Chris T)
* Fixed bug 1811022.  Closedto date problems (Seneca)
* Fixing error on parts cost display, bug 1811470 (Chris T)
* fixed oversight with required_debs.txt name (Joshua D)
* Removing stray quote from button label, bug 1814444 (Seneca)
* Increasing min DBI version (Seneca)
* Apply db_parse_numeric to the correct hashref, fixes 1815081(Seneca)
* Fixed 1815075, Subject of email improperly encoded) (Seneca)
* Set template file output to UTF8 (Seneca)
* Body encoding fixes (Seneca)
* Fixing message-id setting (Seneca)
* Drawer opening now uses correct printer designation (Chris T)
* Change issued is now entered with correct memo field. (Chris T)
* Closing tell report works as advertised (Chris T)
* Fixed 1814437, Multiple paths set causing errors (Seneca)
* Add the ampersand to the HTML escape list for parse_template (Seneca)
* fixed 1815329, $ not escaped properly for LaTeX (Seneca)
* updated Hungarian translation from Pongrácz István (patch 1814156, Seneca)
* Properly handle invoice-type quantities from customer search (Seneca)
* Correcting improper redirect when reposting POS invoices.(Chris T)
* Fixing issues relating to database queries and POS-module redirects (Seneca)
* Fixing bug which hides discount input in POS screen. (Chris T)
* Fixing bug:  Obsolete items show on short parts report(Chris T)
* Fixed bugs handling floats as numbers from the database (Seneca)
* Fixing POS screen opening drawer when print/post triggers update (Chris T)
* Add missing $parts_id to query in add_items_required (Seneca)
* Fix purchase order generation screen display (Seneca)
* Shift the extraction of invnumber down a few lines (fixes 1820572, Seneca)
* Fixing bug 1831246, doubleparsing in RC.pm (Seneca)
* Fixing bug 1831410, double parsing in recurring transactions (Seneca)
* Fixed bug 1820698, DBI error:  value too long (Seneca)
* Adding db fix script for 1819483 (Chris T)
* Removing duplicate drawer open (Chris T)
* Adding db fix script for primary key in recurring table (Seneca)
* Fix for bug 1831402, session expired re: recurring emails (Seneca)
* More number formatting fixes (Seneca)
* Encoding fixes for the backup routines (Seneca)


Cangelog for 1.2.9
* Removed GNUisms from find arguments (Seneca)
* Corrected SQL errors in Belgium, and other COAs (Seneca, 1804712)
* Added COA load test script (Seneca)
* Rewritten COGS system (Chris T)
* Scoping issues fixed (Seneca, 1809384)


Changelog for 1.2.8
* Fix SQL errors saving customer price lists (Chris T, 1754172)
* Fixed AR/AP reversal issues (Victor S, 1752439, 1753358)
* Fixed various scoping errors (Chris T, 1703347, 1753360)
* Fixed: Timecards ignore price matrix (Chris T, 1754099)
* Fixed scoping issues in IS.pm (Chris T, 1754576, 1754579, 1768678)
* Fixed bugs with reversing invoices (Victor S, 1756387, 1755928, 1755355)
* Cause the GL report amount boxes to respect number format (Chrish T, 1754976)
* Corrected cumulative tax display issues (Chris T, 1745757)
* Fixed the display of non-all GL and GIFI reports (Seneca, 1758251)
* Fixed SQL errors in project deletion (Seneca, 1760722)
* Fixed error that caused order to invoice conversion to fail (Seneca)
* Fixed SQL errors in customer search (Chris T, 1761615)
* Fixed SQL errors (Chris T)
* Correct display issues with number format '1.000,00' (Seneca)
* Prevent AR Transaction screen from calculating sales tax (Chris T)
* Populate quantities during purchase order generation (Chris T, 1750895)
* Fixing COGS posts to closed dates when books closed (Chris T, 1753372)
* Fix database errors in processing recurring actions (Seneca, 1773591)
* Keep the closedto date in a known form (Chris T, 1763928, 1755145)
* Fixed memo search bug (Seneca)
* Fixed minor bug in till account selection (Chris T)
* Fixed number formatting in the Inventory Activity report (Seneca)
* Fixed: Add new language error in 1.2.7 (Pongracz I, 1793331)
* Correct display issues with number format '1 000.00' (Seneca, 1795858)
* Fixed minor documentation errors (Seneca)
* Adding more NaN checks to transaction posting (Seneca, 1789169)


Changelog for 1.2.7
* Fixed user@company logins (Chris T)
* Fixed closed books detection (Chris T)
* Fixed AR/AP print and post endless loop (Chris T)
* Fixed subtotal not working on AR/AP Transaction Report (Seneca)
* Fixing incorrect tax account selection issues in POS screen (Chris T)
* Fixed:  Titlebar does not show user info (Seneca)
* Fixing error searching for parts with sales invoice links (Chris T)
* Fixed a number of COGS bugs on invoice reversal (Victor S)
* Fixing bareword error with pos.conf.pl (Chris T)
* Fixing SQL error when creating assembly (Seneca)
* Fixing Template use check in user deletion (Seneca)
* Fixing bug partial transaction commit bug wrt invoices (Chris T)
* Fixed line items were dropped on order consolidation (Chris T)
* Correcting errors on transaction list after posting (Chris T)
* Updated ebuild files (Chris T)
* Backporting POD and tests for Menu.pm from trunk (Seneca)
* Fixing constraint issue deleting part (Chris T)
* fixing vendor taxes displaying improperly when printing PO (Seneca)
* Corrected security bypass in login.pl (Seneca)


Changelog for 1.2.6
* More date tests added (Seneca)
* Fixed customer_id error in AP transactions (Chris T)
* Added meta tags to set to utf-8 by default (Chris T)
* Fixed the alias inconsistancy for the ledgersmb-httpd.conf (Chris T).
* Fixed invalid html in ca.pl (reported by Donna Robinson) (Chris T)
* Fixed error searching for customer by address (Chris T)
* Fixed error db error saving items with custom fields (Chris T)
* Fixed db error saving project with NULL customer id (Chris T)
* Improved upgrade_templates' tag handling (Seneca)


Changelog for 1.2.5
* Partsgroup handling corrected on POS and Sales invoice screens (Chris T)
* Closed books handling is corrected (Chris T)
* Corrected intermediate rounding issues involving sales tax (Chris T)
* Fixed FX issue with posting cash transfers (Chris T)
* Corrected multibyte handling in form generation (Seneca)
* Corrected NaN issues in invoice printing (Seneca)
* Corrected PO and order number searches not working (Chris T).
* Corrected Exchange Rate display issue (CHris T).
* Corrected number parsing issues with 1.000,00 formats (Chris T).
* Corrected a number of date handling issues and added tests (Seneca).
* Applied invoice performance patch from Ashley Gittins (Chris T)
* Applide performance improvements to lastname_used (Chris T)


Changelog for 1.2.4
* Fixed internal functions avgcost() and lastcost() to not use float (Joshua D)
* Fixed error posting vendor invoice with fraction costs.  (Chris M)
* Fixed sales tax display issue on invoice/order entry screen (Chris T)
* Fixed inconsistant error when setting to recur 0 times (Chris T)
* Fixed Access Denied when sending email (CHris T)
* Added Makefile.PL as optional means of dependency checking (experimental, Chris T)
* Updated INSTALL file to use correct globaldbh syntax (Chris T)
* Updated UNGRADE file to recommend reading INSTALL first (Chris T)


Changelog for 1.2.3
* Corrected per-user locale selection (Seneca)
* Corrected partial commits for invoices and orders (Chris T)
* Corrected data types for invoice.qty and invoice.allocated in new dbs (CHris T)
* Corrected suffix error in 1.2.1 to use .sqlc for backups (Joshua D)


Changelog for 1.2.2
* Corrected sales tax display bug in order entry screen (Chris T)
* Corrected database update unable to connect (Seneca)
* Corrected login problems on 1.2.1
* Corrected INSTALL for [GlobalDBH] (Joshua Drake)


Changelog for 1.2.1
* Modifed AM.pm to correctly use globals from ledgersmb.conf (Joshua Drake)
* Simplified backup functions in AM.pm (Joshua Drake)
* Corrected serious sales tax posting bug (Chris Travers)
* Corrected two sales tax display bugs (Chris Travers)
* Corrected configure_apache.sh not rewriting WORKING_DIR (Chris Travers)
* Corrected documentation about tax entry (Chris Travers)
* Corrected logos not printing on PDF/PS invoices (Chris Travers)


Changelog for 1.2.0

Database:
* Added script to configure Slony replication (Chris Browne)
* Added defined primary keys to all tables (Chris T)
* Database upgrades now use psql (Chris T)
* Defaults table now uses a simple key->value system (Chris T)
* Merged Pg-tables, Pg-functions, and Pg-indeces into Pg-database (Chris T)

Security:
* Added whitelist of allowed directories to file editor (Seneca)
* Audited All Perl Modules for SQL Injection attacks (Chris T)
* Forced edited files to have whitelisted extensions and no .. strings (Chris T)
* Users are now stored in a separate database instead of fs. (Chris M)
* User database schema now included (Josh D)

Localization:
* Moved localization files to standard codes (Seneca)
* Added cumulative tax support (Seneca)
* Translations now use Gettext (Seneca)
* Removed back-translation of function names for i18n (Seneca)
* Corrected parsing of numbers so that they are multi-run safe (Chris T)
* Added modular tax calculation support (no modules included yet) (Seneca)
* Added "1 000.00" number format (Chris T)
* Buttons are now localization-safe (Seneca)

Code Quality and API:
* Added logging module (Jason)
* Added session method abstraction (Chris T)
* Broke out price matrix calls into PriceMatrix.pm (Chris T)
* Added $form->callproc($procname, @args) returns @hashrefs (Chris T)
* Corrected rounding errors (Seneca)
* Code cleanup and template correction (Chris Murtagh)
* New template system (Chris T)
* IC.pm, OE.pm, and IS.pm are aware of custom fields (Chris T)
* Added LedgerSMB::Sysconfig for site-wide configuration (Chris T)
* LedgerSMB::IC is aware of custom fields (Chris T)
* LedgerSMB::PE is aware of custom fields (Chris T)
* Testing suite added (Seneca)
* Moved all database calls to $form->{dbh} (CHris T)
* Form->redirect no longer makes use of exec (Chris T)

Packaging:
* Added first version of rpm spec from Mads Kiilerich (Chris T)
* Added Gentoo ebuilds documentation and metadata (Jason R)

Point of Sale:
* Added experimental TrustCommerce credit card processing (Chris T)
* Merged most of the rest of the SL-POS interface (Chris T)
* POS register now goes from add invoice to add invoice. (Chris T)
* Added pole display and separate cash drawer open calls. (Chris T)

User Interface:
* Moved IS/IR/OE the lineitem column list to the LedgerSMB::Sysconfig Chris T)
* Invoice now has an Onhand column (Chris T)
* Added simple text import function for invoices received (PDT's) (Chris T)

Other:
* ledger-smb.conf is now an ini file (Seneca)
* Experimental scripting wrapper in utils/cli (Chris T)


Changelog for 1.1 Series (End of Life)
Released 2006-09-20
Unsupported due to major security oversights in inherited code corrected in
1.2 series

Changelog for 1.1.1
* Fixed problem with parts_short trigger not being created
* Fixed problem with custom fields functions not being created
* Pg driver is now checked by default.


Changelog for 1.1.0
Database
* Added add_custom_field and drop_custom_field functions.
        -- will be more integrated into API next version
* Added utility to partially recover from SQL-Ledger data corruption issues.
* Primary Key added to acc_trans table
* DB Updates now use one transaction per update file.
* FLOAT datatypes removed from database
* Protection against duplicate transaction id's.
* Added foreign key constraint to acc_trans.chart_id
* Database backups now use pg_dump
* Database creation routines now attempt to add plpgsql to the db if not there.
* Transaction reversal is now enforced by default

Security
* One is required to change the admin password when it is blank (on first login etc).

Usability
* We now support adding custom automation into a custom.pl
* Setup.pl use is now experimentally supported
* Disabled editing sub-assemblies in one area where it is unsafe.
* Utility included for near-real-time parts short email notifications.
* Fixed Lynx support
* Batch printing now available for checks
* Warnings are printed when check stub is truncated
* Sales Data Report added
* SL2LS.pl now dies if it cannot open the files with instructions on how to proceed manually
* Links between admin and login pages
* Experimental support for Windows printing


Changelog for 1.0 series (End of Life)
Released 2006-09-06
Unsupported for reasons of age and security flaws in inherited code

Changelog for 1.0.0p1
* Fixed directory transversal/arbitrary code execution vulnerability.


Changelog for 1.0.0
(Changes relative to the pre-fork SQL-Ledger 2.6.17)

* Corrected sessionid security hole allowing bypass of login to main application
* Corrected sessionid security hole allowing one to list logins and more.
* Changed acc_trans.amount to NUMERIC
* Tightened browser caching rules to prevent problems with back button.
* Added an open content manual to the main distribution.
* New logo.
* Began whitespace reformatting of main application.

